commit 45d1fd2fc806d82074ad7546760a3de5009863ad (HEAD, tag: v2.2.0, tag: s885, origin/master, origin/HEAD, master)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Jan 5 09:01:40 2014 -0600

    Fix doxygen header/footer.

M	doc-footer.shtml
M	doc-header.shtml

commit c18db88eacc9465f8dd3cc205944f835f7b6658e (tag: s884)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Jan 5 08:52:23 2014 -0600

    Update PO files.

M	po/de.po
M	po/es.po
M	po/fr.po
M	po/it.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po

commit eecd68d8767299686651ee0e0bf79262cbc00c2f
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Jan 5 08:52:02 2014 -0600

    Fix typo.

M	src/parse.c

commit 8f6a05992f0a238c6ff88ad13c5ed8647cbfe178
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Jan 5 08:48:01 2014 -0600

    More example configuration updates.

M	example.jwmrc

commit 275a5b8f76a0d395450bedcd806e1d4fe3464694
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Jan 4 22:08:11 2014 -0600

    Update the example config file.

M	example.jwmrc

commit 97903228d760dc4e791d22db249bd4377fc5568c
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Jan 4 22:07:46 2014 -0600

    Use xz instead of bz2.

M	Makefile.in

commit 34285d603a272722165805c3fa5641cc0f87474f (tag: s879)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Dec 16 14:18:29 2013 -0600

    Fix handling of MWM decoration hints (issue #100).
    
    JWM was treating the decoration hints the same way as the function hints.
    This made it impossible to minimize/maximize a window that requested that
    the minimize/maximize buttons to not be shown.
    Now JWM ignores the MWM decoration hints for these buttons, though JWM
    still obeys the title and outline hints.

M	src/hint.c

commit cf8f06d11bb80380cce0e25e9b1f40527e78ce76 (tag: s878)
Author: joewing <joewing@joewing.net>
Date:   Tue Dec 10 18:40:40 2013 -0600

    Attempted fix for issue #98 (status icon problems).
    
    With this commit, JWM no longer supports non-square dock icons.
    This undoes the change for issue #95.

M	src/dock.c

commit e1ed95e6ce9ae5b7c27311c1b3f8ca20e9e13073
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Tue Dec 10 15:40:43 2013 -0600

    cppcheck fixes (issue #99)

M	src/border.c
M	src/client.c
M	src/clientlist.c
M	src/color.c
M	src/command.c
M	src/confirm.c
M	src/debug.c
M	src/desktop.c
M	src/event.c
M	src/hint.c
M	src/icon.c
M	src/image.c
M	src/key.c
M	src/lex.c
M	src/menu.c
M	src/misc.c
M	src/pager.c
M	src/parse.c
M	src/place.c
M	src/popup.c
M	src/render.c
M	src/resize.c
M	src/swallow.c
M	src/taskbar.c
M	src/tray.c
M	src/traybutton.c

commit dd69b859383e2993848e5979c152e14fb8ce0846 (tag: s876)
Author: joewing <joewing@joewing.net>
Date:   Sun Nov 10 14:58:06 2013 -0600

    Fix tray support for multiple monitors (issue #96, patch from @jdoe0154).

M	src/tray.c

commit 135f7a78662a2d679be89d85139f36b8058babde
Author: joewing <joewing@joewing.net>
Date:   Sun Nov 10 14:53:53 2013 -0600

    Fix a size issue with empty docks.

M	src/dock.c

commit dc1b8cd538f503b129ae974abe6bd7a8d8e19494 (tag: s874)
Author: joewing <joewing@joewing.net>
Date:   Tue Nov 5 07:30:42 2013 -0600

    Remove debug print.

M	src/dock.c

commit 55024783ad2499ca808d62c613301782b1c9f530
Author: joewing <joewing@joewing.net>
Date:   Sat Nov 2 15:45:25 2013 -0500

    Allow docked applications to be non-square.
    
    As mentioned in issue #95, before this commit, applications docked in
    the tray would be scaled to the largest square size that would fit on the
    tray.  Now applications can be wide for horizontal trays and tall for
    vertical trays.

M	src/dock.c
M	src/tray.c

commit cebd257aa54b8c0e3992985b5e1dfe421027f744
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Nov 2 14:55:13 2013 -0500

    Be explicit about void argument lists.

M	src/background.c
M	src/background.h
M	src/border.c
M	src/border.h
M	src/client.c
M	src/client.h
M	src/clientlist.c
M	src/clientlist.h
M	src/clock.c
M	src/clock.h
M	src/color.c
M	src/color.h
M	src/command.c
M	src/command.h
M	src/confirm.c
M	src/confirm.h
M	src/cursor.c
M	src/cursor.h
M	src/debug.c
M	src/debug.h
M	src/desktop.c
M	src/desktop.h
M	src/dock.c
M	src/dock.h
M	src/event.c
M	src/event.h
M	src/font.c
M	src/font.h
M	src/grab.c
M	src/grab.h
M	src/group.c
M	src/group.h
M	src/help.c
M	src/help.h
M	src/hint.c
M	src/hint.h
M	src/icon.c
M	src/icon.h
M	src/key.c
M	src/key.h
M	src/main.c
M	src/outline.c
M	src/outline.h
M	src/pager.c
M	src/pager.h
M	src/place.c
M	src/place.h
M	src/popup.c
M	src/popup.h
M	src/root.c
M	src/root.h
M	src/screen.c
M	src/screen.h
M	src/settings.c
M	src/settings.h
M	src/status.c
M	src/status.h
M	src/swallow.c
M	src/swallow.h
M	src/taskbar.c
M	src/taskbar.h
M	src/tray.c
M	src/tray.h
M	src/traybutton.c
M	src/traybutton.h
M	src/winmenu.c

commit 8fe1d8940df388858f413cfe89d04f7f087b133b (tag: s871)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Sep 30 15:12:17 2013 -0500

    Fix a potential memory leak.

M	src/hint.c

commit 179b6db31092a8d9bb696b3779be012240a41bac
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Sep 30 15:09:40 2013 -0500

    Add borders to toolbars etc.

M	src/hint.c

commit 8ea4f219323fc17db48f7c2f9f521f736720d684 (tag: s869)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Sep 25 13:07:30 2013 -0500

    Don't depend on 'Cardinal' being declared and fix a memory leak.
    
    This should fix issue #93.

M	src/hint.c
M	src/hint.h

commit 677ca8f765a9ff99637f17f3ec1b18813ce2b500
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Sep 23 16:27:38 2013 -0500

    Add support for _NET_WM_STATE_DEMANDS_ATTENTION. Patch from @bbidulock.
    
    This fixes issue #91.
    _NET_WM_STATE_DEMANDS_ATTENTION is now handled the same way as
    the urgency hint.

M	src/event.c
M	src/hint.c
M	src/hint.h

commit e3dbfe76a60a6e11b966e0a1d3ce1b413b935772
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Sep 23 14:41:37 2013 -0500

    Add support for _NET_WM_USER_TIME. Patch from @bbidulock.
    
    This fixes issue #92.
    The following hints are now supported:
       _NET_WM_USER_TIME
       _NET_WM_USER_TIME_WINDOW
       _NET_HANDLED_ICONS

M	src/event.c
M	src/hint.c
M	src/hint.h

commit 9e0e2e7c6d88c29578b300ede602aef31d693003 (tag: s866)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Sep 23 09:12:11 2013 -0500

    Unmap and reparent synthetic unmaps to root. Patch from @bbidulock.
    
    This fixes issue #90.

M	src/event.c

commit 96301cd4aa6623a105faa6ef89ff937309746074
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Sep 23 09:09:58 2013 -0500

    Do not constrain the size/placement of a window with its own struts.
    
    Patch from @bbidulock.
    This fixes issue #89.

M	src/place.c

commit 77ce2d23c72443bc04440337b98f739f54c22f76 (tag: s864)
Author: joewing <joewing@joewing.net>
Date:   Sat Sep 21 17:00:27 2013 -0500

    Update po files.

M	po/de.po
M	po/es.po
M	po/fr.po
M	po/it.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po

commit e70b4d2cb51ed31a7e443f1db9e55576d01db6d5
Author: joewing <joewing@joewing.net>
Date:   Sat Sep 21 16:59:24 2013 -0500

    Fix the SendTo menu item. Patch from @bbidulock
    
    The SendTo menu item was not implemented.
    This fixes issue #87.

M	src/desktop.c
M	src/desktop.h
M	src/parse.c
M	src/root.c

commit ee1d33571a15a59c82a0b30a9bf7e9e430375ea3 (tag: s862)
Author: joewing <joewing@joewing.net>
Date:   Sat Sep 21 11:59:18 2013 -0500

    Fix the way JWM checks XGetWindowProperty for failure. Patch from @bbidulock
    
    JWM was assuming that XGetWindowProperty returned something other than
    Success if the requested property did not exist.  However, XGetWindowProperty
    will return Success if the property does not exist (the correct way
    to test is the type or format return).
    
    This fixes issue #84 and part of issue #82.

M	src/hint.c
M	src/icon.c
M	src/place.c

commit 53806e3c0d105f2843962bdbaa4ad783ad62f2b8
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Sep 21 11:39:08 2013 -0500

    Add support for several EWMH atoms.  Patch from @bbidulock
    
    The following atoms are now supported:
       _NET_WM_ACTION_FULLSCREEN
       _NET_WM_PID
       _NET_WM_VISIBLE_NAME
       _NET_WM_ICON_NAME
       _NET_WM_VIISIBLE_ICON_NAME
       _NET_WM_WINDOW_TYPE_MENU
       _NET_WM_WINDOW_TYPE_NOTIFICATION
       _NET_WM_WINDOW_TYPE_TOOLBAR
       _NET_WM_WINDOW_TYPE_UTILITY

M	src/hint.c
M	src/hint.h

commit 15013e499aa044bfae0b650ba206fc0b1a3c381d (tag: s860)
Author: joewing <joewing@joewing.net>
Date:   Fri Sep 20 20:58:56 2013 -0500

    Subtract tray and strut bounds from _NET_WORKAREA.
    
    This is a partial fix for issue #81.

M	src/hint.c
M	src/place.c

commit 7873acfd1d77a93399fab4bcadb07ce2403d49d6 (tag: s859)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Sep 18 11:02:14 2013 -0500

    Remove borders when maximizing windows.

M	src/border.c
M	src/place.c

commit 1c2ead80a510d8e9e85b5e89ab454e52379188f2
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Sep 18 10:22:33 2013 -0500

    Don't grab all combinations of alt+<modifier>-drag.
    
    JWM used to grab Mod1 + mouse motion over a window, even if other modifier
    keys were pressed.  Now only Mod1 can be pressed (+ lock modifiers).

M	src/event.c
M	src/key.c
M	src/key.h

commit acfc240e9fc333bf1b9e2706a2b5b21ba3655436 (tag: s857)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Sep 18 10:06:25 2013 -0500

    Run startup commands after JWM is fully initialized.
    
    This is to address issue #81.  It might be possible for startup commands
    to be executed even if JWM does not become the window manager if the
    startup commands are run before grabbing the server.

M	src/main.c

commit 6737de2f9153f0699850ac7587a538449910b2f2 (tag: s856)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Sep 15 10:00:43 2013 -0500

    Render menus to an off-screen pixmap rather than directly to the window.

M	src/menu.c
M	src/menu.h

commit e861d9c101c1b79ba0ceeb14a3d0b87a7dbb1cf1 (tag: s855)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Aug 28 16:24:32 2013 -0500

    Don't allow resize or move of fullscreen clients.

M	src/move.c
M	src/resize.c

commit 5315ebefcc679e5efeec48dcc6337f7556a9ad85
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Aug 28 16:19:53 2013 -0500

    Update PO files.

M	po/de.po
M	po/es.po
M	po/fr.po
M	po/it.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po

commit 742a85c9110afaa7195ead3aaf8465ac3f986568
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Aug 28 16:19:37 2013 -0500

    Place transients on top of fullscreen windows (issue #78).

M	src/client.c

commit 1f4dc8b55d433a93ececd53ad19e69483bff9ca5
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Aug 28 12:45:54 2013 -0500

    Some fixes for full-screen clients (partial fix for issue #78).

M	src/client.c
M	src/event.c
M	src/hint.c
M	src/winmenu.c

commit fef5b0ed8fe93b7067f13492bd8782b1a2e86c30 (tag: s851)
Author: joewing <joewing@joewing.net>
Date:   Sun Aug 25 09:28:11 2013 -0500

    Hide 'Send To' and 'Stick' on window menus if there is only one desktop.

M	po/de.po
M	po/es.po
M	po/fr.po
M	po/it.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po
M	src/winmenu.c

commit 6ebb1913eb18ca7ee5665f9c3fcdaa1ff851ccd3 (tag: s850)
Author: joewing <joewing@joewing.net>
Date:   Fri Aug 23 18:33:37 2013 -0500

    Update PO files.

M	po/de.po
M	po/es.po
M	po/fr.po
M	po/it.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po

commit 392d1cdf269e17e00ce7fe55724f197133aac9db
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Aug 23 18:22:18 2013 -0500

    Fix a compile-time warning.

M	src/tray.c

commit 370aeb5e30dadba7c9686c7065a54b28fb4417eb (tag: s848)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Aug 23 13:26:53 2013 -0500

    Add support for custom title bar buttons (issue #50).

M	jwm.1.in
M	po/de.po
M	po/es.po
M	po/fr.po
M	po/it.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po
M	src/border.c
M	src/border.h
M	src/lex.c
M	src/lex.h
M	src/parse.c

commit 1c4e7f9a7230a5554dd43fcf2957bf414052516b (tag: s847)
Author: joewing <joewing@joewing.net>
Date:   Fri Aug 16 17:42:29 2013 -0500

    Add the 'constrain' group option to address issue #77.

M	jwm.1.in
M	po/de.po
M	po/es.po
M	po/fr.po
M	po/it.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po
M	src/client.h
M	src/event.c
M	src/group.c
M	src/group.h
M	src/parse.c

commit a3c53ea7b217e9fbf590ce59f9f57f76e72a2b81 (tag: s846)
Author: joewing <joewing@joewing.net>
Date:   Thu Aug 15 20:18:04 2013 -0500

    Fix for issue #76: unexpected behavior when releasing alt with the 'next' key binding.

M	po/de.po
M	po/es.po
M	po/fr.po
M	po/it.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po
M	src/clientlist.c
M	src/clientlist.h
M	src/event.c

commit e5909fbe7c369cb9d268394dde7ab756a191dca7 (tag: s845)
Author: joewing <joewing@joewing.net>
Date:   Wed Aug 14 17:32:36 2013 -0500

    More fullscreen fixes.

M	src/client.c
M	src/winmenu.c

commit 34e76b09cc44220364ccd0e66ea6bb0e54432cdb
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Aug 14 15:46:03 2013 -0500

    Some changes to the way full screen clients are handled.

M	src/client.c
M	src/client.h
M	src/clock.c
M	src/cursor.c
M	src/cursor.h
M	src/event.c
M	src/event.h
M	src/menu.c
M	src/move.c
M	src/pager.c
M	src/popup.c
M	src/popup.h
M	src/resize.c
M	src/screen.c
M	src/taskbar.c
M	src/tray.c
M	src/traybutton.c

commit e8fb0e2d75de8c2e9beb4aa90b01341ebdeb7d6e (tag: s843)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Aug 14 12:15:37 2013 -0500

    Fix an issue with popups getting stuck.

M	src/popup.c

commit b8084872d064a314f221e97462aa5dd4d4f8f43b (tag: s842)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Tue Aug 13 12:59:30 2013 -0500

    Show trays when switching between windows using next or nextstacked bindings.

M	po/de.po
M	po/es.po
M	po/fr.po
M	po/it.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po
M	src/client.c
M	src/clientlist.c
M	src/event.c
M	src/jxlib.h
M	src/tray.c
M	src/tray.h

commit caec736bcf1d38721a8f701252b1b46b8b946993
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Tue Aug 13 12:57:47 2013 -0500

    Give windows focus when clicked even with sloppy focus.

M	src/event.c

commit 1fcab18bc5351a830a8f91980e10448de219d642 (tag: s840)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Aug 12 11:25:17 2013 -0500

    Fix the background of spacer tray components.

M	src/spacer.c

commit 1957080328ffd8e74c38aaef7bb90f075942a0d4
Author: joewing <joewing@joewing.net>
Date:   Fri Aug 9 17:05:54 2013 -0500

    Fix a compiler warning.

M	po/de.po
M	po/es.po
M	po/fr.po
M	po/it.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po
M	src/taskbar.c

commit 6912d2e834cd0a23a484cf41493b7a9616065954 (tag: s838)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Tue Aug 6 12:12:33 2013 -0500

    Italian translation (from Man from Mars).

M	po/LINGUAS
M	po/de.po
M	po/es.po
M	po/fr.po
A	po/it.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po

commit 0e1cd384da4a9bcd6f540d2f47e81ff269b25965 (tag: s837)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Aug 5 12:18:39 2013 -0500

    Track whether JWM is showing the desktop for each desktop (issue #72, patch from @yetanothergeek).

M	src/desktop.c
M	src/desktop.h

commit afaf1c8810977fb05c5af5831787bf49b7929fe7
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Jul 19 08:27:32 2013 -0500

    Support gradient backgrounds for trays.

M	src/clock.c
M	src/color.c
M	src/color.h
M	src/dock.c
M	src/parse.c
M	src/swallow.c
M	src/taskbar.c
M	src/tray.c
M	src/tray.h
M	src/traybutton.c

commit 1362d10c9bdb02d63772cf007bfcc051be393a9b (tag: s835)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Jul 17 14:45:30 2013 -0500

    Fix compile with --disable-nls.

M	src/main.c
M	src/misc.c

commit 24c5bba6623ace14a35f58477398f9c358b378e9
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jul 15 13:39:22 2013 -0500

    Revert previous change.

M	po/de.po
M	po/es.po
M	po/fr.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po
M	src/client.c

commit e7f809db8490cf500314e11d269a140519aa1551
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jul 15 13:32:17 2013 -0500

    Fix an issue with losing input focus.

M	po/de.po
M	po/es.po
M	po/fr.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po
M	src/client.c

commit 564b3e4e0148e754a14565298775c4cd67d7a882
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jul 15 13:12:56 2013 -0500

    Fix a couple compiler warnings.

M	src/icon.c
M	src/icon.h
M	src/image.c

commit 71f5f408785c2dc94e3bff447488eb40475a8097 (tag: s831)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Tue Jul 9 08:34:28 2013 -0500

    Constrain size and position when a configure requests resize.

M	src/event.c

commit 7a5d271be2d8d3735aa570bca70d986807370f26 (tag: s830)
Author: joewing <joewing@joewing.net>
Date:   Mon Jul 8 18:40:19 2013 -0500

    Fix handling of _NET_SHOWING_DESKTOP request.

M	src/event.c

commit 05c0a48757c6b6b55d8bf6f03cfd76386eada8c3 (tag: s829)
Author: joewing <joewing@joewing.net>
Date:   Mon Jul 8 18:30:05 2013 -0500

    Update po files.

M	po/de.po
M	po/es.po
M	po/fr.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po

commit 068de99c713720f7caa483a0730fe39c1adb1698
Author: joewing <joewing@joewing.net>
Date:   Mon Jul 8 18:29:39 2013 -0500

    Fix strut handling and allow configure requests to move windows off screen (but still constrain size).

M	src/client.c
M	src/event.c
M	src/place.c
M	src/place.h

commit 131cc9c9758dcc31ea1ae47ebaf03a3d0c5cad0b (tag: s827)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Jul 5 16:30:37 2013 -0500

    Update po files.

M	po/de.po
M	po/es.po
M	po/fr.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po

commit 6f64127603c3561746b14d572cc7f05ba2989b81
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Jul 5 16:30:17 2013 -0500

    Fix the way configure requests are constrained.

M	src/event.c
M	src/place.c
M	src/place.h
M	src/screen.c

commit 908bac101da8ee227564974147136b06e6cd4b87 (tag: s825)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jul 4 09:51:47 2013 -0500

    Fix compiler warning.

M	src/traybutton.c

commit 4e4d745b4b5efd7a4c6f3dae568c9b8cca0b6321 (tag: s824)
Author: joewing <joewing@joewing.net>
Date:   Thu Jul 4 09:38:34 2013 -0500

    Update po files.

M	po/de.po
M	po/es.po
M	po/fr.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po

commit 1888406e2e6b7e6d338197ed54611b0195f1203b
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jul 4 09:06:16 2013 -0500

    Check if a window uses the shape extension every time it is mapped.

M	src/client.c
M	src/hint.c

commit 8cde3e065a8ab98af89d95317e4f36654b0b0076
Author: joewing <joewing@joewing.net>
Date:   Fri Jun 28 17:43:40 2013 -0500

    Update po files.

M	po/de.po
M	po/fr.po
M	po/jwm.pot
M	po/nl.po
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po

commit cb082b41ad3906280fb2f06f2270663f4933f6cd
Author: joewing <joewing@joewing.net>
Date:   Fri Jun 28 17:43:18 2013 -0500

    Spanish translation (from Víctor Martínez).

M	po/LINGUAS
A	po/es.po

commit 2550ceab93a9684821a4b7affb66bab5e1df5708
Author: joewing <joewing@joewing.net>
Date:   Fri Jun 28 17:41:57 2013 -0500

    Dutch translation (by Bert).

M	po/LINGUAS
A	po/nl.po

commit 8d36568ef5c7bbca6a04125f6b0c6685e9cbfe71 (tag: s819)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jun 27 13:49:15 2013 -0500

    Fix tray border color.

M	src/color.c

commit f7977c169737d9df579f6d38774c9672c8a60be9 (tag: s818)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Jun 26 13:20:40 2013 -0500

    Send a configure event to clients that issue configure requests and allow clients to move/resize windows beyond screen bounds.

M	src/event.c

commit 12d88a4bb8fc260da2a11dc4779354507b162683
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Jun 26 12:58:19 2013 -0500

    Unmaximize if a window attempts to change its size or position.

M	src/event.c

commit 9aedf55534d1ad588e1a3a0bedc467c023ee8648 (tag: s816)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Jun 26 12:43:46 2013 -0500

    Fix an issue with windows being restored from the taskbar (part 1 of issue #62).

M	src/taskbar.c

commit 188a92eb2ffc0c310db4b21b858578fe2470c2be (tag: s815)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jun 24 15:44:46 2013 -0500

    Fix input focus after minimization (issue #63).

M	src/clientlist.c

commit ed8b4c775d380c5d0d3aa58202a0683c72316911 (tag: s814)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jun 24 14:14:58 2013 -0500

    Update po files.

M	po/de.po
M	po/fr.po
M	po/jwm.pot
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po

commit d726d51ac8f54002b555ef82f35f3229c6eb298a
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jun 24 14:14:46 2013 -0500

    Fix an showdesktop (issue #63).

M	src/client.c
M	src/client.h
M	src/desktop.c
M	src/event.c
M	src/taskbar.c
M	src/winmenu.c

commit 3ca75016f91e2f8e0f95792ab8b55f3af17f9c5e
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jun 24 14:05:37 2013 -0500

    Code cleanup: move showExitConfirmation into settings.

M	src/parse.c
M	src/root.c
M	src/root.h
M	src/settings.c
M	src/settings.h

commit 09f4316789080de12da2e38acdf7c0735b688632
Author: joewing <joewing@joewing.net>
Date:   Sun Jun 23 18:04:51 2013 -0500

    Remove an extra call to UpdatePager.

M	po/de.po
M	po/fr.po
M	po/jwm.pot
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po
M	src/client.c

commit f915c440eee741cf1995120a5c2f10ad2f797e8b (tag: s810)
Author: joewing <joewing@joewing.net>
Date:   Sun Jun 23 13:30:49 2013 -0500

    Fix focus behavior for minimized windows (issue #62).

M	po/de.po
M	po/fr.po
M	po/jwm.pot
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po
M	src/client.c
M	src/client.h

commit e07b1565eafada9e2dae54db547eb7c316788da4 (tag: s809)
Author: joewing <joewing@joewing.net>
Date:   Sun Jun 23 08:23:12 2013 -0500

    Allow focus of minimized windows (issue #62).

M	src/client.c

commit a862bc14565f732d4f2dc7fabc9924bc90b9ce56
Author: joewing <joewing@joewing.net>
Date:   Sun Jun 23 08:01:48 2013 -0500

    Update po files.

M	po/de.po
M	po/fr.po
M	po/jwm.pot
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po

commit 1854051cebe1314463000c655f96df3273a2df05
Author: joewing <joewing@joewing.net>
Date:   Sun Jun 23 08:01:31 2013 -0500

    Ask for shape events before checking if a window is using the shape extension (issue #62).

M	src/client.c

commit aaf641e15447370c726cb8ff5992f06f0fa68272 (tag: s806)
Author: joewing <joewing@joewing.net>
Date:   Sat Jun 22 10:44:53 2013 -0500

    Make TrayButtonStyle pull defaults from TrayStyle instead of TaskListStyle (issue #61) and clean up color handling.

M	jwm.1.in
M	src/button.c
M	src/color.c
M	src/color.h
M	src/parse.c
M	src/traybutton.c

commit 97793a0381951c4ae1fd861531034e6d6c134464 (tag: s805)
Author: joewing <joewing@joewing.net>
Date:   Thu Jun 20 19:49:51 2013 -0500

    Update po files.

M	po/de.po
M	po/fr.po
M	po/jwm.pot
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po

commit 7498b12fc3cc5ec0685f0fcbf7543c5836b9de22
Author: joewing <joewing@joewing.net>
Date:   Thu Jun 20 19:49:36 2013 -0500

    Add the 'noturgent' group option (issue #59).

M	jwm.1.in
M	po/POTFILES.in
M	po/de.po
M	po/fr.po
M	po/jwm.pot
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po
M	src/client.c
M	src/client.h
M	src/group.c
M	src/group.h
M	src/parse.c

commit 09491813dc654fcc70c364c2b79d0ab51fc37895 (tag: s803)
Author: joewing <joewing@joewing.net>
Date:   Thu Jun 20 16:51:55 2013 -0500

    Grab the server when reshaping window borders to fix an issue with xcompmgr etc.

M	src/Makefile.in
M	src/border.c
M	src/client.c
M	src/client.h
M	src/event.c
A	src/grab.c
A	src/grab.h
M	src/hint.c
M	src/hint.h
M	src/main.c
M	src/outline.c

commit 4b35920179ff30665fed8bd0d3e4f0eb59480b03 (tag: s802)
Author: joewing <joewing@joewing.net>
Date:   Wed Jun 19 20:41:09 2013 -0500

    Speed up configure events that only move a window.

M	src/event.c

commit 6f63df156bb0cfc2b6591fff4a520992afe3864b (tag: s801)
Author: joewing <joewing@joewing.net>
Date:   Wed Jun 19 20:29:13 2013 -0500

    When restoring windows, update state only after restoring transients.

M	src/client.c

commit 851c60526eafb2ec7a84a159d7019ed13ec2d76c (tag: s800)
Author: joewing <joewing@joewing.net>
Date:   Wed Jun 19 19:26:17 2013 -0500

    Don't give minimized clients focus.

M	src/client.c

commit 81f0a1015d214fff2ae56dba3eae829d53131157
Author: joewing <joewing@joewing.net>
Date:   Wed Jun 19 18:52:49 2013 -0500

    Update po files.

M	po/de.po
M	po/fr.po
M	po/jwm.pot
M	po/pl.po
M	po/pt-PT.po
M	po/ru.po

commit 085c8431b9d4821c638e3c8da22718748385cb0d
Author: joewing <joewing@joewing.net>
Date:   Wed Jun 19 18:51:11 2013 -0500

    Handle clients that change WM_TRANSIENT_FOR after mapping.

M	src/event.c

commit 6139f9e9dbf31ba742b16a4ef355bec1462fe3ab
Author: joewing <joewing@joewing.net>
Date:   Wed Jun 19 18:40:04 2013 -0500

    Update pager on configure requests.

M	src/event.c

commit 3074ae97bd48e2cfad03ffbc1eec53c92a8742ab
Author: joewing <joewing@joewing.net>
Date:   Wed Jun 19 18:33:22 2013 -0500

    Take gravity into account when windows request to be resized.

M	src/event.c

commit 9b2af305abf848634232decdff46878aa663a896
Author: joewing <joewing@joewing.net>
Date:   Wed Jun 19 18:06:41 2013 -0500

    Use gravity for configure requests per EWMH.

M	src/event.c

commit d0943d9c785a1598bd7ae998491eafc733a992d8
Author: joewing <joewing@joewing.net>
Date:   Wed Jun 19 17:47:59 2013 -0500

    Add support for _NET_WM_STATE_SKIP_PAGER.

M	jwm.1.in
M	src/client.h
M	src/event.c
M	src/group.c
M	src/group.h
M	src/hint.c
M	src/hint.h
M	src/pager.c
M	src/parse.c

commit 64625daad6b05736017681dec53bc6c98ebfe3b5
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Jun 19 14:40:22 2013 -0500

    Fix handling of window gravity.

M	src/place.c

commit ec99183c9a7194c7885063ebdc3937360f4aff09
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Jun 19 11:44:48 2013 -0500

    Sync after grabbing the server for new windows.

M	src/event.c
M	src/main.c

commit 3e100e6f1a4c95ef12e25599a56ae448ec417f9a
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Tue Jun 18 14:02:23 2013 -0500

    Add Russian translation (from Aleksandr Samusenko).

M	po/LINGUAS
A	po/ru.po

commit e307e7a3bce0ea56e59b0273346496a2b1168ce0 (tag: s790)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jun 17 10:02:51 2013 -0500

    Fix setting of icons using groups.

M	src/client.c

commit fb3e347ffbe7618f2198fda8d4fb301e7ce50464 (tag: s789)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jun 17 09:04:26 2013 -0500

    Fix some X errors that show up when debug messages are enabled.

M	src/event.c

commit 42e033893ff4ec18829297e1dc6522ec4a3b4f01 (tag: s788)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jun 17 08:58:01 2013 -0500

    Don't remove windows from the save set if the window has been destroyed.

M	src/client.c
M	src/event.c

commit 687449aad2610468bbe557b81974e8d133029e0f
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jun 17 08:56:10 2013 -0500

    Fix a crash with layers when JWM starts/restarts (issue #57).

M	src/client.c
M	src/group.c

commit 367827e89a601143ad8d82a45bebb5ec772285ac (tag: s786)
Author: joewing <joewing@joewing.net>
Date:   Sat Jun 15 08:38:13 2013 -0500

    Remove debugging code that sneaked in (issue #54).

M	src/event.c

commit f1ec0a3bc0e0e554cf7a12373fc6640b954e700a (tag: s785)
Author: joewing <joewing@joewing.net>
Date:   Fri Jun 14 20:04:00 2013 -0500

    Don't lose the mouse grab after shading a window.

M	src/event.c

commit f923bfe4bf01dfd44959e685170973bec6632619 (tag: s784)
Author: joewing <joewing@joewing.net>
Date:   Fri Jun 14 19:01:17 2013 -0500

    Use _XROOTPMAP_ID instead of _XSETROOT_ID for setting the background.

M	po/de.po
M	po/fr.po
M	po/jwm.pot
M	po/pl.po
M	po/pt-PT.po
M	src/background.c
M	src/hint.c
M	src/hint.h

commit 8614fcb163db346c37730a12cec50e3efd8240b8 (tag: s783)
Author: joewing <joewing@joewing.net>
Date:   Fri Jun 14 07:30:00 2013 -0500

    Update po files.

M	po/de.po
M	po/fr.po
M	po/jwm.pot
M	po/pl.po
M	po/pt-PT.po

commit 606305054244c089f209c5dbd67aa77235859053
Author: joewing <joewing@joewing.net>
Date:   Fri Jun 14 07:29:50 2013 -0500

    Add documentation for iignore.

M	jwm.1.in

commit 9f887d684b9a824b4107293472b0f1b26a11f69f
Author: joewing <joewing@joewing.net>
Date:   Fri Jun 14 07:27:34 2013 -0500

    Add iignore group option to ignore size increment when maximizing windows (issue #55).

M	src/client.h
M	src/group.c
M	src/group.h
M	src/parse.c
M	src/place.c

commit 7100448ce72a535745719586714881c48019f913
Author: joewing <joewing@joewing.net>
Date:   Fri Jun 14 06:51:57 2013 -0500

    Restore windows when they request to be mapped (issue #54).

M	src/event.c

commit dc620cfa95432153e1d78e4ffb007b7490958b6f (tag: s779)
Author: joewing <joewing@joewing.net>
Date:   Thu Jun 13 13:42:27 2013 -0500

    Update po files.

M	po/de.po
M	po/fr.po
M	po/jwm.pot
M	po/pl.po
M	po/pt-PT.po

commit 4ee0b487aad9c5b5260fa7a83137e2a0312c559a
Author: joewing <joewing@joewing.net>
Date:   Thu Jun 13 13:41:56 2013 -0500

    Don't draw a title bar if the title bar is the same size or smaller than the border width.

M	src/border.c

commit 83e9d2788e17a34b6a925c584a96b34dddeed436 (tag: s777)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Jun 12 16:26:27 2013 -0500

    Make maximize obey the size hints again.

M	src/place.c

commit ed1d3b3c764f1ac3ecb916d1fc2fd30203d59ff2
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Jun 12 12:54:04 2013 -0500

    Always ungrab the mouse when a window unmaps.

M	src/event.c

commit 9e7e267dcc4a24ae1084660058856cf88dae8653 (tag: s775)
Author: joewing <joewing@joewing.net>
Date:   Tue Jun 11 17:58:08 2013 -0500

    Fix a compiler warning.

M	src/client.c

commit 10326c1881c199b0199af119eeb3ef0de4845cdb
Author: joewing <joewing@joewing.net>
Date:   Tue Jun 11 17:57:10 2013 -0500

    Make maximize ignore size increment hints and prevent resizing while maximized.

M	src/border.c
M	src/cursor.c
M	src/place.c
M	src/resize.c
M	src/winmenu.c

commit 8efc952ad5eda6ba2c2f8de98140918603c8cd0b
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Tue Jun 11 13:22:22 2013 -0500

    Fix positioning of popups with multiple monitors.

M	src/popup.c

commit 70fd8d68591cba94e3c5d6d9196c86dc026f99ca (tag: s772)
Author: joewing <joewing@joewing.net>
Date:   Thu Jun 6 21:10:25 2013 -0500

    Fix issue #52 (transients mapping on the wrong layer).

M	src/event.c

commit da207c311ce9234d24121a01a5f1109d4da47be3 (tag: s771)
Author: joewing <joewing@joewing.net>
Date:   Thu Jun 6 14:58:32 2013 -0500

    Some fixes to the way unmapped windows are handled.

M	src/client.c
M	src/event.c
M	src/hint.c

commit 7c00e922d3729cc99d0a868f93e6c7d75f4a8aa2
Author: joewing <joewing@joewing.net>
Date:   Thu Jun 6 13:43:23 2013 -0500

    Use square buttons when the shape extension is disabled (issue #51).

M	src/border.c
M	src/jwm.h

commit 4273208650c0572e42af88cedcdcb5851c771b62
Author: joewing <joewing@joewing.net>
Date:   Thu Jun 6 13:26:44 2013 -0500

    Fix restoring of transient windows.

M	src/client.c
M	src/event.c

commit cbca2bcfd9e166392cb7a7a16df4721aef13e74b (tag: s768)
Author: joewing <joewing@joewing.net>
Date:   Fri May 31 19:08:35 2013 -0500

    Fix an issue when determining the screen given a pixel coordinate.

M	src/screen.c

commit bca58d4fdeb4f874175744f63b4a08e43eee2e3c
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri May 31 19:00:48 2013 -0500

    Remove unused code.

M	src/parse.c

commit 19a58bf7207043e48f44963f240e5d0e10fdcef6
Author: joewing <joewing@joewing.net>
Date:   Fri May 31 18:56:41 2013 -0500

    Switch to the C locale before parsing floats.

M	src/misc.c
M	src/misc.h
M	src/parse.c

commit 70e8d2e90bee265453a1ef2a64d6aec76ddb52ab
Author: joewing <joewing@joewing.net>
Date:   Fri May 31 18:42:46 2013 -0500

    No more custom cursors for close/minimize/maximize.

M	src/cursor.c

commit 4eb699cc03335729d299021a3fb70e80afcb36d4
Author: joewing <joewing@joewing.net>
Date:   Fri May 31 18:37:47 2013 -0500

    Updated French translation (from Pierrick PINOT).

M	po/fr.po

commit 2183d15b4c2f6943930badcada82580ea7ecda57
Author: joewing <joewing@joewing.net>
Date:   Fri May 31 18:36:43 2013 -0500

    Update po files.

M	po/de.po
M	po/fr.po
M	po/jwm.pot
M	po/pl.po
M	po/pt-PT.po

commit 656334645daaa210ac50ac0b1c5696a14dfc0b5d (tag: s762)
Author: joewing <joewing@joewing.net>
Date:   Sun May 26 10:14:22 2013 -0500

    Fix an issue with windows that are unmapped and then reused.

M	src/event.c

commit 4dd7c849bd9da4b60457e8314738b3bf0b4d967f (tag: s761)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri May 24 11:02:07 2013 -0500

    More window placement fixes.

M	src/event.c
M	src/place.c

commit 3ee8ddcf07ac507eeacb74cf56565a11af902cbc (tag: s760)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri May 24 09:03:15 2013 -0500

    Fix an issue with window placement.

M	src/place.c
M	src/screen.c

commit 0392823f4cfa12b2c39e185900c5d51cd6a5b847 (tag: s759)
Author: joewing <joewing@joewing.net>
Date:   Fri May 17 17:31:05 2013 -0500

    Force redrawing of the border when a window is (un)maximized.

M	src/client.c

commit b2a7b623be90983fbab991682bb32e909f3ff84f
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu May 16 15:22:24 2013 -0500

    Support only a single level of opacity for inactive windows (issue #48).

M	jwm.1.in
M	src/client.c
M	src/hint.c
M	src/hint.h
M	src/parse.c
M	src/settings.c
M	src/settings.h

commit 31da4fb811d513da43f6684ae31bed9d8d1f1dcd
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Tue May 14 14:50:53 2013 -0500

    Don't constrain the placement of clients that are already mapped.

M	src/place.c

commit 4c4f2bf6fc5fb468f8ca891dc2e51c23bff74b29
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Tue May 14 14:47:30 2013 -0500

    Slightly better behavior in response to issue #48 (transparency of windows dependent on layer).

M	src/client.c

commit 6d9482a172ca17aa7b5cccc80c23a5ade31f3702 (tag: s755)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri May 10 14:37:46 2013 -0500

    Fix an issue with layers (issue #47).

M	src/client.c
M	src/event.c
M	src/hint.c
M	src/hint.h

commit b2a1a58b6626d3857f8d661fe3755a9dcd8d916f (tag: s754)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon May 6 11:14:41 2013 -0500

    Fix scaling of icons in buttons.

M	src/button.c

commit a88ca1b823603ef3582b4d6089d4f5985ebda153 (tag: s753)
Author: joewing <joewing@joewing.net>
Date:   Sun May 5 19:50:27 2013 -0500

    Fix resizing of shaded windows.

M	src/move.c
M	src/resize.c

commit d0e7049074fde54aa4f1044181b5b8ebf8bb9864
Author: joewing <joewing@joewing.net>
Date:   Sun May 5 19:40:47 2013 -0500

    Fix moving of shaded windows.

M	src/move.c

commit aa9a8bb748cbdb57af3ff359d2ad7e859417ee68
Author: joewing <joewing@joewing.net>
Date:   Fri May 3 17:46:14 2013 -0500

    Add German translation (from fido <L18L@puppy.forum>).

M	po/LINGUAS
A	po/de.po
M	po/fr.po
M	po/jwm.pot
M	po/pl.po
M	po/pt-PT.po

commit 1e9d14fe7156f8488de2285cd4a6db04c9313cbc (tag: s750)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri May 3 08:10:28 2013 -0500

    Don't require that a window be on the top of the window stack for minimization (to fix issue #45).

M	src/taskbar.c

commit 136d931e6c5c080173177da9bb02ef969dd4ba20
Author: joewing <joewing@joewing.net>
Date:   Thu May 2 16:42:36 2013 -0500

    More po updates.

M	po/fr.po
M	po/pl.po
M	po/pt-PT.po

commit 2b61fc0b24b027cc9e970390cff8bfedb69b1243
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu May 2 08:21:12 2013 -0500

    Fix a couple format specifications in pt-PT.po.

M	po/pt-PT.po

commit e6e1b75ae495b9d543ef75c47931e465c4305518
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu May 2 08:16:08 2013 -0500

    Merge #44.

M	po/pt-PT.po

commit 89b12d78acfe6269a19838816d90d7d4b24e4ab0 (tag: s746)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed May 1 12:37:09 2013 -0500

    Update po

M	po/pt-PT.po

commit 3e5bf718aa382ca113ddfc5f08fadead092dbf53
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed May 1 12:32:29 2013 -0500

    Merge branch 'vmnlopes-master'; commit 'b463ad5'

commit b463ad52a830f2590d7b31f5a6b944603a34a020
Author: vmnlopes <vmnlop@gmail.com>
Date:   Tue Apr 30 16:38:52 2013 +0100

    translation update

M	po/pt-PT.po

commit 6688199a1e65dc8f2a6da51d3e80fa3913841f98
Merge: 94949d5 bbc2e2a
Author: Vitor Lopes <vmnlop@gmail.com>
Date:   Tue Apr 30 04:05:21 2013 -0700

    Merge pull request #1 from joewing/master
    
    merging from joe

commit bbc2e2ace8c7353361848c5a5c4131c1de82d8be
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Apr 29 10:19:23 2013 -0500

    Update po files.

M	po/fr.po
M	po/jwm.pot
M	po/pl.po
M	po/pt-PT.po

commit 99f69445ce5159e81c251d14db7acddf476095ae
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Apr 29 10:16:40 2013 -0500

    Rename pt-PT to pt-PT.po.

D	po/pt-PT
A	po/pt-PT.po

commit 94949d5b24d766c44147e22a0c5d96e2bf9e350e
Author: Vitor Lopes <vmnlop@gmail.com>
Date:   Mon Apr 29 04:58:57 2013 +0200

    adding po file for Portuguese-portugal

A	po/pt-PT

commit 7c79b4a4f340e3bd925db395a58eef530f19d6c3
Author: Vitor Lopes <vmnlop@gmail.com>
Date:   Mon Apr 29 04:52:39 2013 +0200

    added Portugal country code

M	po/LINGUAS

commit 8ac408141ad22e13cf93837aab050662ce027165 (tag: s738)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Apr 28 08:59:43 2013 -0500

    Fix for issue #37 (fix text clipping).

M	src/font.c

commit 506057f610f31744703b4d123df44f298f772a5f (tag: s737)
Author: joewing <joewing@joewing.net>
Date:   Sat Apr 27 14:53:25 2013 -0500

    Fix bidirectional text handling (issue #36).

M	src/font.c
M	src/font.h

commit 4a20bfcd2321efb6a9ffd055f384dbcc1ecbaa38 (tag: s736)
Author: joewing <joewing@joewing.net>
Date:   Sat Apr 27 12:50:49 2013 -0500

    Wait longer for Swallow windows to be mapped before restarting.

M	src/client.c
M	src/event.c
M	src/jwm.h
M	src/main.c
M	src/menu.c
M	src/swallow.c
M	src/swallow.h

commit 0843e484aa82462142bb7c29d205e8e54f39db5a (tag: s735)
Author: joewing <joewing@joewing.net>
Date:   Thu Apr 25 19:47:59 2013 -0500

    Improve the way swallowed windows are handled.

M	src/swallow.c

commit 4021c596518f0c97efaad5d4e83e2e7137a7d758
Author: joewing <joewing@joewing.net>
Date:   Thu Apr 25 19:47:33 2013 -0500

    Fix for issue #35: move clients to the current desktop and unshade them when activated.

M	src/client.c
M	src/event.c

commit b1b219ec85e9a652e8472a98dfd26fe9668c6876 (tag: s733)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Apr 19 15:13:33 2013 -0500

    Update compiled options listed in help.

M	src/help.c

commit b034b04d2be2384e2a1d177252be8d29caefcb2a (tag: s732)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Apr 19 08:17:28 2013 -0500

    Fix for issue #32 (XML parsing issues with entities). Original patch from @lesposi.

M	src/lex.c

commit e010aed143e5c39ce4420a1a221dfe45206431dd (tag: s731)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Apr 13 09:56:32 2013 -0500

    Fix a typo in configure.in (issue #30).

M	configure.in

commit 08ac5b66be76e2517fa3d38ba565dfc65bb1c8c0 (tag: s730)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Apr 13 08:13:34 2013 -0500

    Attempt to address build problems mentioned in issue #30.

M	configure.in

commit 573ae7730b176c489cfafea8c8e295b45dbb3329 (tag: s729)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Apr 11 21:11:44 2013 -0500

    Make configure find the right XPM library on IRIX.

M	configure.in

commit 63b57c96b5d73cbfe6cadf2b3f6188ced77560ff
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Apr 11 20:34:27 2013 -0500

    Reuse some strings.

M	src/parse.c

commit 3a75733d17f231f0fbf1cb476936ec33b7542713
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Apr 11 20:01:44 2013 -0500

    Remove some unused function calls.

M	src/border.c
M	src/border.h
M	src/client.c
M	src/client.h
M	src/clock.c
M	src/clock.h
M	src/color.c
M	src/color.h
M	src/command.c
M	src/command.h
M	src/confirm.c
M	src/confirm.h
M	src/cursor.c
M	src/cursor.h
M	src/desktop.c
M	src/desktop.h
M	src/group.c
M	src/group.h
M	src/hint.c
M	src/hint.h
M	src/pager.c
M	src/pager.h
M	src/place.c
M	src/place.h
M	src/popup.c
M	src/popup.h
M	src/root.c
M	src/root.h
M	src/screen.c
M	src/screen.h
M	src/settings.c
M	src/settings.h
M	src/swallow.c
M	src/swallow.h
M	src/taskbar.c
M	src/taskbar.h
M	src/traybutton.c
M	src/traybutton.h

commit 812e060609f8b297ed07fd4bc0ddaaf148749846 (tag: s726)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Apr 8 14:40:36 2013 -0500

    Update .gitignore.

M	.gitignore

commit 0cdd641a1a26b8c4959f9f4e4e5e368eb286dda2
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Apr 8 14:39:27 2013 -0500

    Fix a bug in the way arrows are drawn on menus.

D	config.h.in
M	src/menu.c

commit 6b892deeeea1932a51cd76eeffd99c31c1c777cd (tag: s724)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Apr 7 20:07:26 2013 -0500

    Fix some configure issues.

M	configure.in

commit e7dd5c5199638a5c20f9e6c07286d8d7560b8a5b
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Apr 7 17:13:29 2013 -0500

    Fix position of arrows on menus.

M	src/menu.c

commit 82725179a5059701342e95f239f6c0a7560a64f3 (tag: s722)
Author: joewing <joewing@joewing.net>
Date:   Tue Apr 2 20:01:09 2013 -0500

    Fix an issue where JWM lost track of the mapped state of windows when updating hints. This causes problems with some Qt applications such as VLC.

M	src/event.c

commit 98a6591aa9cc2883559c12f8f414b3b248233c44 (tag: s721)
Author: joewing <joewing@joewing.net>
Date:   Tue Apr 2 08:20:18 2013 -0500

    Fix for issue #28 (windows jumping on configure events).

M	src/event.c

commit 22d990ed6053261ec78c9c7258ff61621f38ef42 (tag: s720)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Apr 1 09:45:21 2013 -0500

    Documentation updates.

M	jwm.1.in
M	src/match.c

commit 52919355142068d8e53380dbc3b9134994035560
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Apr 1 09:22:41 2013 -0500

    Make tiled placement fall back to centered or cascaded depending on how the group is configured.

M	jwm.1.in
M	src/place.c

commit ffa102f4416769708c116071aa5bd78b845d96b5
Author: joewing <joewing@joewing.net>
Date:   Sun Mar 31 21:26:58 2013 -0500

    Add centered and tiled window placement policies (issue #23).

M	jwm.1.in
M	src/client.h
M	src/group.c
M	src/group.h
M	src/parse.c
M	src/place.c

commit 0f7e818610c92f34e672859231075f68cd1055fe
Author: joewing <joewing@joewing.net>
Date:   Sun Mar 31 17:03:03 2013 -0500

    Clean up drawing of window borders/resizing.

M	src/border.c
M	src/client.c
M	src/event.c
M	src/resize.c

commit ad080b9c92d0a95737f3ea84b539c44a88976511 (tag: s716)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Mar 27 11:19:13 2013 -0500

    Event handling and urgency hint fixes.

M	src/client.c
M	src/event.c
M	src/jwm.h
M	src/pager.c

commit f87f48943aae5be8cab27e55057f8421cce83802 (tag: s715)
Author: joewing <joewing@joewing.net>
Date:   Mon Mar 25 17:40:35 2013 -0500

    Use X graphics primitives to draw the minimized icon in taskbars.

M	src/taskbar.c

commit 409e37c51323369703fd4748fba913a5ba5a88d2
Author: joewing <joewing@joewing.net>
Date:   Mon Mar 25 16:55:39 2013 -0500

    Use X graphics primitives to draw menu arrows.

M	src/menu.c

commit 30c45e44026952e1ef254e1ee94e251af06f15f7
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Mar 24 17:55:09 2013 -0500

    Document fullscreen keybinding.

M	jwm.1.in

commit 9c07abdce9153cfac429437175faaeb7addb8abd
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Mar 24 17:18:28 2013 -0500

    Support for the urgency hint (issue #25) and event handling cleanups.

M	src/border.c
M	src/client.c
M	src/client.h
M	src/clock.c
M	src/clock.h
M	src/event.c
M	src/event.h
M	src/hint.c
M	src/move.c
M	src/move.h
M	src/pager.c
M	src/pager.h
M	src/popup.c
M	src/popup.h
M	src/taskbar.c
M	src/taskbar.h
M	src/tray.c
M	src/tray.h
M	src/traybutton.c
M	src/traybutton.h

commit 8580ce1102feac1074008f198b6571f1ec3a51d1
Author: joewing <joewing@joewing.net>
Date:   Sun Mar 24 14:41:17 2013 -0500

    Start working on support for the urgency hint.

M	src/border.c
M	src/client.c
M	src/client.h
M	src/event.c
M	src/hint.c
M	src/taskbar.c

commit 6b0e3d215d78c44b42222eb499d919311b73936d
Merge: 1c78673 32086f8
Author: joewing <joewing@joewing.net>
Date:   Sat Mar 23 19:46:51 2013 -0500

    Merge branch 'master' of github.com:joewing/jwm

commit 1c786739b82d6ff1bfbb9ddcb441391f3a0eedda
Author: joewing <joewing@joewing.net>
Date:   Sat Mar 23 19:11:19 2013 -0500

    Minor cleanups.

M	src/color.c
M	src/color.h
M	src/confirm.c
M	src/group.c
M	src/menu.c

commit 32086f87f0fea766df5fab0ac0c263be19e07bd1
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Mar 23 17:46:42 2013 -0500

    Configure script fixes.

M	configure.in

commit 4ce456bab4eb197ffd3737a6946365927d9d8399 (tag: s707)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Mar 22 15:54:25 2013 -0500

    Remove some enums.

M	src/border.h
M	src/client.h
M	src/color.h
M	src/group.h
M	src/hint.h
M	src/key.h
M	src/menu.h
M	src/settings.h

commit d7e1b65e55bc93690027b8e032a725d963f308be
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Mar 22 15:12:43 2013 -0500

    Add the ability to disable borders on task bar items.

M	jwm.1.in
M	src/background.c
M	src/button.c
M	src/button.h
M	src/font.h
M	src/parse.c
M	src/taskbar.c
M	src/taskbar.h
M	src/tray.h
M	src/traybutton.c

commit f9fdb8a42b704c9d76e8f1ac495578f4c0c59198
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Mar 22 14:49:12 2013 -0500

    Fix for issue #24: Use '=' instead of '=='.

M	configure.in

commit 25484f77aa83bcc9461d3177af603b933f0f7a80 (tag: s704)
Author: joewing <joewing@joewing.net>
Date:   Sun Mar 10 10:26:30 2013 -0500

    Fix an issue with window focus.

M	src/client.c

commit 9c9afc643870e82aff19098aee3ca2b3c355f610 (tag: s703)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Mar 10 10:07:28 2013 -0500

    Fix compile with --disable-icons (issue #16).

M	src/icon.h

commit b86ea424a948c67f9822a428329c717139b3934c (tag: s702)
Author: joewing <joewing@joewing.net>
Date:   Fri Mar 8 18:57:35 2013 -0600

    Add the ability to maximize horizontally/vertically using buttons 3 and 2 over the maximize window button (issue #15).

M	jwm.1.in
M	src/event.c

commit 7f4fbc333e4fb810bcbd99650e37a308c97de11f (tag: s701)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Mar 7 16:43:09 2013 -0600

    Fix a potential crash when showing a popup over the pager.

M	src/desktop.c
M	src/pager.c

commit 5088260c538b762d79b0c1b825b16a77421fbb8b (tag: s700)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Mar 7 15:44:39 2013 -0600

    Another attempted fix for issue #2.

M	src/client.c
M	src/place.c

commit 3e491931ca9e1858a2c842695bcd3a3c9d8409bb
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Mar 7 15:24:17 2013 -0600

    Remove extra pager updates.

M	src/client.c
M	src/desktop.c
M	src/event.c

commit 553158fd879bf89e8497fcf4c5a31550ae8ad742
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Mar 7 15:21:08 2013 -0600

    Update the pager when window stacking changes.

M	src/client.c

commit 1faf1bd5c21bfe4220ab4ec3ec5614e5770aa588 (tag: s697)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Tue Mar 5 15:16:54 2013 -0600

    Place popups below the cursor if it won't fit above the cursor.

M	src/popup.c

commit 859ecca07d3516cf5fa52639fcf42ff03b0d12d8 (tag: s696)
Author: joewing <joewing@joewing.net>
Date:   Mon Mar 4 21:30:29 2013 -0600

    Attempted fix for issue #2: fix the way windows that are too large for the desktop are placed.

M	src/client.c
M	src/place.c

commit 1279ef0c1997378f5fb796e452f6a422fb5fe979
Author: joewing <joewing@joewing.net>
Date:   Sun Mar 3 09:00:56 2013 -0600

    Fix extraction of X time from button events.

M	src/event.c

commit 9b86288c489c13b2730d54271493d499706b40f3
Author: joewing <joewing@joewing.net>
Date:   Sun Feb 24 17:27:00 2013 -0600

    Don't call g_type_init with newer versions of glib.

M	src/image.c

commit 6b2cec255c8238b68d518911cffd737cd91040f3
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Feb 24 17:16:26 2013 -0600

    Fix a potential issue with cleaning up if a PNG image fails to load.

M	src/image.c

commit 14b743b49edca562e38f5e26540632a1cf6c5a76 (tag: s692)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Feb 22 13:32:55 2013 -0600

    Fix an issue with restoring maximized windows from fullscreen. Possibly a fix for issue #6 (patch from Aleksandr Samusenko).

M	src/client.c

commit dd719ee471416423f5bbdc585460d87fef0d1cd9 (tag: s691)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Feb 20 08:59:38 2013 -0600

    Minor tweak to the fix for issue #6.

M	src/place.c

commit 6a212b4ee0b4c910f150769e569e52660b80bc82 (tag: s690)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Feb 18 10:29:18 2013 -0600

    Prevent clients from moving windows under trays to address issue #6.

M	src/event.c
M	src/place.c
M	src/place.h

commit 89a5c3eef0c967c0c73a8aaf9ff310316b3938c0
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Feb 18 09:23:01 2013 -0600

    Reuse the opacity atom string from hint.c in tray.c.

M	src/hint.c
M	src/hint.h
M	src/tray.c

commit 1edb497a737a391ef8c9465ffe3f52ee380b39dc (tag: s688)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Feb 17 10:21:24 2013 -0600

    Better error logging when parsing the command line to address issue #8.

M	src/help.c
M	src/help.h
M	src/main.c

commit 8bdeca2892f672117c9341488a6a314d42a4cbaf
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Feb 17 10:05:06 2013 -0600

    Fix disabling of cairo if rsvg is unavailable.

M	configure.in

commit 3d2b9b2988abd14f66bcd35048b611e86ae58be1 (tag: s686)
Author: joewing <joewing@joewing.net>
Date:   Fri Feb 15 18:43:23 2013 -0600

    Free background images after loading them.

M	src/background.c
M	src/group.c
M	src/icon.c
M	src/icon.h
M	src/menu.c
M	src/traybutton.c

commit 8c3678ba176be56029e6f1ecf4523c20ee68c929 (tag: s685)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Feb 8 10:12:56 2013 -0600

    Add m4_pattern_allow for AM_PROG_MKDIR_P to address issue #5.

M	configure.in

commit 3f8553bc925c6c93961ebb14d2b80a0c4b52324f
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Feb 7 18:17:43 2013 -0600

    More cleanups.

M	src/border.c
M	src/client.c
M	src/client.h
M	src/clientlist.c
M	src/clientlist.h
M	src/color.c
M	src/error.c
M	src/event.c
M	src/hint.h
M	src/icon.c
M	src/key.c
M	src/lex.c
M	src/misc.c
M	src/pager.c
M	src/parse.c
M	src/place.c
M	src/taskbar.c
M	src/tray.c
M	src/tray.h

commit 1e174db1d367626d1510163ab00b9deccf8f5885
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Feb 6 20:07:23 2013 -0600

    More cleanups.

M	src/dock.c
M	src/key.c
M	src/key.h
M	src/main.c
M	src/main.h
M	src/move.c
M	src/pager.c
M	src/pager.h
M	src/screen.c
M	src/tray.c
M	src/tray.h

commit b20a6ade630d45b68aeae1a034f9b002a3927da4
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Feb 6 19:52:55 2013 -0600

    Minor code cleanups.

M	src/border.c
M	src/border.h
M	src/color.c
M	src/debug.c
M	src/hint.c
M	src/jwm.h
M	src/misc.c
M	src/place.c
M	src/place.h
M	src/popup.h
M	src/root.c
M	src/root.h

commit 8b3e0613c0499e3afc1934521946d69e290115ce (tag: s681)
Author: joewing <joewing@joewing.net>
Date:   Mon Feb 4 18:53:58 2013 -0600

    Back to slightly rounded buttons.

M	src/border.c
M	src/border.h
M	src/button.c

commit 80fc0f28dc5523dacac27d7b1bd89c401331ff24 (tag: s680)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jan 31 12:45:26 2013 -0600

    Fix a minor issue rendering pagers.

M	src/pager.c

commit 8b35c69208501345037a75f9ad84310abbeb1ecc (tag: s679)
Author: joewing <joewing@joewing.net>
Date:   Tue Jan 29 18:53:16 2013 -0600

    Reduce flicker when resizing windows.

M	src/border.c
M	src/jxlib.h

commit 6ecdf95b7f9339eecf26538b8ec482aa282b61fd (tag: s678)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Tue Jan 29 17:19:40 2013 -0600

    Better handling of rounded window borders.

M	src/border.c
M	src/border.h
M	src/client.c
M	src/event.c
M	src/resize.c
M	src/status.c

commit 50f48ba65b00c30510fc1d252125488293b85058
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Tue Jan 29 16:17:06 2013 -0600

    Window shading fixes.

M	src/border.c
M	src/client.c
M	src/client.h
M	src/clientlist.c
M	src/desktop.c
M	src/event.c
M	src/group.c
M	src/hint.c
M	src/winmenu.c

commit 14fb1bb62639a79c9e9e2c401d177d9c6ec91ff5 (tag: s676)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jan 28 16:33:19 2013 -0600

    Remove unnecessary synchronization.

M	src/client.c
M	src/confirm.c
M	src/event.c
M	src/hint.c
M	src/menu.c
M	src/outline.c
M	src/tray.c

commit 312ac6388e2ab4bb28905cde7a914291fd9afe17 (tag: s675)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jan 28 09:15:52 2013 -0600

    Better color selection for active menu item outlines to addresses issue #4.

M	src/button.c
M	src/color.c
M	src/color.h

commit 264c3d39b90030ebbbd4831c01def49589b094be
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jan 28 09:00:06 2013 -0600

    Different default font when compiled with XFT.

M	src/font.c

commit 54d67c7b01520a820b46d903e5f4e98cf1067f94 (tag: s673)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Jan 27 19:12:45 2013 -0600

    Re-apply Motif hints when they change for already-mapped windows.

M	config.h.in
M	src/event.c

commit 4358c725a08d174d463cdcf9a1d0cd1f8bb5427a (tag: s672)
Author: joewing <joewing@joewing.net>
Date:   Sun Jan 27 12:46:36 2013 -0600

    Don't keep image data around when using XRENDER to scale images.

M	src/icon.c
M	src/image.c
M	src/render.c
M	src/render.h

commit 09b627e741b290bebf493c792e9f34f98e563acb
Author: joewing <joewing@joewing.net>
Date:   Sun Jan 27 11:06:21 2013 -0600

    Use the render extension for background images.

M	src/background.c
M	src/icon.c
M	src/icon.h
M	src/render.c

commit a804c2015aa309280d602179fe92e855df1f049e
Author: joewing <joewing@joewing.net>
Date:   Sat Jan 26 13:59:58 2013 -0600

    Rename README.

D	README
A	README.md

commit fcec9b4df60107fe42d2759b0fd4cbc39e0ee497
Author: joewing <joewing@joewing.net>
Date:   Sat Jan 26 13:59:26 2013 -0600

    Update the README.

M	README

commit fbf96344a812e72673e7514e001f551656d860b1 (tag: s668)
Author: joewing <joewing@joewing.net>
Date:   Sat Jan 26 13:45:15 2013 -0600

    Set _NET_WM_ACTION_SHADE correctly.

M	src/hint.c

commit 9174dd7e76982196e3f71f9afef2f66fa0046cf0 (tag: s667)
Author: joewing <joewing@joewing.net>
Date:   Sat Jan 26 13:39:52 2013 -0600

    Add 'noshade' group option.

M	jwm.1.in
M	src/client.c
M	src/client.h
M	src/group.c
M	src/group.h
M	src/parse.c
M	src/winmenu.c

commit 89d95d0722108bb129a78e190dc2d2df51b289a6
Author: joewing <joewing@joewing.net>
Date:   Sat Jan 26 13:24:36 2013 -0600

    Make the configure script more intelligent.

M	configure.in

commit 97ab99e0c220e09eff94dbc44da231be713bd808 (tag: s665)
Author: joewing <joewing@joewing.net>
Date:   Sat Jan 26 13:07:04 2013 -0600

    Fix some event handling and re-read client protocols before deleting a window.

M	example.jwmrc
M	src/client.c
M	src/event.c
M	src/event.h
M	src/move.c
M	src/resize.c

commit 0a8d7339fb3facb39023aeaa72d37fdca9ef9433 (tag: s664)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Jan 26 09:37:57 2013 -0600

    Always rebuild everything if a header file changes.

M	src/Makefile.in

commit 6a4a0922f2e397f27352b57c784fb92b8886ec80
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Jan 26 09:37:36 2013 -0600

    French translation (from Pierrick PINOT).

M	po/LINGUAS
A	po/fr.po

commit ba6f5fa18fc9df9669313ea50387270c31ff8fb8 (tag: s662)
Author: joewing <joewing@joewing.net>
Date:   Fri Jan 25 22:20:13 2013 -0600

    Change the default JWM appearance.

M	example.jwmrc
M	src/color.c
M	src/status.c

commit af60572e5dca4aa1145ddf9c226641a0673a745d (tag: s661)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jan 24 15:49:54 2013 -0600

    Fix resizing near the menu button in the title bar.

M	src/border.c

commit 64a56a48da630ff674f7f8dbf743b99814f2be4b
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jan 24 15:28:50 2013 -0600

    Render confirm dialogs to pixmaps rather than directly to the window.

M	src/confirm.c

commit c8a77a871a7d464a1ef2387137d86be02f6ac633 (tag: s659)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Jan 23 09:17:37 2013 -0600

    Add support for using the keyboard with confirm dialogs.

M	jwm.1.in
M	src/confirm.c

commit c2fd0030fd8649baad1ae60ad0ab4e2f104fe9cd (tag: s658)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jan 21 09:58:04 2013 -0600

    Attempt to fix window focus issues.

M	src/client.c
M	src/client.h
M	src/event.c
M	src/hint.c
M	src/hint.h
M	src/swallow.c

commit 38be45c4e70f49c864ca0a6fa5bf96201d044e60 (tag: s657)
Author: joewing <joewing@joewing.net>
Date:   Sun Jan 20 09:43:52 2013 -0600

    Improve the way borders are drawn.

M	src/border.c
M	src/jxlib.h

commit bc4702d33e2674f3727e5d9b2e0dfcd0a1c0f9cd
Author: joewing <joewing@joewing.net>
Date:   Sat Jan 19 15:24:57 2013 -0600

    Attempt to fix some issues with popups: render to a pixmap instead of the window to prevent issues with XRENDER and draw the border manually.

M	src/confirm.c
M	src/popup.c

commit 7ce7c2d802cd458a475306603a2ffdbc629112fd (tag: s655)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Jan 19 08:57:15 2013 -0600

    Don't redraw popups unnecessarily (patch from Aleksandr Samusenko).

M	src/popup.c

commit 707cfa51ca5ebe4cf074327892fa4957d1aaae1d
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Jan 19 08:53:55 2013 -0600

    Fix setting of tray border sizes (patch from Aleksandr Samusenko).

M	src/parse.c

commit ac405e99767f877729d15c9f5ffa6057acb932ee (tag: s653)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Tue Jan 15 14:20:23 2013 -0600

    Fix a problem with WM_TAKE_FOCUS and some applications.

M	src/client.c

commit dc0234f3de9b2d693efd2ab4a787506fc9665388 (tag: s652)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Jan 12 10:09:30 2013 -0600

    Fix setting of _NET_WM_STATE.

M	src/hint.c

commit e903a6c7b2b27c781b88a280cc49825fa2192907 (tag: s651)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Jan 11 23:47:12 2013 -0600

    Update documentation.

M	jwm.1.in

commit 7a4e7cc52346bcb20f30509cc1e6e15d3a08503c
Author: joewing <joewing@joewing.net>
Date:   Fri Jan 11 23:40:08 2013 -0600

    Bump version to 2.2.0.

M	configure.in

commit bbbcd80bca3289b6799baedd79ffe5e910b1ffc9
Author: joewing <joewing@joewing.net>
Date:   Fri Jan 11 23:38:53 2013 -0600

    SVG fixes.

M	src/image.c

commit df9b032ef7217671e61e4beab3b4a13812bb8280
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Jan 11 23:15:57 2013 -0600

    Support for SVG icons.

M	config.h.in
M	configure.in
M	src/image.c

commit b580ddb936a00898a5a28cbcc0441377f6ff3459 (tag: s647)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Jan 11 17:47:15 2013 -0600

    Enforce value ranges.

M	jwm.1.in
M	src/settings.c

commit ce05234aee2fb0690ac9c33878c8f460c539273c (tag: s646)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Jan 11 17:25:06 2013 -0600

    Fix a compiler warning.

M	src/hint.c

commit 30c2060c689075935f6b9d5f15980bec807d01c9
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Jan 11 17:11:31 2013 -0600

    Add support for _NET_REQUEST_FRAME_EXTENTS.

M	src/border.c
M	src/border.h
M	src/client.c
M	src/event.c
M	src/hint.c
M	src/hint.h
M	src/move.c
M	src/pager.c
M	src/place.c
M	src/resize.c

commit eaa3185283eaab76a545826e45375d9ae1bdf354
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jan 10 21:17:10 2013 -0600

    Documentation updates.

M	jwm.1.in

commit 70f4482d677085138bd68c6bb6dc74c2c23d4143 (tag: s643)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Jan 9 22:16:35 2013 -0600

    Change the way dragging windows between desktops is handled.

M	jwm.1.in
M	src/event.c
M	src/move.c
M	src/move.h
M	src/parse.c
M	src/settings.c
M	src/settings.h

commit 76c446db306e2065aa74e5ebf2a4dd4be37ebe90 (tag: s642)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Jan 9 21:06:05 2013 -0600

    Fix compiler warnings.

M	src/confirm.c

commit e65fa5448c2ecdda5a47dfda0dae65f00547ac40 (tag: s641)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Jan 9 18:55:16 2013 -0600

    Change the default font.

M	src/font.c

commit 226f03bf5eb596b8abe9daf97496ffd77c0b95b5 (tag: s640)
Author: joewing <joewing@joewing.net>
Date:   Wed Jan 9 18:44:26 2013 -0600

    Fix tracking of border buttons.

M	src/border.c

commit c135241b77b5d67d1f452e0c8913c3c02e34978c
Author: joewing <joewing@joewing.net>
Date:   Wed Jan 9 18:27:06 2013 -0600

    Only show one confirm dialog at a time.

M	src/confirm.c

commit 0d3d01f0a3814be7142c1667dce70a4052cc15e7
Author: joewing <joewing@joewing.net>
Date:   Wed Jan 9 18:13:39 2013 -0600

    Map confirm dialogs in the above layer.

M	src/client.c

commit 1085a99dceebffeaa527f716bb1ec96cedfc775d
Author: joewing <joewing@joewing.net>
Date:   Wed Jan 9 18:10:46 2013 -0600

    Remove some shape extension cruft.

M	src/client.c
M	src/client.h
M	src/event.c

commit 026051e9c4ce6b9750f47516ac135f86821a4793
Author: joewing <joewing@joewing.net>
Date:   Wed Jan 9 17:32:14 2013 -0600

    Set the window background when drawing borders to reduce flickering.

M	src/border.c

commit 80edefb21a1653759cbd500b8f6de5b03748fac6 (tag: s635)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Jan 9 09:04:42 2013 -0600

    Fix tray button colors.

M	src/color.c
M	src/traybutton.c

commit 2c5a8aca73f98077c00187eab1b71f2f6b3b76ae (tag: s634)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Tue Jan 8 21:22:35 2013 -0600

    Update Fribidi support.

M	configure.in
M	src/font.c

commit 6de6e175a92cb427babe1f437fd9bd11fc95146d (tag: s633)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Tue Jan 8 18:36:22 2013 -0600

    Remove extra call to DrawBorder.

M	src/client.c

commit 43702679ef76a29b48c59cb9f0c6b5a49af03f68 (tag: s632)
Author: joewing <joewing@joewing.net>
Date:   Tue Jan 8 18:23:46 2013 -0600

    Remove unnecessary calls to ShapeRoundedRectWindow.

M	src/event.c
M	src/resize.c

commit 925d2afda8cb9ddee25bd581f8954cb9fc942d7e (tag: s631)
Author: joewing <joewing@joewing.net>
Date:   Tue Jan 8 18:12:55 2013 -0600

    Fix window shape when switching to fullscreen.

M	src/border.c
M	src/client.c

commit 8804cf12d712e1890dc6e9e1a2dd34926fcd22e2 (tag: s630)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jan 7 17:30:13 2013 -0600

    Don't make the scroll wheel register as button events over window buttons.

M	src/event.c

commit 80ec70826ca92e00ac7992d75130e62aa178250c
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jan 7 17:23:43 2013 -0600

    Fix some issues with window states when JWM starts and restarts.

M	src/client.c
M	src/hint.c

commit 0109e2e300387eb2d8f6784407e66c3015bf999f
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jan 7 13:29:28 2013 -0600

    Keep track of shaded clients when restarting.

M	src/client.c

commit 9a80cb5d8e39fd53d86f5e7ab89032edb5a9652c
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jan 7 13:17:32 2013 -0600

    Fix flicker when shading a client multiple times.

M	src/client.c

commit d9e00e417df28a8432f0e04c8059ed8cb5512fd7
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Jan 7 13:17:08 2013 -0600

    Don't show move/resize on shaded windows that are minimized.

M	src/winmenu.c

commit ed78dfd4e78c8b600f34b373e04343ec489bd9e6 (tag: s625)
Author: joewing <joewing@joewing.net>
Date:   Sun Jan 6 18:50:39 2013 -0600

    Don't resize an extra time on configure requests.

M	src/event.c

commit deb269533c1c13c281395f37ed3f9d001975e0c4 (tag: s624)
Author: joewing <joewing@joewing.net>
Date:   Sun Jan 6 18:43:55 2013 -0600

    Handle configure requests better.

M	src/event.c

commit 1a4ecea59c30ee58c682e44f007923dbd5844204 (tag: s623)
Author: joewing <joewing@joewing.net>
Date:   Sun Jan 6 18:26:32 2013 -0600

    Make JWM track minimized windows on restart.

M	src/client.c
M	src/event.c
M	src/hint.c
M	src/hint.h

commit 1452ca98a67a01fc1fc9c3e85375bab0ec8ce804 (tag: s622)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Jan 6 13:26:56 2013 -0600

    Update mouse bindings.

M	jwm.1.in
M	src/event.c
M	src/hint.c

commit de2e74f50956953f9574ba04c2d0734c940c8204 (tag: s621)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Jan 5 16:16:31 2013 -0600

    Fix a race with unmapping windows.

M	src/client.c
M	src/event.c
M	src/hint.c

commit bbc54fa6a24d2386bf903302bcd9bd77dda1b782
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Jan 5 11:43:54 2013 -0600

    Better border buttons.

M	src/border.c
M	src/color.c
M	src/color.h
M	src/settings.c

commit 62876863a25206d9efab5d424e05501c6ca4bab8
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Jan 5 10:39:13 2013 -0600

    Fix some typos in the documentation.

M	jwm.1.in

commit 562743bbbf985e6001bbee779c3087007d2f97ac
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Jan 5 10:35:56 2013 -0600

    Update documentation.

M	jwm.1.in

commit 25dd2d08d85a33fd83f204f72998b41038e781e8
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Jan 5 10:04:21 2013 -0600

    Add border TrayButton attribute.

M	src/button.c
M	src/button.h
M	src/color.c
M	src/color.h
M	src/parse.c
M	src/traybutton.c
M	src/traybutton.h

commit c3aef7d3a1d00820a4a47625789f654855cb7f0c
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Jan 4 17:21:34 2013 -0600

    Add borders around task bar items again and change how popups are handled.

M	src/button.c
M	src/popup.c
M	src/popup.h
M	src/settings.c

commit 75f533da409cc9782415f7dc9484ca369ca440c7
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Jan 4 10:59:49 2013 -0600

    Update mouse cursors for windows without borders.

M	src/event.c

commit 97dcd9143fd89256f65dfdba808931ad2181774d
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Fri Jan 4 10:51:32 2013 -0600

    More border changes.

M	src/border.c
M	src/cursor.c
M	src/jxlib.h

commit a762b9207f7d48d8a612e1f3a7a5ed08c19ec400
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jan 3 22:36:18 2013 -0600

    Start working on resizable window buttons.

M	jwm.1.in
M	src/border.c
M	src/lex.c
M	src/lex.h
M	src/parse.c
M	src/settings.c
M	src/settings.h

commit b08b07e827c5b4fb1753034205d97977c6df0830
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jan 3 21:38:17 2013 -0600

    Fix X errors when setting the background if the background fails to load.

M	src/background.c

commit b1c1a269f429cb2d47e2f49cd59d63a4df9a5f39
Author: joewing <joewing@joewing.net>
Date:   Thu Jan 3 19:03:50 2013 -0600

    Fix X errors when restarting/exiting.

M	src/client.c

commit 796129d7144ed1b50e00c46322c7ea3f0723b23e
Author: joewing <joewing@joewing.net>
Date:   Thu Jan 3 19:00:18 2013 -0600

    Fix an X error related to menus.

M	src/font.c
M	src/jxlib.h
M	src/menu.c

commit 930507a826512a8f4f8303e5482e0b3e5f13c64d
Author: joewing <joewing@joewing.net>
Date:   Thu Jan 3 17:34:56 2013 -0600

    Remove unused variables.

M	src/border.c

commit feecf7c6df9c61a7b42591056424c479944f4a19
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jan 3 11:26:41 2013 -0600

    Clean up DrawBorder.

M	src/border.c
M	src/border.h
M	src/client.c
M	src/event.c

commit 4a18995fb36196144a952a220fa19a2acb510497
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jan 3 11:23:20 2013 -0600

    Fix an issue with the shape extension and resizing windows.

M	src/resize.c

commit 8df688193352fabdd5b9eebc0457d5e799404ff0
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jan 3 11:04:23 2013 -0600

    Update the pager on maximize.

M	src/client.c

commit 2b788745c43e87fcc658e09d2859e3b88f8630b0
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jan 3 11:02:24 2013 -0600

    Fix window shape on maximize.

M	src/client.c

commit 8895a82dc4ec2a36fe9baaab6a1db098da58f427
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jan 3 10:39:54 2013 -0600

    Fix support for shaped windows.

M	src/border.c
M	src/border.h
M	src/client.c
M	src/event.c
M	src/popup.c
M	src/resize.c

commit 371c9e368fd68707d7e70c97976c2b5296864323
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jan 3 10:21:04 2013 -0600

    Update the pager when shading windows.

M	src/client.c

commit 1a19f254b7cb178b658e4489b2d0278baf5baf22
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jan 3 10:19:39 2013 -0600

    Change the way borders are rendered (fix an issue with Xnest).

M	src/border.c
M	src/button.c
M	src/clock.c
M	src/confirm.c
M	src/font.c
M	src/font.h
M	src/pager.c
M	src/popup.c
M	src/status.c
M	src/traybutton.c

commit 9fd4e8674dcf98961a97aaef1894bcf8dc04bf82
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Thu Jan 3 09:20:03 2013 -0600

    Completely do away with borders for inactive items on trays.

M	src/button.c

commit 8a7ad3e98967e4cf09ce120bff7e6c7278badfe3
Author: joewing <joewing@joewing.net>
Date:   Wed Jan 2 18:16:21 2013 -0600

    Fix placement of menus.

M	src/menu.c

commit 67dbccc90c308974593626fb268d02d2a213de10
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Dec 30 11:14:53 2012 -0600

    Better fix for setting _NET_CURRENT_DESKTOP on startup (issue 3545966 at jwm.sf.net).

M	src/desktop.c
M	src/hint.c

commit ea0d8e59dfa38d9ca3d7631495aa1dfad5e5f9d5
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Dec 30 11:03:26 2012 -0600

    Force setting of _NET_CURRENT_DESKTOP on startup (issue 3545966 at jwm.sf.net).

M	src/hint.c

commit 74df584dbf617a3a3bf647f3058a3f1f15c2eb45
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Dec 29 21:05:39 2012 -0600

    Fix menu height.

M	src/menu.c

commit d2dd6d19b384b5867b15cda63062d8a66f435388
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Dec 29 21:03:26 2012 -0600

    Menu tweaks.

M	src/menu.c

commit 8f92106588d5789ca1aba2f9e4b8df1cc28b8ec6
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Dec 29 20:36:23 2012 -0600

    Remove unused variables.

M	src/group.c
M	src/menu.c
M	src/winmenu.c

commit abeb4a37afcffa8864a24e097fe91beb7ea63c80
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Dec 29 16:46:02 2012 -0600

    Some changes to menus and buttons.

M	example.jwmrc
M	src/border.c
M	src/border.h
M	src/button.c
M	src/confirm.c
M	src/menu.c

commit e62e58635891600930cf9c95e0c5c9b276de3351
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Dec 29 14:38:17 2012 -0600

    Reduce the number of supported window layers and name them.

M	jwm.1.in
M	src/client.c
M	src/clientlist.c
M	src/group.c
M	src/group.h
M	src/hint.c
M	src/hint.h
M	src/pager.c
M	src/parse.c
M	src/taskbar.c
M	src/tray.c
M	src/tray.h
M	src/winmenu.c

commit 6f669cbb209c8741bada22c4c61e171f8d9538d8
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sat Dec 29 14:02:07 2012 -0600

    Fix group opacity when set to 1.0.

M	src/group.c

commit 5c7b0e920a03cf8ff6322424264264d7aab09b1d
Author: Joe Wingbermuehle <joewing@raspberrypi.(none)>
Date:   Sat Dec 29 13:17:30 2012 -0600

    Add settings.c to POTFILES.in

M	po/POTFILES.in

commit 83be47c4b4785a124d17bbadf74f572c6641c758 (tag: s590)
Author: Joe Wingbermuehle <joewing@sindy2.(none)>
Date:   Wed Dec 26 11:53:48 2012 -0600

    Fix a crash when remapping a window.

M	config.h.in
M	src/event.c

commit fbc010e1bb486c16bd9f47e668bea0c0be918322 (tag: s589)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Sun Dec 23 11:16:57 2012 -0600

    Fix a potential issue with layers (don't read the window state multple times).

M	src/event.c

commit ed09f42894a07d7911e1080ca7bd5ce8b411497d (tag: s588)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Wed Dec 19 09:58:55 2012 -0600

    Make JWM use consistent cursors for corners.

M	.gitignore
M	src/cursor.c

commit a2a5c1ca6eb0cfca911edd89e190babd6a90c38b (tag: s587)
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Dec 17 16:28:36 2012 -0600

    Remove git stuff when building a tarball.

M	Makefile.in

commit e217397078293006e2a558998dbb6db4a4c21405
Author: Joe Wingbermuehle <joewing@joewing.net>
Date:   Mon Dec 17 15:46:59 2012 -0600

    Add .gitignore

A	.gitignore

commit 3e03ff4f0ee99b910ff866d4525eb79a66df1dff
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Dec 17 21:24:34 2012 +0000

    Separate out more settings.

M	src/hint.c
M	src/hint.h
M	src/image.c
M	src/key.c
M	src/lex.c
M	src/lex.h
M	src/main.c
M	src/match.c
M	src/match.h
M	src/menu.c
M	src/menu.h
M	src/misc.c
M	src/misc.h
M	src/move.c
M	src/outline.c
M	src/outline.h
M	src/pager.c
M	src/parse.c
M	src/place.c
M	src/place.h
M	src/settings.c
M	src/settings.h
M	src/spacer.c
M	src/status.c
M	src/swallow.c
M	src/swallow.h
M	src/taskbar.c
M	src/taskbar.h
M	src/timing.c
M	src/tray.c
M	src/tray.h
M	src/traybutton.c
M	src/winmenu.c

commit a7456c61739aee143bfbd600bbf21db3e0a2e8b2
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Dec 17 04:09:39 2012 +0000

    Start separating out settings.

M	src/Makefile.in
M	src/background.c
M	src/background.h
M	src/border.c
M	src/border.h
M	src/button.c
M	src/button.h
M	src/client.c
M	src/client.h
M	src/clientlist.c
M	src/clientlist.h
M	src/clock.c
M	src/clock.h
M	src/color.c
M	src/command.c
M	src/confirm.c
M	src/confirm.h
M	src/cursor.c
M	src/cursor.h
M	src/debug.c
M	src/desktop.c
M	src/desktop.h
M	src/dock.c
M	src/dock.h
M	src/event.c
M	src/font.c
M	src/font.h
M	src/gradient.c
M	src/gradient.h
M	src/group.c
M	src/group.h
M	src/help.c
M	src/hint.c
M	src/hint.h
M	src/icon.c
M	src/jwm.h
M	src/main.c
M	src/main.h
M	src/menu.c
M	src/move.c
M	src/move.h
M	src/pager.c
M	src/parse.c
M	src/place.c
M	src/popup.c
M	src/popup.h
M	src/resize.c
M	src/resize.h
A	src/settings.c
A	src/settings.h
M	src/status.c
M	src/status.h
M	src/taskbar.c
M	src/tray.c
M	src/tray.h
M	src/traybutton.c
M	src/winmenu.c

commit a817ae44406d8f39a285017df7938a0ef8e11cc8 (tag: s583)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Dec 14 16:04:22 2012 +0000

    Fix artifacts caused by shaped windows when using compositing.

M	src/border.c

commit d3daff4cb4e84c2b0c9d7118907ffc371ce612dd
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Dec 14 16:02:11 2012 +0000

    Fix a crash when clients are mapped on a different layer.

M	src/event.c

commit a546c3ebb60c17fab483201b443c453ad6a51b0e (tag: s581)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Sep 16 15:57:10 2012 +0000

    Add Polish translation (Mis Uszatek).

M	po/LINGUAS
A	po/pl.po

commit 62ec69d49dc8bccce5310100cd4b04eec038bb89
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Mar 7 13:59:31 2012 +0000

    Use CPPFLAGS

M	src/Makefile.in

commit 99e8ee3976ac2500930f686e51945e1f64489d7e (tag: s579)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jan 27 00:54:59 2012 +0000

    Use ConfigureNotify instead of RandR for detecting changes in resolution (jdoe0154).

M	config.h.in
M	configure.in
M	src/event.c
M	src/help.c
M	src/jwm.h
M	src/jxlib.h
M	src/main.c
M	src/main.h

commit 354b9b8e4fc39284477af82a9598cc87c2a16af3 (tag: s578)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 22 23:19:38 2012 +0000

    Another attempt to fix xrandr support.

M	src/event.c
M	src/main.c

commit 49b620bb61f0c37a2a71d682e82d0eba89fd3407 (tag: s577)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 22 16:04:51 2012 +0000

    Attempt to fix a bug with randr support (3476900).

M	src/main.c

commit 1f6e90ca26c100b2790438c536e6fdcf42792c07 (tag: s576)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 15 23:57:16 2012 +0000

    Report xrandr with -version.

M	src/help.c
M	src/render.c

commit 577a86e849f7afac9e5be9f844a829ceddf396b3 (tag: s575)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 15 23:50:28 2012 +0000

    Restart when the screen changes resolution or rotates.

M	config.h.in
M	configure.in
M	src/event.c
M	src/jwm.h
M	src/jxlib.h
M	src/main.c
M	src/main.h

commit 3991c73cb803cc481b041f1ebc6a01d91017b19e (tag: s574)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 14 16:18:00 2012 +0000

    Change the way alpha transparency is handled.

M	src/icon.h
M	src/render.c

commit be39dfa5a323bb9f43fcd70b51e40882f9545576 (tag: s573)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 14 01:14:12 2012 +0000

    Attempt to address an issue with keyboard focus when windows are unmapped.

M	src/event.c

commit 2bfd08d2e75a0c613afea4480ddc0fc6f79a664c (tag: s572)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Jan 11 00:25:25 2012 +0000

    USE DESTDIR with BINDIR.

M	src/Makefile.in

commit f00b245ae5754d573aeb322921bd4b052f2445ec (tag: s571)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jan 10 23:51:27 2012 +0000

    Attempt to fix the hidden window bug.

M	src/clientlist.c
M	src/hint.c
M	src/taskbar.c

commit 4ba06a89f508be5c17ef9f145e460916abb1d855 (tag: s570)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Jan 5 17:44:35 2012 +0000

    Attempt to fix an issue with walking the window stack.

M	src/clientlist.c

commit b4f4c9d84631c5d729e7d4ec6981d867811fab15 (tag: s569)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jan 3 17:30:01 2012 +0000

    Fix spurious popups.

M	src/clock.c
M	src/pager.c
M	src/taskbar.c
M	src/traybutton.c

commit 86d886cc473742b2aefad3c5e38fc05a72836e21 (tag: s568)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jan 3 03:39:19 2012 +0000

    Fix for loss of keybindings (bug 3468278).

M	src/client.c

commit 3d57f3af06393c71f5ecae89c153eca139a972ea (tag: s567)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jan 2 21:59:54 2012 +0000

    Use eventTime rather than CurrentTime in SetInputFocus.

M	src/client.c
M	src/event.c

commit 22bc174030459df99357bee0200d408f1e194bc5 (tag: s566)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jan 2 21:56:44 2012 +0000

    Fix a focus problem with Flash app settings (bug 3466795).

M	src/client.c
M	src/event.c

commit 49010334f3d87d3cce5243c739772371cd21a538 (tag: s565)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 1 21:00:27 2012 +0000

    Fix segfault with -reload (bug 3468016).

M	src/menu.c
M	src/root.c

commit a5c4a567a281de48391a0bb6a88b35739722bc50 (tag: s564)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Dec 31 15:42:18 2011 +0000

    Don't draw a rounded border on popups if --disable-shape.

M	src/jwm.h
M	src/status.c

commit 95587a29eb34f3c53ca658a8807f662f37cd7fbe (tag: s563)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Dec 31 15:32:57 2011 +0000

    Fix build with --disable-shape.

M	src/jwm.h

commit 0af465aca3c6b85bdcf0601a1e6ed118829c44a2 (tag: s562)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Dec 23 22:41:40 2011 +0000

    Fix build with --disable-icons.

M	src/icon.c

commit 6fcb5b0f962726eff51bab58c514b2b2a8041dc4 (tag: s561)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Dec 23 22:21:28 2011 +0000

    Allow resizing a window larger than the root screen.

M	src/hint.c
M	src/jwm.h
M	src/resize.c

commit e7ce825a9a5f8487dac2711f5354e8cdc8d387f7 (tag: s560)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Dec 23 00:25:33 2011 +0000

    Add a spacer tray component.

M	jwm.1.in
M	po/POTFILES.in
M	po/jwm.pot
M	src/Makefile.in
M	src/lex.c
M	src/lex.h
M	src/move.c
M	src/outline.c
M	src/parse.c
A	src/spacer.c
A	src/spacer.h
M	src/traybutton.c
M	src/winmenu.c

commit b3dda007943cac9ff2d2451d5452e5d7f8fb2c31
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Dec 23 00:11:48 2011 +0000

    Use fixed point for icon scaling.

M	src/icon.c

commit a4fc63b02cd9bcb2f5dbd9420a2b4c03eb5cd772 (tag: s558)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Dec 22 23:34:50 2011 +0000

    Align text in menus even if only some items have icons.

M	src/button.c
M	src/icon.c
M	src/icon.h
M	src/menu.c

commit 955a9277dfb92488436a9fb4ac7033173fbe1b86 (tag: s557)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Dec 22 23:23:52 2011 +0000

    Make trays work better with multiple monitors.

M	src/tray.c

commit daa7c913ef038ea570ee11bb3f4f2d330075592a (tag: s556)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Dec 19 16:20:18 2011 +0000

    Fix an issue with EWMH and layers.

M	src/hint.c

commit 6c68a38eaad925618a55d0f30ac55ac1d220284b (tag: s555)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Dec 19 15:11:38 2011 +0000

    Fix scaling of dock icons.

M	src/dock.c

commit 13f830684a97b4f43bc40caf104aabe466a1373b (tag: s554)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Dec 19 00:47:38 2011 +0000

    Fun with fixed point.

M	src/button.c
M	src/client.c
M	src/client.h
M	src/color.c
M	src/dock.c
M	src/event.c
M	src/group.c
M	src/outline.c
M	src/pager.c
M	src/place.c
M	src/render.c
M	src/resize.c
M	src/root.c
M	src/root.h
M	src/traybutton.c

commit e99dccc4fb8ca2266fb8fc016022499ea02a55c6 (tag: s553)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Dec 17 20:49:46 2011 +0000

    Fix another warning.

M	src/root.c

commit 3e53c9117b4d30d40e3dbeba2179aa4c4e1885af
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Dec 17 20:47:10 2011 +0000

    Fix some compiler warnings.

M	src/button.c
M	src/clock.c
M	src/dock.c

commit 28794c51ab037a9f8bf887ce558d52fa06448567 (tag: s551)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Dec 17 20:33:50 2011 +0000

    Fix a double free.

M	src/dock.c

commit b95315ae82cf6844099ddd94363a86987bb2aec7 (tag: s550)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Dec 17 20:10:04 2011 +0000

    Fix Docks on restart and add a width attribute.

M	jwm.1.in
M	src/dock.c
M	src/dock.h
M	src/parse.c

commit 82324dea3067e75c61ee1ddf8df14a72fe74c0d1 (tag: s549)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Dec 16 15:26:36 2011 +0000

    Fix some focus problems.

M	src/client.c

commit 8dbf903a641875cb73fc54eeca7a5bb4d9fd75bd (tag: s548)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Dec 16 00:34:10 2011 +0000

    Fix a race condition with WM_TAKE_FOCUS.

M	src/client.c
M	src/event.c
M	src/event.h
M	src/move.c
M	src/resize.c

commit 63b3551ea3478a8d95a32eb17d536863eaed9a73 (tag: s547)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Dec 13 01:26:27 2011 +0000

    Add jwm -reload for reloading the root menu.

M	src/event.c
M	src/help.c
M	src/hint.c
M	src/hint.h
M	src/main.c
M	src/main.h
M	src/parse.c
M	src/root.c
M	src/root.h

commit 37ff3946c9589a7626b7868274ad1ad5af785f51 (tag: s546)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Dec 3 03:48:10 2011 +0000

    Full screen key binding (Rodionov Andrey).

M	src/client.c
M	src/event.c
M	src/key.c
M	src/key.h
M	src/parse.c

commit ae25613d2ce16dee0401fa06fcc453a488191133 (tag: s545)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Nov 23 01:41:57 2011 +0000

    Fix a memory leak.

M	src/match.c

commit 5b7c1bea38377c671a38bad29d5fa5e0e6f9abf2 (tag: s544)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Nov 23 01:30:19 2011 +0000

    Add support for regular expressions when matching (Rodionov Andrey).

M	src/match.c

commit c2f7e7dc0893d0f0f94504d7458c9df6e35291f4 (tag: s543)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 22 03:55:37 2011 +0000

    Disable Xmu on IRIX64 in addition to IRIX by default.

M	configure.in

commit 9f6904ee549ebe38bf7f4dcc5899e46c920d32af (tag: s542)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Oct 16 18:25:14 2011 +0000

    Don't create zombies.

M	src/color.c
M	src/main.c

commit e800c49b1602af1ae26449c195d0c33a4df559ce (tag: s541)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Oct 16 06:01:37 2011 +0000

    Change the behavior of Group settings to require a name and class match if both are specified.

M	jwm.1.in
M	src/group.c
M	src/popup.c

commit 346c4757e2504f4691a1588dc2a7208c092c767e (tag: s540)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Oct 16 05:28:40 2011 +0000

    Only fork once when starting programs.

M	src/client.c
M	src/command.c

commit 3bca450ab8f825dc828bde3681b2975d40ee4c89 (tag: s539)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 15 22:43:42 2011 +0000

    Attempt to fix doxygen HTML.

M	doc-header.shtml

commit 7c4e22ef5607367080abafff5ed7e60c87445a80 (tag: s538)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 15 22:18:28 2011 +0000

    Add check for unsetenv.

M	configure.in

commit 8f74f0f8a0404a91087da75243ba73d2941ced8f (tag: s537)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 15 22:14:49 2011 +0000

    More clock fixes.

M	src/clock.c
M	src/taskbar.c
M	src/timing.c
M	src/tray.c

commit 66b17d75991cbd5b3bf79e73c57757de83382cf0
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 15 21:52:18 2011 +0000

    Fix some timezone issues.

M	configure.in
M	src/clock.c
M	src/timing.c

commit ca4b9887f8048c0017daadaafc0e81e474b9e066 (tag: s535)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 15 19:23:44 2011 +0000

    Disable edge resistance when holding mod1.

M	src/event.c
M	src/move.c
M	src/move.h

commit 2185badf4f00a74c910110fcae256d0243db7db1 (tag: s534)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 15 19:04:22 2011 +0000

    Fix rounded corners on status windows when Xmu is disabled.

M	src/status.c

commit 46f79b2faba5ee38cc53eb0ac4a547f048c0572e (tag: s533)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 15 18:40:22 2011 +0000

    Update the configure script to disable Xmu by default on IRIX.

M	configure.in

commit 944e90e1dbfd7c870a7c0177fa204eca54d35c7e
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 15 18:26:00 2011 +0000

    Add support for rounded windows without Xmu support.

M	src/border.c
M	src/border.h
M	src/button.c
M	src/jxlib.h
M	src/popup.c

commit 20abb157ed1e9de0c3d357c35d7691f350d70add (tag: s531)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Oct 14 23:46:48 2011 +0000

    Fix computation of text width.

M	src/button.c
M	src/font.c
M	src/menu.c

commit bbba3492af5fbfc1d66e8c751d866f40da1d4ff2 (tag: s530)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Oct 13 02:59:30 2011 +0000

    Add native language support.

A	ABOUT-NLS
M	Makefile.in
A	aclocal.m4
A	config.guess
M	config.h.in
A	config.sub
M	configure.in
A	install-sh
A	po/LINGUAS
A	po/Makefile.in.in
A	po/Makevars
A	po/POTFILES.in
A	po/Rules-quot
A	po/boldquot.sed
A	po/en@boldquot.header
A	po/en@quot.header
A	po/insert-header.sin
A	po/jwm.pot
A	po/quot.sed
A	po/remove-potcdate.sin
M	src/background.c
M	src/border.c
M	src/client.c
M	src/command.c
M	src/cursor.c
M	src/desktop.c
M	src/dock.c
M	src/event.c
M	src/font.c
M	src/group.c
M	src/image.c
M	src/jwm.h
M	src/key.c
M	src/lex.c
M	src/main.c
M	src/menu.c
M	src/move.c
M	src/parse.c
M	src/popup.c
M	src/root.c
M	src/status.c
M	src/swallow.c
M	src/taskbar.c
M	src/tray.c
M	src/traybutton.c
M	src/winmenu.c

commit ae5eb83f057c9c06d3c45a2aac16e324d61c71bd
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Oct 12 01:30:18 2011 +0000

    Fix WindowStyle documentation.

M	jwm.1.in

commit 6cb83c9f70f55889c9a2b0093f93f5135aa1fd32 (tag: s528)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Oct 9 18:52:49 2011 +0000

    Fix an issue with some windows not mapping.

M	src/hint.c

commit 5db97bcef577787977dfbdd670dbd5e045c93bb3 (tag: s527)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Oct 9 05:57:17 2011 +0000

    Fix desktop wrapping.

M	src/desktop.c

commit af15c326f536314e1473a364447b28b5ef6fc432 (tag: s526)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Oct 9 02:13:01 2011 +0000

    Fix pixmap allocation for rounded borders.

M	src/border.c

commit c51413b9bff5a161f39013a43d8f5a509324930f
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 8 22:41:52 2011 +0000

    Attempt to fix another issue with input focus.

M	src/client.c

commit 082e4b64c71f16775986b935e9623fa20dfd4734
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 8 21:43:00 2011 +0000

    Changes to fix the IRIX build.

M	config.h.in
M	configure.in
M	src/hint.c
M	src/timing.c

commit 803d0f944e74370149fa50c75c3d3d389fc8d6e2 (tag: s523)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 8 18:55:17 2011 +0000

    Fix debug build.

M	src/debug.h

commit 64439f6eacf0a7045b459455a5b040a77f70f2fc
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 8 18:54:14 2011 +0000

    Some performance improvements.

M	src/background.c
M	src/border.c
M	src/button.c
M	src/client.c
M	src/clock.c
M	src/color.c
M	src/confirm.c
M	src/cursor.c
M	src/debug.h
M	src/desktop.c
M	src/dock.c
M	src/event.c
M	src/font.c
M	src/group.c
M	src/icon.c
M	src/image.c
M	src/jwm.h
M	src/jxlib.h
M	src/key.c
M	src/lex.c
M	src/main.c
M	src/menu.c
M	src/move.c
M	src/pager.c
M	src/parse.c
M	src/popup.c
M	src/resize.c
M	src/root.c
M	src/status.c
M	src/swallow.c
M	src/taskbar.c
M	src/tray.c
M	src/traybutton.c
M	src/winmenu.c

commit 2800a33eea0b8406a784ed4ca12554cfd04a7718
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 8 17:35:46 2011 +0000

    Don't use floating point for gradients.

M	src/gradient.c

commit 7428209102ee7d313095022ed0ffc3b8967e61c1
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 8 15:14:31 2011 +0000

    Release the alpha picture earlier.

M	src/icon.c
M	src/icon.h
M	src/render.c

commit 79b2ac8490a9d3570d71ce539be680fc1482f971
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 8 15:14:11 2011 +0000

    Better icon centering.

M	src/button.c

commit 92f7404c033d58e36e853aa9ea66f3f552f816df (tag: s518)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 8 05:10:10 2011 +0000

    Fix an input focus problem with some applications.

M	src/client.c
M	src/hint.c

commit d1ffd754627c8bbc20c405f2e1d17e438cfc4aa5 (tag: s517)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Oct 7 14:56:40 2011 +0000

    Fix render scale factors.

M	src/render.c

commit 031893a1dc8a2155e2bba44c4142279c4bcf210d (tag: s516)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Oct 7 14:10:10 2011 +0000

    Better xrender scaling.

M	src/icon.c
M	src/render.c

commit adcf2ebdea171eaa87e2949f32732135dfe25a7c (tag: s515)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Oct 7 02:23:58 2011 +0000

    Fix xrender scaling.

M	src/render.c

commit 540034e03da6b16a6eb5b7727423934c2861f634 (tag: s514)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Oct 7 02:15:41 2011 +0000

    Use xrender for scaling if available.

M	src/render.c

commit 28f2e4e742d29b7fd4161ce138279542cb9aaa76
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Oct 7 02:15:16 2011 +0000

    Fix a compiler warning.

M	src/event.c

commit 2d330be4ca0fe7bdf79ffd324354a9cb6f34a7bb (tag: s512)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Oct 6 00:25:26 2011 +0000

    Add support for _NET_WM_ACTION_ABOVE/BELOW.

M	src/event.c
M	src/hint.c
M	src/hint.h

commit 39d92223e2fd6d0da58885bdc918228b6d310e87 (tag: s511)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Oct 4 03:52:28 2011 +0000

    Remove old GNOME hint support.

M	src/client.c
M	src/desktop.c
M	src/event.c
M	src/hint.c
M	src/hint.h

commit 28cfcaaf3e85987dcf3f8f634f1b33097c6130ac
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Oct 3 23:38:53 2011 +0000

    Strip the binary after copying it when installing.

M	src/Makefile.in

commit 405ddfe6149b76250ac736ef96df876fec348311
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 1 20:05:18 2011 +0000

    Add support for _NET_SHOWING_DESKTOP.

M	src/desktop.c
M	src/desktop.h
M	src/event.c
M	src/hint.c
M	src/hint.h

commit 293540c1b1d1f4b78481a767f72f3eca2a8f77e7 (tag: s508)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 1 03:54:43 2011 +0000

    Remove outdated todo.txt.

D	todo.txt

commit dfa8c0b1e56907fbb0c5515a4f0a2517bd9b6a24 (tag: s507)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 1 03:04:34 2011 +0000

    Fix a bug with opening tabs in maximized windows for some applications.

M	src/event.c

commit a3d9a10b5ebed31dfa0077ef8f298f63a5f72487 (tag: s506)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Sep 30 02:33:24 2011 +0000

    Fixes suggested by clang (patches from Lauri Kasanen).

M	src/border.c
M	src/button.c
M	src/client.c
M	src/clock.c
M	src/event.c
M	src/image.c
M	src/place.c
M	src/taskbar.c

commit d0f638a1fa35d12b284a74d66f153f12171a7ce8 (tag: s505)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Sep 26 18:52:08 2011 +0000

    Add DESTDIR to the Makefile.

M	Makefile.in

commit deb57c228ad6df9f5daa6a7ef37912b1ba7fd045 (tag: s504)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Sep 26 02:23:25 2011 +0000

    Updated license.

M	LICENSE

commit 31e080415d3958e3c73618260c1f2cac42edd94b
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Sep 25 22:31:40 2011 +0000

    Update version.

M	configure.in

commit 8bdca0504d4d1c090f36778f44b5bb94e9be43b3 (tag: v2.1.0, tag: s502)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Sep 25 19:12:33 2011 +0000

    Fix issues with dragging windows to new desktops and fix a fullscreen problem.

M	src/hint.c
M	src/move.c

commit 23d9b0c3c861cce05175442bbf59c62c12b8d54b (tag: s501)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu May 26 12:20:52 2011 +0000

    Attempt to fix a bug where desktops can disappear.

M	src/desktop.c
M	src/desktop.h
M	src/move.c

commit 3180508b76cfea0dc5f7ecb835a23f6fd659168a (tag: s500)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Dec 26 06:09:57 2010 +0000

    Attempted build fix for newer versions of fribidi.

M	src/jwm.h

commit 62cc699d3daea1c72fd75db6d09ca34727ffcde8
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Dec 26 06:03:43 2010 +0000

    Fix a fullscreen problem with some programs (patch from Patriot).

M	src/client.c

commit 6eb75deaf82447d6554599d370a77114dfad73e2 (tag: s498)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Dec 17 01:18:38 2010 +0000

    Show popups on the pager with desktop names (patch from Steve Neumann).

M	src/event.c
M	src/pager.c
M	src/pager.h
M	src/popup.c
M	src/popup.h

commit 9f7bd1f77b804898d9b73278a855e4f9649036c6 (tag: s497)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Dec 14 22:04:11 2010 +0000

    Add 'prev' and 'prevstacked' key bindings and fix the 'desktop' keybinding (patch from Steve Neumann).

M	jwm.1.in
M	src/clientlist.c
M	src/clientlist.h
M	src/desktop.c
M	src/event.c
M	src/key.c
M	src/key.h
M	src/parse.c

commit 2815d7a0fb59b309b9c0798572a1d7bc0b9e2194 (tag: s496)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Dec 13 04:07:10 2010 +0000

    Add support for virtual desktops in 2-dimensions.

M	example.jwmrc
M	jwm.1.in
M	src/client.c
M	src/desktop.c
M	src/desktop.h
M	src/event.c
M	src/hint.c
M	src/jwm.h
M	src/key.c
M	src/key.h
M	src/main.c
M	src/main.h
M	src/move.c
M	src/pager.c
M	src/parse.c

commit 422cbffe5dff24a343c4ed63508a2008e99e2efd (tag: s495)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Dec 12 21:16:21 2010 +0000

    Fix a crash when updating _NET_CLIENT_LIST_STACKING and update documentation.

M	jwm.1.in
M	src/taskbar.c

commit e5eb41177fa743c92f70608f3f9d46a4bcfaf857
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Dec 12 20:48:04 2010 +0000

    Add time zone support (patch from Steve Neumann).

M	jwm.1.in
M	src/clock.c
M	src/clock.h
M	src/parse.c
M	src/timing.c
M	src/timing.h

commit 6a065827949468b98a67b7174dc3f7f603769c08 (tag: s493)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Sep 11 03:34:45 2010 +0000

    Add a 'nofocus' group option to prevent windows from stealing the focus when mapped.

M	jwm.1.in
M	src/client.h
M	src/event.c
M	src/group.c
M	src/group.h
M	src/parse.c

commit e22882592985b7049d93d1c45df75745dea1a58d (tag: s492)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue May 4 04:25:10 2010 +0000

    Don't make windows forever invisible if they are mapped in the Withdrawn state.

M	src/hint.c

commit 41244790889c23cd875f251307f8cafe49b1ddd1 (tag: s491)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun May 2 17:16:03 2010 +0000

    Go back to always grabbing the mouse on windows.

M	src/client.c
M	src/client.h

commit 015be5e747cf9e5b9d849ce32ee9c36e1e02e1e9 (tag: s490)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Apr 16 23:03:40 2010 +0000

    Fix a bug with windows losing focus.

M	src/client.c

commit fb290c8618163b9e64f251741b05d19804703678 (tag: s489)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Apr 13 03:27:03 2010 +0000

    Add locale support for the clock popup.

M	config.h.in
M	configure.in
M	src/clock.c
M	src/jwm.h
M	src/main.c

commit 2f4707d8b0aad118b38e8f2ab1229be48f75b5ca (tag: s488)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Apr 10 22:01:16 2010 +0000

    Speed up the last fix

M	src/client.c
M	src/client.h

commit 7b74af2413a8f61ce1b3ec50c751bc05093f3222
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Apr 10 21:49:11 2010 +0000

    Ungrab the mouse for the top window to work around a bug in flash.

M	src/client.c
M	src/hint.c

commit 1133e9dd19d572093ec1e1c1476e4e5bfe730888 (tag: s486)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Apr 10 20:45:20 2010 +0000

    Fix handling of _NET_WM_STRUT_PARTIAL

M	src/place.c

commit 684d3cf0dd036afb9a515fcd9b75cba3b750655d
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Apr 10 20:30:19 2010 +0000

    Fix a crash when a client strut is removed.

M	src/place.c

commit 38eddbb04d857e0ef6214dd7d1714833cf9d25f0
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Apr 10 20:11:16 2010 +0000

    Better handling for _NET_WM_WINDOW_TYPE_DESKTOP.

M	src/hint.c

commit 0c4c9cb08e7d4a15cb70fc46c3d8ae98432cac8e
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Apr 10 19:50:09 2010 +0000

    Fix an issue with window state handling.

M	src/hint.c

commit bd5d5d439a42fa54195ffd3ecb71efd1d6a4c677 (tag: s482)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Apr 10 19:25:59 2010 +0000

    Improve EWMH support

M	src/client.c
M	src/event.c
M	src/hint.c
M	src/hint.h

commit d8a2ccfabba62b537eb314ebe8c586eadfd6dcd0
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Apr 10 19:24:17 2010 +0000

    Fix a bug with maximization

M	src/place.c

commit e98ee58e1d0ca2e98b5408435cd5a7a1440fc3da (tag: s480)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Apr 9 04:33:55 2010 +0000

    Add support for _NET_WM_STATE_SKIP_TASKBAR.

M	src/event.c
M	src/hint.c
M	src/hint.h

commit dea8fe08526f4dc8858dd658d2468334b824aad7
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Apr 9 04:00:26 2010 +0000

    Updated example configuration

M	example.jwmrc
M	src/tray.h

commit 893e690eb0eda786c515fb668cbeebc87fe3ed9e (tag: s478)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Apr 6 05:59:31 2010 +0000

    Fix an issue with JWM and render

M	src/render.c

commit e23db0a7b0dce95fdad7cfcbb9b7c251d333a264
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Apr 6 05:54:18 2010 +0000

    Fix maximization problem with some GNOME programs.

M	src/event.c

commit 057a381b80d2a4bb43c5efff459ca1ebde14249f
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Apr 6 00:23:07 2010 +0000

    Fix a bug with withdrawn windows

M	src/hint.c
M	src/render.c
M	src/taskbar.c

commit 64523a001f4fb004bb1569ddab2da88f76e10942 (tag: s475)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Apr 2 03:42:54 2010 +0000

    Yet another attempt to fix an issue with icons displaying incorrectly on some systems.

M	src/background.c
M	src/icon.c
M	src/jxlib.h
M	src/main.c
M	src/render.c

commit 555e5bf8d456adbcbe08336babfedd8f6a1f6536 (tag: s474)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Mar 24 23:46:21 2010 +0000

    Attempt to fix an issue with semi-transparent icons with some setups.

M	src/render.c

commit e36081400e761fe764035a66b284f471f9fabdff
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Mar 23 03:29:29 2010 +0000

    Fix a bug with per-desktop backgrounds.

M	src/background.c

commit a863803716b2b2a6d3df28d48f35c95c0a73bb35
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Mar 23 03:07:28 2010 +0000

    Make dragging a window to the edge of the screen switch desktops.

M	src/move.c

commit 0e09e7de1dd7416d9c6a6619c84b159a4ba4433a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Mar 23 02:36:20 2010 +0000

    Clean up nextstacked key binding.

M	config.h.in
M	jwm.1.in
M	src/clientlist.c
M	src/key.c
M	src/key.h
M	src/parse.c

commit 26a8a8b46150cffebddf00c45d9243d004be32ae (tag: s470)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Mar 10 04:29:58 2010 +0000

    Fix a fribidi compilation issue

M	src/jwm.h

commit 6915fdfd26f1aa86a467b1041c1a702fd4fb9eb9 (tag: s469)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Feb 21 02:12:09 2010 +0000

    Add a 'show tray' key binding (patch from Omair Eshkenazi)

M	jwm.1.in
M	src/event.c
M	src/key.c
M	src/key.h
M	src/parse.c
M	src/tray.c
M	src/tray.h

commit 91a399ab72f44028a4ac5a1d48bac13ddfda06f4 (tag: s468)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 30 00:17:18 2010 +0000

    Update the man page on the opacity group option

M	jwm.1.in

commit f609e6b5cda1aab1900d5cff814fba1182885691
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 30 00:07:20 2010 +0000

    Sync man.1.in with the copy on SF

M	jwm.1.in

commit dbf3d27d1cd79c534252323c248f27951acc8604
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 30 00:05:16 2010 +0000

    Remove the opaque key binding from the man page

M	jwm.1.in

commit a3753b0acc74d25de1f3bceef1ed6ae4ec86b4e3
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 30 00:04:00 2010 +0000

    Fix the opacity group setting

M	src/client.h
M	src/parse.c

commit 83a8fdd25ca7d1edce7327967334185412ac3510 (tag: s464)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jan 18 05:30:52 2010 +0000

    Fix a bug with window placement

M	src/place.c

commit fbb0f8fec30caa69f3d62726f692bd09f6e74a5f
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jan 18 04:42:43 2010 +0000

    Fix a compile error if libjpeg is enabled and libpng is disabled

M	src/jwm.h

commit 58d3a54324465c928032b0b046cfb253513fcde4
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jan 18 04:38:21 2010 +0000

    Fix a bug with minimizing clients that are slow to map

M	src/taskbar.c

commit e5c2af754a9e54789b1eafecee8432ad918575f1
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jan 18 03:49:14 2010 +0000

    Fix nextstacked key binding

M	src/client.c
M	src/clientlist.c
M	src/event.c
M	src/key.c
M	src/key.h

commit 8039c91fd861708e6c5028ba5fc1c488b28af781 (tag: s460)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 2 00:39:29 2010 +0000

    Fix a build issue with some versions of gcc

M	src/clock.c

commit e128d6226a5aa65e99a0dee44d7b5b55f53bcd7a (tag: s459)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Dec 7 03:37:28 2009 +0000

    Fix syntax errors in the jwm man page

M	jwm.1.in

commit adf202d5fd986d4e7e55555c0935f8317218ad37
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Dec 7 00:28:13 2009 +0000

    Multibyte fix for title bars from Hiroyuki Yamamori

M	src/hint.c

commit aa9d64c45cc5e0b18da869dd50557f8620c3e721 (tag: s457)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Sep 28 01:23:04 2009 +0000

    Fix a crash with popups if a window has no title

M	src/taskbar.c

commit 808e4091138b90e2ad5320faa7e7b4fe6d7de469 (tag: s456)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Mar 26 03:10:57 2009 +0000

    Only restore the maximized status of a client when moving if it was only
    maximized in one direction.

M	src/move.c

commit ea16a2df66831a495dcd01a62c098ebd8687fa84 (tag: s455)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Mar 25 03:53:58 2009 +0000

    Do transparency based on the stacking order.
    The key binding and window menu for transparency have been removed for now.

M	src/background.c
M	src/client.c
M	src/client.h
M	src/error.c
M	src/event.c
M	src/group.c
M	src/group.h
M	src/hint.c
M	src/hint.h
M	src/icon.c
M	src/jwm.h
M	src/key.c
M	src/key.h
M	src/main.c
M	src/main.h
M	src/menu.c
M	src/menu.h
M	src/parse.c
M	src/render.c
M	src/render.h
M	src/root.c
M	src/tray.c
M	src/winmenu.c

commit 1e0d7a493d0e8ce2f6750987435ec58ab9314520 (tag: s454)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Mar 24 01:50:37 2009 +0000

    Tweak button label sizes and remove ALIGN_RIGHT, which wasn't used and
    probably wrong.

M	src/button.c
M	src/button.h

commit c648109afeb3654c8b97cd4a1d7d8068892cb6ac (tag: s453)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 22:05:46 2009 +0000

    Update the man page with info about "Opacity".

M	jwm.1.in

commit 1056a35df969653813ef5ab11a3b98270f5a9a3f
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 21:55:47 2009 +0000

    Fix for windows loosing focus when switching desktops.

M	src/desktop.c

commit 4b16726eed194784ece1e6b11c3e22d9972b943d
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 21:40:02 2009 +0000

    Make "next" and "nextstacked" restore minimized clients if needed.

M	src/client.c
M	src/clientlist.c

commit 7c6ceb0cb6da90cff6df19a86343e5228c49cea7
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 19:35:32 2009 +0000

    Fix a crash with jwm -p.

M	src/main.c
M	src/main.h
M	src/root.c
M	src/root.h
M	src/winmenu.c

commit fb72326fe7e997c2a948db5382d8ccf68bdb3c54
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 19:30:59 2009 +0000

    Don't allow the pager labels to run outside of the desktop.

M	src/pager.c

commit 30ae742f1340d433b7ec99e4303a5b24440657c1
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 19:27:15 2009 +0000

    Allow pager labels.

M	jwm.1.in
M	src/color.c
M	src/color.h
M	src/desktop.c
M	src/desktop.h
M	src/font.c
M	src/font.h
M	src/pager.c
M	src/pager.h
M	src/parse.c

commit d872923cb9c7a213a758ff145b503867a1732844
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 18:53:51 2009 +0000

    Fix text width on menu items.

M	src/menu.c

commit b8c021744b1eb0eb615590edefe3d36ca14445ef
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 18:45:35 2009 +0000

    Put fullscreen clients on the top layer.

M	src/hint.c

commit efbc20e489c1719ec9e48b8efa4f9a0e1d7858ce (tag: s445)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 05:17:44 2009 +0000

    Update the man page.

M	jwm.1.in

commit 32c59b711b5bd0e08715a676691b2304332e1ae9 (tag: s444)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 04:50:26 2009 +0000

    Add the ability to resize from the top of the window.

M	src/border.c

commit 22a7e55f59d48207980592c59310b4fa24f509a8
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 04:32:16 2009 +0000

    Fix a memory leak.

M	src/border.c

commit b2023ca99533babc78a7754ed86700fc847f5338
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 04:29:54 2009 +0000

    Add the ability to set the window buttons via the configuration file.

M	src/border.c
M	src/border.h
M	src/color.c
M	src/lex.c
M	src/lex.h
M	src/parse.c

commit 4553b71d286ed51f3106e9f2de0c35baa4645e70
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 03:48:36 2009 +0000

    Updated example configuration.

M	example.jwmrc

commit bc21355820174de2ee2ae513b95e24574b021717
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 03:47:50 2009 +0000

    Remove the "Corner" configuration option since it no longer does anything.

M	jwm.1.in
M	src/color.h
M	src/lex.c
M	src/lex.h
M	src/parse.c

commit 95573077d77811fd25fbc225c866a802b530e869 (tag: s439)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 03:23:40 2009 +0000

    Allow setting the version used for creating tarballs.

M	Makefile.in

commit 43c8d7c93d4ac4651d1443549bf5ebc66eb970b7 (tag: s438)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 03:02:07 2009 +0000

    Fix some configure problems.

M	configure.in

commit 1724febca309589fd927ead31ff3e8f3bb5e1b68
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 02:54:29 2009 +0000

    Fix some build problems.

M	src/border.c
M	src/jwm.h

commit 7ad0141b523612ebbf6ebe7e4aad56d40c30f734
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 02:50:21 2009 +0000

    Fix the inclusion of Xmu.h

M	src/jwm.h

commit a6419ca96ff3727dabc19cfe9bd06e97f0237834
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 02:47:46 2009 +0000

    Fix the use of an uninitialized value.

M	src/traybutton.c

commit 976b89b9785cf4abd95a81d156689ad61c4e68bd
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 02:42:26 2009 +0000

    Clean up the use of libXmu.

M	README
M	config.h.in
M	configure.in
M	src/border.c
M	src/border.h
M	src/button.c
M	src/client.c
M	src/event.c
M	src/popup.c
M	src/resize.c
M	src/status.c

commit 5d76606dde69eddd89a9a69a20f9206c0d808212
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 02:23:40 2009 +0000

    No more 3D buttons.

M	src/button.c

commit f7aaa9f1bd3296efa8fa9e0535b2b34bd36642ee
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 02:23:26 2009 +0000

    Fix the size of buttons on the confirm dialog.

M	src/confirm.c

commit 576b3f4bb3106ba96f15076fc24629f3da50c926
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 01:55:08 2009 +0000

    Clean up some border stuff.

M	src/border.c

commit 0838de04f09230de39821fba1476f393033bb995
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 22 01:52:10 2009 +0000

    Make status windows rounded.

M	src/status.c

commit aece9792a5208d7824b3f1549cba512c161f6748
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 21 00:17:23 2009 +0000

    Log a debug message about the composite extension.

M	src/jxlib.h
M	src/main.c
M	src/root.c

commit a7a63871c4ff0233d8ed7284a3336879b3eef846
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 21 00:08:56 2009 +0000

    Fix shaded rounded windows.

M	src/border.c
M	src/jxlib.h

commit 300dc208cb9173f600b56c96c03edf7ba330ed8d
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Mar 20 23:53:30 2009 +0000

    Fix some warnings.

M	src/client.c
M	src/event.c
M	src/menu.c

commit d7f4f576b3e034f2a5b4ee7d4795a62eab9dd3d5
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Mar 20 04:49:42 2009 +0000

    Fix a link error with Xmu functions.

M	configure.in

commit ed7a3c4f67d0c188d358aae3e9388f798caafc1b
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Mar 20 04:35:36 2009 +0000

    User-contributed JWM-enhancements:
    Patriot:
       - Rounded window corners
       - Transparent menus, trays, and window support.
       - Borderless taskbutton tweak.
       - Flat menu button option.
       - New tray/tasklist border.
       - xcompmgr bug workaround.
       - User replaceable window button mask.
       - gxine fullscreen fix.
    Dougal:
       - Show-desktop keybinding.
       - Opacity keybinding.
       - Transparent group.

M	configure.in
M	jwm.1.in
M	src/border.c
M	src/border.h
M	src/button.c
M	src/client.c
M	src/client.h
M	src/color.c
M	src/color.h
M	src/event.c
M	src/group.c
M	src/group.h
M	src/hint.c
M	src/hint.h
M	src/icon.c
M	src/jwm.h
M	src/jxlib.h
M	src/key.c
M	src/key.h
M	src/lex.c
M	src/lex.h
M	src/menu.c
M	src/menu.h
M	src/parse.c
M	src/popup.c
M	src/resize.c
M	src/root.c
M	src/root.h
M	src/tray.c
M	src/tray.h
M	src/winmenu.c

commit 58eadac6d3c56d5fb3855bba5d1bcf6654d9cf11
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Nov 2 02:50:29 2007 +0000

    Some speedups.

M	src/client.c
M	src/lex.c
M	src/parse.c
M	src/tray.c
M	src/tray.h

commit 17ca1ba09153339e4b78907ad9a57d2de070cac1
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Nov 2 02:30:53 2007 +0000

    Better icon hashing.

M	src/icon.c

commit c2f9d04d2fd3b9100dde3747e1266eac5533e39e
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Nov 2 02:13:59 2007 +0000

    Bump version number.

M	configure.in

commit 0e8f3d9a5bae79ce03d24f9597e206ebab5704cf
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Nov 2 02:12:42 2007 +0000

    With "nextstacked", don't raise until the modifier key is released.

M	src/clientlist.c

commit ea99c8e1eab913ea0199abac475f710f32f689fe
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Aug 1 01:37:57 2007 +0000

    Add the ability to stick/unstick windows with a key binding.

M	jwm.1.in
M	src/event.c
M	src/key.c
M	src/key.h
M	src/parse.c

commit 378117b24ef1e4d9445a256856388ce89f5983d5
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Aug 1 01:33:31 2007 +0000

    Add the ability to switch to the previous desktop via a key binding.

M	jwm.1.in
M	src/event.c
M	src/key.c
M	src/key.h
M	src/parse.c

commit 618fcae44a242ea77947052f8c3ff43e99dc7fa9
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Aug 1 01:27:11 2007 +0000

    Fix a key binding issue with lock modifiers.

M	src/key.c

commit 4410016457d53ccabb6bffc1ebe52c2b23d65985
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Jul 5 23:58:45 2007 +0000

    Fix maximization on restart.

M	src/client.c

commit 21c4ce7193123b432436fa2509eebf035221f6ef (tag: v2.0.1)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Jul 4 00:26:39 2007 +0000

    Delay a bit before restarting to give swallow windows a chance to map.

M	src/jwm.h
M	src/main.c
M	src/swallow.c

commit a85bee468124bf178ae3898e557726f28c23ebce
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jul 3 23:55:36 2007 +0000

    Better icon hash and updated version number.

M	configure.in
M	src/icon.c
M	src/x.xpm

commit 4bd75d6db0c15e6ec85e4501a2e32a995aaf35c6
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jul 3 05:13:56 2007 +0000

    Fix file handle leak.

M	src/image.c

commit 65001f813be2978753e67b11adf1e062df188125 (tag: v2.0)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jun 25 00:55:50 2007 +0000

    A hack to make MANDIR behave

M	configure.in

commit 90e7c441d85e73354d0fd71143885636e17102ee
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jun 25 00:50:27 2007 +0000

    Fix man page installation directory (hopefully).

M	configure.in

commit fbbdecf7413cf5c7e649108261d8f18ff57d5635
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jun 25 00:45:52 2007 +0000

    Don't attempt to grab keys for which we can't get the key code.

M	src/key.c

commit 73f13f1e1e62501126e41edcb8369e38d2f701fb
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jun 25 00:03:11 2007 +0000

    Fix a menu include bug.

M	src/parse.c

commit ae7ebf656be63b994cdb0e1ec9e64be0566af4d6
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jun 24 23:44:40 2007 +0000

    Update version.

M	configure.in

commit 3d8f896655e8da57c1e5d84a50283e0b090643c1
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jun 24 22:27:24 2007 +0000

    Only include misc.h once.

M	src/background.c

commit 08e94f5a6e54d052710ce2380357f8542d0341c5
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jun 24 22:25:52 2007 +0000

    Make alt+right click resize windows.

M	src/event.c
M	src/resize.c

commit c01671b432ed4e66e94ab3395c616b2b2424e863
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jun 24 21:33:19 2007 +0000

    Update config again...

M	example.jwmrc

commit 10fa44e388855590091449eb0a2bb735232a2337
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jun 24 21:30:27 2007 +0000

    Update the default config.

M	example.jwmrc

commit f48bb42e727f8ebc12a93c0550389695faae1cc5
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jun 24 21:30:13 2007 +0000

    Expand environment variables in background image paths.

M	src/background.c

commit 318549b83557d1b017c1bb44080b58bca18fa912
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jun 24 21:05:12 2007 +0000

    Fix a bug with backgrounds.

M	src/main.c

commit b8b0d0c6ddb7185d1cce74102dc5deb5c7488209
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jun 23 20:12:40 2007 +0000

    Support JPEG icons.

M	jwm.1.in
M	src/icon.c

commit bf3b0259645cb91f0af0089e098e82f1648d1613
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jun 22 02:29:19 2007 +0000

    Update default config and fix Desktops tag parsing.

M	example.jwmrc
M	src/parse.c

commit 1ec69be76a0300c92dd720bf3eb53ca79f597ea0
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jun 22 01:45:13 2007 +0000

    Make maximization from double clicking the title use client settings.

M	src/client.c
M	src/client.h
M	src/event.c

commit 647a1d7d33f3ea20cc429909063afe6f969aeac3
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Jun 21 04:30:18 2007 +0000

    Clean up some parsing stuff and make confirm buttons wider.

M	src/confirm.c
M	src/parse.c

commit 9c11bc7b0b9abd0cd544451f94804a35cb94ff75
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Jun 21 02:18:38 2007 +0000

    Add hmax and vmax group options.

M	jwm.1.in
M	src/client.h
M	src/event.c
M	src/group.c
M	src/group.h
M	src/parse.c

commit a57ac46f1f81c97bba566a04bc8c7e14637a02d2
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Jun 21 02:02:31 2007 +0000

    Fix a bug with matching against window instance names.

M	src/group.c

commit 4338b43895d325df6f061020bc813638db84c101
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Jun 21 01:49:52 2007 +0000

    Fix nextstacked key binding.

M	src/key.c

commit 66693ed0aa2a8f8f241ea54fd11ad1a1c5356b01
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jun 19 02:23:04 2007 +0000

    Stop png.h's complaining.

M	README
M	src/image.c
M	src/jwm.h

commit 38a88423ffc6093ade44bb65d7d3e44554be0831
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jun 19 01:56:04 2007 +0000

    Horizontal/vertical maximization
    Optional JPEG support.

M	config.h.in
M	configure.in
M	src/border.c
M	src/client.c
M	src/client.h
M	src/desktop.c
M	src/event.c
M	src/group.c
M	src/hint.c
M	src/image.c
M	src/image.h
M	src/jwm.h
M	src/menu.h
M	src/move.c
M	src/pager.c
M	src/place.c
M	src/place.h
M	src/resize.c
M	src/winmenu.c

commit 0325663a58d07d5b6f105645d23263738bd6c990
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jun 17 04:26:33 2007 +0000

    Don't make huge pixmaps for tiled backgrounds.

M	src/background.c
M	src/main.c

commit 927f4c7961e4232ccb02e731d3b9023cd16ed9e3
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jun 17 02:45:25 2007 +0000

    Don't minimize "nolist" items on showdesktop.

M	src/desktop.c

commit 7fad8746a528a517cf088adfce3c3e28f8ce31bc
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jun 15 04:09:10 2007 +0000

    Update the documentation for menu includes.

M	jwm.1.in

commit 45ee7401391d11360152cb077062230223a0e8ff
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jun 15 04:08:10 2007 +0000

    Fix a bug where labels were cut off sometimes.

M	src/menu.c

commit 8130748daae0189e57e235d54b5b780a6b4a105a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jun 15 04:05:02 2007 +0000

    Make menu includes work better (now they must be surrounded by a <JWM> tag).

M	src/parse.c

commit 8352900f62de4d5accd9eeeb0d3d41deac52f481
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jun 15 03:45:04 2007 +0000

    Remove debug stuff.

M	src/image.c

commit 8514edfba0a7de7932a43a211f2e6c8c90b0f043
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jun 15 03:44:14 2007 +0000

    Support for tiled background images.

M	jwm.1.in
M	src/background.c
M	src/icon.c
M	src/image.c
M	src/lex.c

commit b48d1f2c4671ef5b1cb8f114ed87f0c596a3f8ee
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jun 1 04:05:36 2007 +0000

    Fix "non-portable" whitespace.

M	src/main.c

commit 6d1bae879ffe94ab614f272987d9d078f5e52ec8
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jun 1 04:02:11 2007 +0000

    Remove tabs

M	src/confirm.c
M	src/menu.c
M	src/tray.c

commit d85778c147d4da2bb9848ed3560f2e2ee5f024ea
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jun 1 03:59:31 2007 +0000

    Make all tray buttons appear to be pressed when pressed.

M	src/clock.c
M	src/cursor.c
M	src/cursor.h
M	src/menu.c
M	src/pager.c
M	src/taskbar.c
M	src/tray.c
M	src/tray.h
M	src/traybutton.c

commit 082aedbd5e380f7aa9a1fa5decc06739eaa42021
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jun 1 03:08:20 2007 +0000

    Make dialog buttons appear to be pressed when pressed.

M	src/button.h
M	src/confirm.c
M	src/confirm.h

commit d0637da529677b5e2d5c4ea571950f5f010a3113
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu May 17 01:33:59 2007 +0000

    Doxygen updates

M	Doxyfile
A	doc-footer.shtml
A	doc-header.shtml

commit 1821961fe7ec29b036001ab6cae6a7e75d1c5e2c
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed May 16 03:39:35 2007 +0000

    Fix a seg fault.

M	src/client.c
M	src/color.c

commit 3328fb6fd29ff7a76e43d593f64a670dd9f0460c
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri May 4 03:00:34 2007 +0000

    Fix gradients on pseudo x servers

M	src/color.c
M	src/color.h
M	src/gradient.c

commit e7b9432553e9393e0548d855f9ad936eb26ee217
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Apr 4 02:50:25 2007 +0000

    Changes from jeremy-c-reed
    Fix typos in debugging output.
    Fix an issue with some versions of man.

M	jwm.1.in
M	src/event.c

commit 91f85fca6370cd13d741c90628bc22474e6f3aca
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Mar 19 03:17:23 2007 +0000

    Document scroll wheel mouse bindings for the task list.

M	jwm.1.in

commit a418e6c3ce0d1216ad95f6550c5504bf54ff32e5
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Mar 19 03:11:54 2007 +0000

    Make the tray button appear pressed when showing a root menu.

M	src/traybutton.c

commit e7eacb6108be575b808be6339029ac9c8a9dd013
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Mar 19 02:57:14 2007 +0000

    Remove some dead code.

M	src/clientlist.c
M	src/clientlist.h

commit 7f1c8776b1aded81c6910f7d7547d029547bc592
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Mar 19 02:52:15 2007 +0000

    Make "nextstacked" work.

M	src/Makefile.in
M	src/border.c
M	src/client.c
M	src/client.h
A	src/clientlist.c
A	src/clientlist.h
M	src/desktop.c
M	src/event.c
M	src/key.c
M	src/key.h
M	src/move.c
M	src/pager.c
M	src/parse.c
M	src/taskbar.c
M	src/taskbar.h
M	src/tray.c

commit d2dc247723d754c554468313caff630881955f77
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 17 00:01:06 2007 +0000

    Make FocusNextStackedCircular raise as well as focus.

M	src/taskbar.c

commit 47835269a9f8f5a2134f6c172e9a99da1b255345
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 4 05:17:06 2007 +0000

    Fix a seg fault when a program attempts to dock a window with no dock running.

M	src/dock.c

commit 0d45497cc506047d7079f477500021edc3ee8d2a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Feb 24 20:48:20 2007 +0000

    Use a pixmap rather than setting the background pixel for solid backgrounds.

M	src/background.c

commit 84b97a8ca18f2c3fddb18be466f3d008912e2f37
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 13 05:02:34 2007 +0000

    Fix a background problem.

M	src/background.c

commit 0de0d8362334490edff6003080adc6267010498b
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 13 05:00:15 2007 +0000

    Fix handling of empty menu items.

M	src/menu.c
M	todo.txt

commit 8f6e7641072630cbab680827370078f7937760a0
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 13 04:52:03 2007 +0000

    Don't show empty menus.

M	src/menu.c
M	todo.txt

commit 1b84bbd5f6e6062ea7046e978d706dc9dd592d07
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jan 9 03:31:13 2007 +0000

    Fix window mapping.

M	src/event.c

commit 1f2fa35d01c6b117ec50eadfa45436689c8f3659
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 7 05:24:04 2007 +0000

    Don't hide either.

M	src/event.c

commit 4373a4d3dac90f3d128c704caf57bd14d66fbfca
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 7 05:22:13 2007 +0000

    Set the desktop for windows that map themselves.

M	src/event.c

commit cf48b307a3e62dd7f53cf0189f5a0ffead0fb971
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 7 05:14:16 2007 +0000

    Center icons.

M	src/icon.c

commit 9f2332bbd4416d295a9bc26cdbfb369f6de1837f
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 7 05:04:05 2007 +0000

    Speed up image loading.

M	src/icon.c
M	src/render.c

commit 988a3de2bd803419fb8fdbff2536983b802d0933
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 7 04:38:07 2007 +0000

    Fix mouse position when moving maximized windows.

M	src/move.c

commit bf4c7204f7239853449ac3dc7db3d211fabde4ed
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 7 04:03:55 2007 +0000

    Set the _XSETROOT_ID property on the root window.

M	src/background.c
M	src/hint.c
M	src/hint.h

commit ef9012023f641e68ead020692766011a90d9d734
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 6 03:17:13 2007 +0000

    Fix endian bug with icons.

M	src/icon.c

commit 4b6bc631bb9373c36db36608634e638e1846a0a6
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jan 5 06:18:57 2007 +0000

    Fix warning

M	src/icon.c

commit e4a8541665d65c30db07e02ad22a505db70ae7fd
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jan 5 06:17:19 2007 +0000

    Fixes for render

M	src/background.c
M	src/icon.c
M	src/icon.h
M	src/image.c
M	src/render.c

commit eb679ce7267f7b05194e5488510aaf77384b2f1d
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jan 5 06:15:48 2007 +0000

    More speedups

M	src/icon.c
M	src/image.c
M	src/image.h
M	src/render.c

commit 17a47e25f0ed417e370964b5da5dbe01b97eb7f3
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jan 5 05:32:54 2007 +0000

    More speedup, hopefully.

M	src/icon.c

commit 3eb26cd19e11e24a92a4ca6e1dffe30407d079b9
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jan 5 05:11:45 2007 +0000

    Attempt to speed things up.

M	src/image.c

commit 27f628b9e4d1d985a3fdbaa492e6d93c1be12bc8
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jan 5 04:22:26 2007 +0000

    Retain maximized status when moving windows.

M	src/move.c
M	src/pager.c
M	todo.txt

commit 883ced26f18665ee86a8658ff5d03d8537884e9d
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Jan 4 04:38:59 2007 +0000

    Fix some warnings

M	src/background.c

commit bfafc36c0a6fdf3ce011b1945963d4f56d4dbf8a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Jan 4 04:37:22 2007 +0000

    Added the ability to set the background and to change it based on desktop.

M	jwm.1.in
M	src/Makefile.in
A	src/background.c
A	src/background.h
M	src/color.c
M	src/color.h
M	src/desktop.c
M	src/lex.c
M	src/lex.h
M	src/main.c
M	src/parse.c
M	todo.txt

commit 1f05e0fa51c5c9ca3700af7ffbc344bfed64986d
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Dec 30 23:05:10 2006 +0000

    Fix a bug drawing trays.

M	src/main.c
M	src/place.c
M	src/place.h
M	todo.txt

commit 1930d8ccd882df300aaf2a8405d6d68f0777d749
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Dec 28 04:09:11 2006 +0000

    Unmaximize maximized windows when moving using the pager.

M	src/pager.c

commit cf307a53ebbda22270d1867776ee3f8fd9aa010e
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Dec 28 04:05:29 2006 +0000

    Updated example configuration.

M	example.jwmrc

commit 4ee10aa866d52102ff36012139807f0a10872ad6
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Dec 28 04:03:00 2006 +0000

    Remove package stuff

M	Makefile.in
M	configure.in
D	package/irix/Makefile.in
D	package/irix/jwm.idb.in
D	package/irix/jwm.spec.in
D	package/slackware/Makefile.in
D	package/slackware/slack-desc.in
D	package/slackware/slackware.jwmrc
D	package/solaris/Makefile.in
D	package/solaris/pkginfo.in
D	package/solaris/prototype.in
D	package/solaris/solaris.jwmrc

commit 46d413b78fc8230a740d1c3e38a62c8049047ce0
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Dec 27 01:13:05 2006 +0000

    Fix warnings.

M	src/pager.c

commit 38f84c727eaaac3664c5c3d7fb64ca87ca40ad1a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Dec 27 01:12:06 2006 +0000

    Add the ability to move windows with the pager.

M	src/pager.c
M	src/traybutton.c
M	todo.txt

commit 259eae42ae7797fb8c055bf6532b5d71674ce8ca
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Dec 24 19:49:01 2006 +0000

    Fix a seg fault when minimized windows have no name.

M	src/root.c
M	src/taskbar.c

commit 342eb6e2394ad0947e5ed9d0e34483b7c41b8608
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Dec 24 07:03:19 2006 +0000

    More doxygen.

M	src/hint.h

commit 3283a7c7ab91a205f3ad996fbef46c5bed746f6d
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Dec 24 06:59:38 2006 +0000

    Fix some doxygen comments.

M	src/client.h
M	src/winmenu.h

commit 2328c5efb76ace1481b2b2d453509472625ffe33
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Dec 24 06:57:07 2006 +0000

    Fix a compiler warning.

M	src/command.c

commit 9a4747c785260bc376d8e881435d8f926be713aa
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Dec 24 06:55:46 2006 +0000

    More doxygen comments.

M	src/client.h
M	src/clock.c
M	src/clock.h
M	src/color.h
M	src/command.c
M	src/command.h
M	src/cursor.h
M	src/dock.c
M	src/dock.h
M	src/font.h
M	src/help.h
M	src/hint.h
M	src/image.h
M	src/key.c
M	src/key.h
M	src/lex.h
M	src/main.h
M	src/match.h
M	src/menu.h
M	src/misc.h
M	src/move.h
M	src/outline.h
M	src/pager.h
M	src/parse.h
M	src/place.h
M	src/popup.h
M	src/render.h
M	src/resize.h
M	src/root.c
M	src/root.h
M	src/screen.h
M	src/status.h
M	src/swallow.c
M	src/swallow.h
M	src/taskbar.h
M	src/timing.h
M	src/tray.h
M	src/traybutton.c
M	src/traybutton.h
M	src/winmenu.h

commit 87d8ceb85ab8972e1940e25cafcebada95da400c
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Dec 24 05:02:20 2006 +0000

    Bump version to 1.9

M	configure.in

commit c6b6f99cd795ea75903c438e44b9c1328862ab3c
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Dec 24 04:53:39 2006 +0000

    Use spaces instead of tabs.

M	src/border.c
M	src/border.h
M	src/button.c
M	src/button.h
M	src/client.c
M	src/client.h
M	src/clock.c
M	src/clock.h
M	src/color.c
M	src/color.h
M	src/command.c
M	src/confirm.c
M	src/confirm.h
M	src/cursor.c
M	src/debug.c
M	src/debug.h
M	src/desktop.c
M	src/dock.c
M	src/error.c
M	src/event.c
M	src/font.c
M	src/font.h
M	src/gradient.c
M	src/gradient.h
M	src/group.c
M	src/group.h
M	src/help.c
M	src/hint.c
M	src/hint.h
M	src/icon.c
M	src/icon.h
M	src/image.c
M	src/image.h
M	src/jwm.h
M	src/jxlib.h
M	src/key.c
M	src/key.h
M	src/lex.c
M	src/lex.h
M	src/main.c
M	src/main.h
M	src/match.c
M	src/menu.c
M	src/menu.h
M	src/misc.c
M	src/move.c
M	src/move.h
M	src/outline.c
M	src/pager.c
M	src/parse.c
M	src/place.c
M	src/popup.c
M	src/render.c
M	src/render.h
M	src/resize.c
M	src/resize.h
M	src/root.c
M	src/screen.c
M	src/screen.h
M	src/status.c
M	src/swallow.c
M	src/swallow.h
M	src/taskbar.c
M	src/timing.c
M	src/timing.h
M	src/tray.c
M	src/tray.h
M	src/traybutton.c
M	src/traybutton.h
M	src/winmenu.c

commit 2b24f42a6e6ab9f42711bbf9aa46b5430b884ebf
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Dec 24 04:18:10 2006 +0000

    Fix a memory leak.

M	src/swallow.c

commit bd43508baac0da8437e66afc98464676504dceb5
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Dec 24 04:13:21 2006 +0000

    Fix a bug.

M	src/misc.c

commit fcc91ea92fe27492ff6f4a1367ac0aafd89b9914
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Dec 24 04:07:02 2006 +0000

    Code cleanups.

M	src/border.c
M	src/color.c
M	src/hint.c
M	src/hint.h
M	src/jxlib.h
M	src/lex.c
M	src/lex.h
M	src/main.c
M	src/match.c
M	src/menu.c
M	src/move.c
M	src/outline.c
M	src/pager.c
M	src/parse.c
M	src/place.c
M	src/popup.c
M	src/popup.h
M	src/render.c
M	src/root.c
M	src/screen.c
M	src/status.c
M	src/taskbar.c
M	src/timing.c
M	src/tray.c
M	src/traybutton.c
M	src/traybutton.h
M	src/winmenu.c
M	src/winmenu.h

commit ac52e4f09bb0955e749c8159e461f39467455c8e
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Dec 24 02:20:25 2006 +0000

    New look.

M	example.jwmrc
M	jwm.1.in
M	src/Makefile.in
M	src/border.c
M	src/border.h
M	src/button.c
M	src/client.c
M	src/color.c
M	src/color.h
M	src/cursor.c
M	src/cursor.h
M	src/debug.c
M	src/debug.h
M	src/desktop.c
M	src/event.c
M	src/event.h
M	src/font.c
M	src/font.h
A	src/gradient.c
A	src/gradient.h
M	src/group.c
M	src/group.h
M	src/hint.h
M	src/icon.c
M	src/image.c
M	src/jwm.h
M	src/key.c
M	src/lex.c
M	src/lex.h
M	src/main.c
M	src/menu.c
M	src/move.c
M	src/parse.c
M	src/taskbar.c
D	src/theme.c
D	src/theme.h
M	todo.txt

commit 510b5efc110911f2a2e4f983c4d72fb48508fb0b
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Dec 23 07:54:14 2006 +0000

    Update version in todo

M	todo.txt

commit d5d56f8bb4fd77742647f245ecdf117568c7e876 (tag: v1.8)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Dec 23 06:41:40 2006 +0000

    Make submenus appear on the left if there isn't enough room on the
    right (mdsama).

M	src/menu.c
M	src/menu.h
M	todo.txt

commit f3105867b0e9a3be301d15651fa3cb301ac86a24
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Dec 23 06:35:49 2006 +0000

    Focus transients of active windows when they appear.

M	src/client.c
M	todo.txt

commit 7034d3e6d19d0d6986c5793ad275e2ffd2632230
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Dec 23 06:25:05 2006 +0000

    Fix swallow on startup.

M	src/event.c
M	src/main.c
M	src/swallow.c
M	src/tray.c
M	todo.txt

commit c14db45e8744de70b551add4c8eda0a476d4c033
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Dec 23 05:22:02 2006 +0000

    Fix dock when restarting.

M	src/dock.c
M	src/dock.h
M	src/event.c
M	todo.txt

commit 238a8fcf572b67a78b63ebb1bea7799cb27c7c5d
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Dec 23 02:38:09 2006 +0000

    Fix a bug with moving windows that could cause windows to jump to the
    upper left corner of the screen.
    Add some more doxygen comments.

M	configure.in
M	src/client.c
M	src/clock.c
M	src/command.c
M	src/confirm.c
M	src/confirm.h
M	src/dock.c
M	src/error.c
M	src/help.c
M	src/image.h
M	src/lex.h
M	src/misc.c
M	src/misc.h
M	src/move.c
M	src/resize.c
M	todo.txt

commit ffd69f49bace5c7de7a70c61a1ff3dd63810d0ed
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Nov 4 21:07:55 2006 +0000

    version 1.8rc4

M	configure.in
M	todo.txt

commit c60ca179e7fd2879f1272b428f842693001acdab
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Nov 4 20:54:15 2006 +0000

    Fix StartupCommands and Swallow items.

M	src/main.c
M	todo.txt

commit 5ef065cb67dace9750d91a2eeb90ce75c0a4b976
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Nov 4 20:45:14 2006 +0000

    Improve _NET_WM_STATE_FULLSCREEN support.

M	src/client.c
M	todo.txt

commit 81722e25d0c893409ce27598bb20c0d0a1751e05
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 28 04:00:27 2006 +0000

    Trim leading and trailing space from configuration options.

M	src/lex.c
M	todo.txt

commit 79463fefcd6a342761877c0e3da8c0d7a59187bc
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Oct 28 02:17:44 2006 +0000

    Fix root menu keybinding in the default config.

M	example.jwmrc

commit 9224090df989ca6122cfbe53d5dae2679f6541be
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Oct 24 01:10:25 2006 +0000

    Fix some seg faults with invalid configuration files.

M	configure.in
M	src/border.c
M	src/cursor.c
M	src/parse.c
M	todo.txt

commit 597d8c2f7de8cf3882a4450aa83220d282230cdc
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Oct 23 02:03:29 2006 +0000

    Fix an issue with auto-hide trays hidding when they shouldn't.

M	src/tray.c
M	todo.txt

commit bd11262b42d924510ee35c9b2578949b3f368676
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Oct 20 04:16:31 2006 +0000

    Fix a bug that caused windows to be mapped incorrectly when started at the
    same time as JWM.

M	src/client.c
M	src/main.c
M	todo.txt

commit 0f6ce11e0364448fe57658ca966212518ff41f67
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Oct 19 01:32:58 2006 +0000

    Fix a bug that caused a seg fault after a client was killed.

M	src/client.c
M	todo.txt

commit 0fa4b67fa6d48c52e22fe362f6dfd400df6df16a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Oct 15 04:55:59 2006 +0000

    Remove "GNU-ism" in makefile.

M	src/Makefile.in

commit b2b9e43a389278f68a32fd4dfb29c4a41758781c
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Oct 1 20:15:52 2006 +0000

    Keep transients above owners.

M	src/client.c
M	src/hint.c

commit 3c86ae7c0b11852922e73e1ea227145b643b1ee0
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Oct 1 20:04:14 2006 +0000

    bah

M	src/client.c
M	src/key.c
M	src/traybutton.c

commit 8c40af5bf8c20b14ab774f7504c2a9300dd37987
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Oct 1 20:01:03 2006 +0000

    More warning messages about tray buttons/key bindings that specify root menus.

M	src/key.c
M	src/key.h
M	src/parse.c
M	src/root.h
M	src/traybutton.c
M	src/traybutton.h
M	todo.txt

commit 506843ece7eb6c09ebcbe37200546f58a39ccdab
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Aug 26 22:19:09 2006 +0000

    Add support for _NET_WM_STATE_FULLSCREEN.

M	src/border.c
M	src/client.c
M	src/client.h
M	src/event.c
M	src/hint.c
M	src/hint.h
M	src/place.c
M	src/traybutton.c
M	todo.txt

commit 78bb74fd300e18e3077822298ea3ddbd5331e290
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Aug 20 01:22:21 2006 +0000

    Unmaximize maximized windows that resize themselves.

M	src/event.c
M	todo.txt

commit 965cf76578741c1af66432ea887b84f54abb5565
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Aug 18 00:46:49 2006 +0000

    When maximizing, place the window on the screen of its center point.

M	src/place.c
M	todo.txt

commit 8cc488569342919488a837cbad752ed8a7760835
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Aug 18 03:06:25 2006 +0000

    Fix a compiler warning.

M	src/theme.c

commit 8059647a6306edae02a8de68b2547822256933fe
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Aug 18 00:39:47 2006 +0000

    Add some comments.

M	src/screen.h
M	src/status.h
M	src/swallow.h
M	src/taskbar.h
M	src/theme.c
M	src/theme.h
M	src/timing.h
M	src/traybutton.h
M	src/winmenu.h

commit 77528b55f4fead6849b72f37cc833646df02794a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Aug 18 01:50:19 2006 +0000

    Fix a compiler warning.

M	src/client.c
M	todo.txt

commit 8ce1e69f24cc9e336876b573180f501d7cca3fe0
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Aug 17 23:23:38 2006 +0000

    Allow clients to be lowered with alt+right click.

M	src/client.c
M	src/client.h
M	src/event.c

commit d3feb2d3cbfc6b7381f222add69dbf358d8eccab
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Aug 17 23:00:45 2006 +0000

    Fix alt+left click window moving so windows don't jump.

M	src/event.c
M	todo.txt

commit f9f0eae99c819f188f8d89a0709423be65cb671c
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Aug 17 22:53:34 2006 +0000

    Hide popups if the mouse moves over them.

M	src/popup.c
M	todo.txt

commit 094d6f30813bab715f8c88e4f9c8e0d8a2847ee5
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Aug 14 04:01:25 2006 +0000

    Fix a compiler warning.

M	src/traybutton.c

commit e57063c6936d7adba07160f1353f8db587868f63
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Aug 14 01:49:02 2006 +0000

    Bump version, fix seg fault when TrayButtons point to invalid root menus.

M	configure.in
M	src/root.c
M	src/root.h
M	src/traybutton.c
M	todo.txt

commit abdaa875cd6c8c526c0dc3ba007683590fb7b5df
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Aug 13 20:26:07 2006 +0000

    Fix --disable-shape

M	configure.in
M	src/client.c

commit 0b81708eef8d95b6a65cfc48ac3123a589349c51
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Aug 13 20:21:51 2006 +0000

    Update documentation.

M	jwm.1.in

commit 585293595f8099fec2023a42de4195816a692d75
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Aug 13 19:55:40 2006 +0000

    Add some doxygen comments.

A	Doxyfile
M	Makefile.in
M	src/border.h
M	src/button.h
M	src/client.h
M	src/clock.h
M	src/color.h
M	src/command.h
M	src/confirm.h
M	src/cursor.h
M	src/debug.h
M	src/desktop.h
M	src/dock.h
M	src/error.h
M	src/event.h
M	src/font.h
M	src/group.h
M	src/help.c
M	src/help.h
M	src/hint.h
M	src/icon.h
M	src/image.h
M	src/jwm.h
M	src/jxlib.h
M	src/key.h
M	src/lex.h
M	src/main.h
M	src/match.h
M	src/menu.h
M	src/misc.h
M	src/move.h
M	src/outline.h
M	src/pager.h
M	src/parse.h
M	src/place.h
M	src/popup.h
M	src/render.h
M	src/resize.h
M	src/root.h
M	src/screen.h
M	src/status.h
M	src/swallow.h
M	src/taskbar.h
M	src/theme.h
M	src/timing.h
M	src/tray.h
M	src/traybutton.h
M	src/winmenu.h

commit 60d75fbbdead95b406dbe1451b019df5eefc35c7
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Aug 13 16:18:27 2006 +0000

    Comments.

M	src/border.h
M	src/button.h
M	src/client.h
M	src/icon.h

commit ce7e10fd91d127c03cd749c9afd6b50ef5d5ed25
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Aug 13 05:43:22 2006 +0000

    Add some comments.

M	src/image.h
M	src/move.h
M	src/outline.h
M	src/resize.h
M	src/tray.h

commit c3aed9964f045ad5ce598922c6dff95a24148591
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Aug 13 05:21:51 2006 +0000

    Fix some stuff.

M	src/border.c
M	src/button.c
M	src/client.c
M	src/clock.c
M	src/color.c
M	src/command.c
M	src/confirm.c
M	src/cursor.c
M	src/debug.c
M	src/dock.c
M	src/error.c
M	src/font.c
M	src/group.c
M	src/hint.c
M	src/key.c
M	src/parse.c
M	todo.txt

commit 2082423a525c3c3b0c5e0a6443a89f60e0aa25f8
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Aug 12 23:06:51 2006 +0000

    Attempt to fix icon drawing issue.

M	src/border.c
M	src/button.c
M	src/font.c
M	src/icon.c
M	src/icon.h
M	src/traybutton.c

commit a669e31663c29e9415a0b0411c70386d30db77b1
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Aug 11 23:56:34 2006 +0000

    Don't stop move/resize for superfluous configure requests.

M	src/clock.h
M	src/command.h
M	src/desktop.h
M	src/dock.h
M	src/event.c

commit 0098d06bb03145dc6f7bfe24140bc400d6d2e565
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Aug 11 04:35:14 2006 +0000

    Update todo.

M	todo.txt

commit f333a81b9c316a681e8cb12607461fd84fdaf4f4
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Aug 11 02:36:50 2006 +0000

    Fix font overflow and add RestartCommand.

M	src/client.h
M	src/command.c
M	src/command.h
M	src/font.c
M	src/lex.c
M	src/lex.h
M	src/main.c
M	src/main.h
M	src/parse.c

commit d701b9f3a1c281ac9d6590c5972754da01ef2a6e
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Aug 10 02:46:07 2006 +0000

    Support window controls in root menus.

M	jwm.1.in
M	src/cursor.c
M	src/cursor.h
M	src/desktop.c
M	src/desktop.h
M	src/event.c
M	src/key.c
M	src/key.h
M	src/lex.c
M	src/lex.h
M	src/menu.c
M	src/menu.h
M	src/move.c
M	src/parse.c
M	src/root.c
M	src/root.h
M	src/traybutton.c
M	src/winmenu.c
M	src/winmenu.h
M	todo.txt

commit 01e3b125157991e17f91a6bc1a9be4db48b56440
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Aug 9 00:39:46 2006 +0000

    Fix button drawing.

M	src/button.c

commit 79b0adc7904855469ee40900ac40a5db4ff5fc85
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Aug 9 01:55:48 2006 +0000

    Fix a xft problem.

M	src/font.c

commit 9e8ed0962fb8894a30988a796c20bde085223fc3
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Aug 8 23:57:52 2006 +0000

    Reduce X resource usage.

M	jwm.1.in
M	src/border.c
M	src/button.c
M	src/client.c
M	src/client.h
M	src/clock.c
M	src/confirm.c
M	src/font.c
M	src/font.h
M	src/icon.c
M	src/main.c
M	src/main.h
M	src/menu.c
M	src/menu.h
M	src/pager.c
M	src/popup.c
M	src/render.c
M	src/status.c
M	src/taskbar.c
M	src/tray.c
M	src/tray.h
M	src/traybutton.c
M	todo.txt

commit df868a695828d7a1d1c1d10e3c355ddf058e14b6
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Aug 8 00:49:33 2006 +0000

    Remove some dead code.

M	src/event.c
M	src/event.h

commit 9bbdeeec7162d5e93caaf2e4356e84795380adab
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Aug 8 00:47:28 2006 +0000

    Support multiple root menus.

M	src/event.c
M	src/menu.c
M	src/parse.c
M	src/root.c
M	src/root.h
M	src/traybutton.c

commit b039b59d0e91f7b680530eec80b5e1898cdc161b
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Aug 7 23:17:47 2006 +0000

    Only redraw newly exposed regions of the border.

M	src/border.c
M	src/border.h
M	src/button.c
M	src/client.c
M	src/clock.c
M	src/confirm.c
M	src/event.c
M	src/font.c
M	src/font.h
M	src/icon.c
M	src/icon.h
M	src/popup.c
M	src/status.c
M	src/theme.c
M	src/theme.h
M	src/traybutton.c

commit 767e14149d025bf68bf23409089fbd1a1e35bc26
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Aug 6 03:49:46 2006 +0000

    Fix click propagation through popups.

M	src/popup.c
M	todo.txt

commit 870f54270a38dbfce8eef43169d61da1cedda222
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Aug 6 03:45:48 2006 +0000

    Change version

M	configure.in

commit cedab86ff42681924f93a03cb7130b6943289a1c
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Aug 6 01:59:01 2006 +0000

    Fix move cursor.

M	src/cursor.c
M	src/cursor.h
M	src/move.c

commit 992ba070fa0946b69e9e51afdb26a3ac8a7cad8f
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Aug 6 01:48:46 2006 +0000

    Fix keyboard input.

M	src/client.c

commit 73edfd29ee74db5562a18114c2af2089965d961e
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Aug 6 01:41:52 2006 +0000

    Remove debug output.

M	src/event.c

commit c526c5b7448259b4aaa6894053e7df4b1ede8d69
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Aug 6 01:40:45 2006 +0000

    Fix alt+drag moving.

M	src/client.c
M	src/cursor.c
M	src/cursor.h
M	src/event.c
M	src/key.c
M	src/move.c

commit 374581bc52e94c36e8b86b482c013137bbeba1b7
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Aug 6 02:35:11 2006 +0000

    Kill swallow apps that don't accept WM_DELETE.

M	src/client.c
M	src/client.h
M	src/event.c
M	src/hint.c
M	src/hint.h
M	src/swallow.c

commit 5aa62407937df15a547032de29dca56d33094a32
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Aug 6 02:04:47 2006 +0000

    Don't get NoExpose/GraphicsExpose events.

M	src/client.c
M	src/menu.c
M	src/taskbar.c
M	src/tray.c

commit ef5555c475469eb02a7a725f81ff35d210e03f02
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Aug 5 19:05:06 2006 +0000

    Never warp the mouse when a tray is shown.

M	src/tray.c

commit a0a9fb2c2cfd10c185c2ea2cb29b19473b5d8dcd
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Aug 5 16:11:25 2006 +0000

    Don't propagate uneeded events.

M	src/client.c

commit 25ac09fd6a07352ab9ee5fe2e80c5f51f15954c4
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Aug 5 07:39:42 2006 +0000

    Fix some mouse event handling.

M	src/client.c
M	src/cursor.c
M	src/cursor.h
M	src/dock.c
M	src/event.c
M	src/main.c
M	src/menu.c
M	src/move.c
M	src/popup.c
M	src/tray.c

commit a0279c2e744a5f4dbed6d4c6701dffacfc4d5105
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Aug 1 00:39:23 2006 +0000

    Placement and resize fixes.

M	src/event.c
M	src/place.c
M	src/place.h
M	src/resize.c

commit 9c6c41e9cef716f6795784078bb130a02da113c1
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Aug 1 00:04:00 2006 +0000

    Improve aspect ratio resizing.

M	src/place.c
M	todo.txt

commit 5c19f29c0eceb2a82e54faacd6a0fda5e93801a5
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jul 30 04:27:29 2006 +0000

    Fix menu issue.

M	src/menu.c

commit 5ad61e22f3584c5dba25fb2d4c7ef3d85665c504
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jul 30 04:14:57 2006 +0000

    cleanups

M	src/dock.c
M	src/error.c
M	src/event.c
M	src/hint.c
M	src/lex.c
M	src/lex.h
M	src/misc.c
M	src/parse.c

commit 860c051972b59908c9f3fb597f414d58e1bbf731
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jul 29 03:47:04 2006 +0000

    Remove some redundant code.

M	src/clock.c
M	src/color.c
M	src/command.c
M	src/confirm.c
M	src/desktop.c
M	src/font.c
M	src/group.c
M	src/icon.c
M	src/image.c
M	src/key.c
M	src/lex.c
M	src/main.c
M	src/parse.c
M	src/popup.c
M	src/root.c
M	src/swallow.c

commit b38a3fec89a53e925d31999fb274bae63cfb5894
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jul 29 03:07:22 2006 +0000

    Preserve the shaded status when minimizing.

M	src/client.c
M	src/desktop.c
M	todo.txt

commit 8b4376dce2bd85220858eba97f9bbbaaa798aedc
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jul 29 02:56:23 2006 +0000

    Fix a bug in raising shaded windows from a task list.

M	src/client.c
M	todo.txt

commit 78ab7be3fa6b53a62f3ed16ab3d3997869fed36b
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jul 29 02:39:36 2006 +0000

    Add the ability to move a window with alt+click.

M	src/event.c
M	todo.txt

commit e4079acd0e1d876c9b5de2614fe844974ccba551
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jul 28 05:01:02 2006 +0000

    Fix some mouse issues

M	src/clock.c
M	src/clock.h
M	src/main.c
M	src/popup.c
M	src/popup.h
M	src/taskbar.c
M	src/taskbar.h
M	src/tray.c
M	src/tray.h
M	src/traybutton.c
M	src/traybutton.h

commit 9b3b19ebfd41563316eafd5fcf55c0676c01bf11
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jul 28 03:54:44 2006 +0000

    Fix a mouse tracking issue.

M	src/event.c

commit 78ff875287f5f089d543e40a3256587bf0a16f55
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jul 23 02:01:09 2006 +0000

    Fix some stuff

M	src/button.c
M	src/client.c
M	src/event.c
M	src/main.c

commit 5de71dddcb443064aed6132f5f5a51f3660d7001
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jul 22 22:36:45 2006 +0000

    Cleanups

M	src/client.c
M	src/event.c
M	src/place.c

commit fea0ec5fb58bf973cced2832836bcad42a49723a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jul 22 22:28:31 2006 +0000

    Fix some move stuff.

M	src/move.c
M	src/resize.c

commit d7438d662da98d89953a050ca5b2134667334fec
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jul 22 22:02:10 2006 +0000

    Fix some button/menu stuff.

M	src/button.c
M	src/button.h
M	src/command.c
M	src/main.c
M	src/menu.c

commit 33beff3f915bc785b9d5d91e0ca21ca70627b816
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jul 22 01:10:05 2006 +0000

    Fix some mouse issues.

M	src/cursor.c
M	src/cursor.h
M	src/event.c
M	src/menu.c
M	src/move.c
M	src/resize.c
M	src/tray.c

commit e2fd76968dcb0404b417889a6e1edbe87be65f57
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jul 21 23:53:04 2006 +0000

    Some stuff.

M	config.h.in
M	configure.in
M	example.jwmrc
M	src/Makefile.in
M	src/border.c
M	src/border.h
M	src/button.c
M	src/button.h
M	src/client.c
M	src/command.c
M	src/command.h
M	src/confirm.c
M	src/cursor.c
M	src/cursor.h
M	src/debug.h
M	src/dock.c
M	src/event.c
M	src/font.c
M	src/hint.c
M	src/icon.c
M	src/lex.c
M	src/lex.h
M	src/main.c
M	src/menu.c
M	src/parse.c
M	src/place.c
M	src/place.h
M	src/taskbar.c
A	src/theme.c
A	src/theme.h
M	src/traybutton.c
M	src/winmenu.c
M	todo.txt

commit 6a6220a55832050a6b71402277d5e30b4cf15ff5
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jul 1 22:17:39 2006 +0000

    Undo theme changes.

M	config.h.in
M	configure.in
M	src/Makefile.in
M	src/border.c
M	src/border.h
M	src/button.c
M	src/button.h
M	src/client.c
M	src/clock.c
M	src/color.c
M	src/color.h
M	src/confirm.c
M	src/debug.h
M	src/dock.c
M	src/event.c
M	src/font.c
M	src/hint.c
M	src/icon.c
M	src/image.c
M	src/image.h
M	src/jwm.h
M	src/jxlib.h
M	src/lex.c
M	src/lex.h
M	src/main.c
M	src/main.h
M	src/menu.c
M	src/menu.h
M	src/misc.c
M	src/misc.h
M	src/move.c
M	src/parse.c
M	src/place.c
M	src/place.h
M	src/resize.c
M	src/status.c
M	src/taskbar.c
D	src/theme.c
D	src/theme.h
M	src/tray.c
M	src/tray.h
M	src/traybutton.c
M	todo.txt

commit 03ee51af22cb333d844207eb9a057ac44309cd13
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu May 11 00:45:22 2006 +0000

    More theme updates.

M	src/border.c
M	src/button.c
M	src/icon.c
M	src/menu.c
M	src/status.c
M	src/theme.c
M	src/theme.h
M	src/tray.c

commit 495aa6e3f30bd36c07033ef2422d9915fc2dcf01
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue May 9 04:55:34 2006 +0000

    Fix shaped window issues.

M	src/border.c

commit 2881c8af04d706a4e488f247b6d41209e4dbd849
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue May 9 03:23:36 2006 +0000

    Some cleanups.

M	src/border.c
M	src/border.h
M	src/clock.c
M	src/color.c
M	src/color.h
M	src/parse.c
M	src/status.c

commit 353d86e87b5db3be03958be84c828a1d4fc783a5
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue May 9 02:37:52 2006 +0000

    Pretty some things up.

M	src/clock.c
M	src/confirm.c
M	src/taskbar.c
M	src/theme.c
M	src/theme.h
M	src/tray.c
M	src/tray.h

commit 9da6a8df6d1ea0c4c69999a1e9c6286537b7c1f7
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue May 9 01:25:02 2006 +0000

    Use the stack if possible in some places.

M	config.h.in
M	configure.in
M	src/debug.h
M	src/dock.c
M	src/font.c
M	src/hint.c
M	src/icon.c
M	src/jwm.h
M	src/lex.c
M	src/taskbar.c
M	src/theme.c

commit ce6836cc30333712ebd87b0aa4f8537cf4254f19
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon May 8 03:17:59 2006 +0000

    Theme support.

M	configure.in
M	src/Makefile.in
M	src/border.c
M	src/border.h
M	src/button.c
M	src/button.h
M	src/client.c
M	src/confirm.c
M	src/event.c
M	src/hint.c
M	src/icon.c
M	src/image.c
M	src/image.h
M	src/jxlib.h
M	src/lex.c
M	src/lex.h
M	src/main.c
M	src/main.h
M	src/menu.c
M	src/menu.h
M	src/misc.c
M	src/misc.h
M	src/move.c
M	src/parse.c
M	src/place.c
M	src/place.h
M	src/resize.c
M	src/taskbar.c
A	src/theme.c
A	src/theme.h
M	src/tray.c
M	src/traybutton.c
M	todo.txt

commit 6e504f66ab784435e11c6a77466a32e613b6af03 (tag: v1.7)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Apr 26 02:07:01 2006 +0000

    Change to 1.7.

M	configure.in

commit 2c0fb1b9b6a8699219a149c57e990d49165e7586
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Apr 26 01:57:30 2006 +0000

    Some fixes.

M	src/clock.c
M	src/move.c
M	src/tray.c
M	src/tray.h
M	todo.txt

commit ff00d98532e4121bcc24439090963b9fa1a8c196 (tag: v1.6)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Apr 23 04:15:52 2006 +0000

    Don't draw the clock every second if not needed.

M	src/clock.c
M	todo.txt

commit a74c5face69a690d766a89a02d9574022febf689
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Apr 23 04:06:17 2006 +0000

    Make left click on window icons show the window menu.

M	src/border.c
M	src/border.h
M	src/event.c
M	todo.txt

commit 869f707a3be03fb8b4f94bee1818d295bf33482a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Apr 23 03:58:48 2006 +0000

    Un-maximize windows on move and resize.

M	src/move.c
M	src/resize.c
M	todo.txt

commit 894ee6ef86830d2ab9da5c130e9d9ebd26c0f22d
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Apr 23 03:43:50 2006 +0000

    Support for menus that are too big for the screen.

M	src/menu.c
M	todo.txt

commit 202b6131a875d0ba0373c0c48e59dc13fc475d2f
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Apr 19 04:40:11 2006 +0000

    Updated README

M	README

commit 833a2f8e482496577f849649fb46615e5cc44c78
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Apr 19 04:29:30 2006 +0000

    Minimized item updates and menu handling work.

M	src/menu.c
M	src/taskbar.c
M	todo.txt

commit 0bd6b8a0a581f0df6cc1c3dd39cde59d5f0aa372
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Apr 19 03:13:15 2006 +0000

    Updated todo.

M	todo.txt

commit b8cf43123b9e7a0fcfcb2da2307bc85908449be2
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Apr 19 03:12:32 2006 +0000

    New window buttons!

M	src/border.c

commit 719d360638eeaedce84454517ae89cfa372a7703
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Apr 19 03:01:44 2006 +0000

    Some changes to make aCC work.

M	config.h.in
M	configure.in

commit 688a94852b5c86790758de9313fb8918aac802de
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Apr 19 02:52:50 2006 +0000

    Yet more configure changes.

M	config.h.in
M	configure.in

commit 80bc137c41bb244f78a31f82d622b549265f9630
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Apr 19 02:47:16 2006 +0000

    More configure updates.

M	config.h.in
M	configure.in
M	src/jwm.h

commit 1e56a02806418e38353764ff28140211ac5b9fdd
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Apr 19 02:29:41 2006 +0000

    Updated configure.

M	configure.in

commit 2b92188362ffaeaf443297caa2099ec17c4c48bd
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Apr 15 04:58:56 2006 +0000

    Fix build on HP-UX.

M	config.h.in
M	configure.in
M	src/jwm.h

commit 9aebc6ffb8b519c628097b45a1d523a632c19eb1
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Apr 9 00:20:42 2006 +0000

    Don't raise clients when reversing a showdesktop.

M	src/client.c
M	src/client.h
M	src/desktop.c
M	src/event.c
M	src/taskbar.c
M	src/winmenu.c

commit 040c6da0d622821bb1539ee96108254bf3585742
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Apr 9 00:05:54 2006 +0000

    Make a second click on a "showdesktop" button restore minimized windows.

M	jwm.1.in
M	src/client.c
M	src/client.h
M	src/desktop.c
M	src/event.c
M	todo.txt

commit d7794528641da7f7448717b19f4ba7d9039f799b
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Apr 8 02:12:37 2006 +0000

    New mouse bindings, fixed key mask bug.

M	src/event.c
M	src/key.c
M	src/parse.c
M	src/taskbar.c
M	src/taskbar.h
M	todo.txt

commit a9c556bb274d96a73e4ea144e73f07b2db4895bd
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Apr 3 02:25:52 2006 +0000

    Change default delay to 600 ms, add a 3 px border.

M	jwm.1.in
M	src/popup.c
M	todo.txt

commit 75cacd82b1675f18d5daeea5b5eac07e3d17147e
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Apr 2 21:58:26 2006 +0000

    Fix a bug with snap-to-screen.

M	src/move.c

commit 6ecf006b64ea5699d76d89b8aa0623ced9bb3725
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Apr 2 21:49:58 2006 +0000

    Fix a bug involving maximized windows and the clock.

M	src/clock.c
M	todo.txt

commit 18ccfebd12eb8979e65bb3c263a60a4fbf493c09
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Apr 2 19:56:32 2006 +0000

    Fix a key binding issue with keycode.

M	src/jxlib.h
M	src/key.c
M	todo.txt

commit 91b82360ac90ab50de5ba364190c87db8a0ab038
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Mar 28 02:21:48 2006 +0000

    Fix some issues with shaded windows.

M	src/client.c

commit 0f52adb757bfcf7afb2ad9be28ac1666aa713be3
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Mar 21 04:58:19 2006 +0000

    Changes to screen handling.

M	src/confirm.c
M	src/move.c
M	src/place.c
M	src/popup.c
M	src/screen.c
M	src/screen.h
M	src/status.c
M	src/taskbar.c
M	src/traybutton.c

commit 0b01e9221c475437f46f9e4d637bdaf76e1c7095
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 19 03:06:30 2006 +0000

    Update for 1.6.

M	configure.in
M	src/help.c

commit 4c8f642933332057671bcd38e24ea16977d3b74e
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 19 02:56:24 2006 +0000

    Fix keybinding issue on shutdown/restart.

M	src/key.c
M	todo.txt

commit 4a3b13b0beae4bf0223dd91aa5f748ac481b6f4c
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 19 02:46:16 2006 +0000

    Fix menu behavior.

M	src/menu.c

commit 30694c3994d918334505fab44853e0163d9adbff
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 19 02:39:41 2006 +0000

    Fix confirm dialogs.

M	src/client.c
M	src/winmenu.c

commit abfcf70fec34ff95b5b86591d70750f413e55f4d
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 19 02:30:24 2006 +0000

    Clean some things.

M	src/client.c
M	src/clock.c
M	src/confirm.c
M	src/main.c
M	src/timing.c
M	src/timing.h

commit 02ff3f13df93c88808e3a3cb5c5c17e964f16534
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 19 00:35:55 2006 +0000

    Restack clients after unshade.

M	src/client.c

commit df50750bad94234fab22ee2700dbc6270b254b61
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 18 20:08:12 2006 +0000

    Fix a bug.

M	src/main.c

commit 5c8fd8c4dc71027dcec85e5a15812fe3237c0287
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 18 07:52:29 2006 +0000

    Cleanups.

M	src/dock.c
M	src/event.c
M	src/event.h
M	src/main.c
M	src/menu.c
M	src/swallow.c

commit 0dfd6d8c7c85ca24284eba88b14787400e445a4f
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 18 06:57:50 2006 +0000

    Fix swallow.

M	src/main.c
M	src/swallow.c

commit 2fbc21027aea14e5763780519221c4a398cbae39
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 18 06:43:10 2006 +0000

    Update todo too.

M	todo.txt

commit 984025fba89ea6a35cabfaf128bca7313860d718
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 18 06:42:19 2006 +0000

    Fix FriBidi UTF conversion.

M	src/font.c

commit d3d19b95d2cfe4d83ca8c275cf2766dfbdd5299e
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 18 06:26:39 2006 +0000

    Don't pause waiting for swallow items.

M	src/event.c
M	src/swallow.c
M	src/swallow.h
M	todo.txt

commit 9c5377fd38b7a025f09cf571b7ffc25abd7de1cd
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 18 04:23:31 2006 +0000

    Another attempt to fix Xinerama.

M	src/move.c

commit 58f048fb5fb17acffff1f497f8bfbc8e86f43591
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 18 04:07:26 2006 +0000

    Fix a bug related to removing Dock and restarting.

M	src/dock.c
M	todo.txt

commit ea37b56f85c84a3b33f4c28b85fbd5eae2d50f14
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Mar 16 05:12:09 2006 +0000

    Clean up some stuff.

M	src/parse.c
M	src/tray.c
M	src/tray.h

commit 73325a54a207a7679b28a81d1a871e91f08455c6
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Mar 16 04:57:05 2006 +0000

    Updated todo.

M	todo.txt

commit e83885db9ab7f7733dbbf820b4f3558c997f28e4
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Mar 16 04:43:52 2006 +0000

    Add coordinates attribute to MoveMode and ResizeMode.

M	jwm.1.in
M	src/move.c
M	src/parse.c
M	src/resize.c
M	src/status.c
M	src/status.h
M	todo.txt

commit a11f732076bfad393a3b282d3361e08f92e3c88e
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Mar 16 03:07:00 2006 +0000

    Make it possible to fix the width of the clock.

M	src/clock.c
M	todo.txt

commit 0b1765a3d3a137df6c4f5e3341b9a65f74c83ea9
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Mar 16 02:28:44 2006 +0000

    Fix snap-to-screen with Xinerama.

M	src/move.c
M	todo.txt

commit 9c975704e86d4d6c564b42c2fd5ed419214af102
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Mar 15 04:28:46 2006 +0000

    Fix.

M	src/client.c
M	src/event.c

commit 91dad44eeea98f40f00a9ec16e515c0738022d1d
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Mar 15 03:31:18 2006 +0000

    Fix shading of shaped windows.

M	src/client.c
M	src/client.h
M	todo.txt

commit 81ce23c55289d2a9b3f563020ef6706db788a974
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Mar 15 03:21:14 2006 +0000

    Remove unnecessary call.

M	src/border.c

commit c08d84b937278057cebc75c3d98b014ca9688349
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Mar 15 01:44:21 2006 +0000

    Fix a xinerama placement issue.

M	src/place.c
M	todo.txt

commit 65d86676903369bd6509c98b40b6f3e6413f35d3
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Mar 14 03:46:14 2006 +0000

    Remove some unused stuff.

M	src/screen.c
M	src/screen.h

commit 1ae43759ef9a888d2c835bd50342a1f5d9b9b6f2
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Mar 14 03:41:10 2006 +0000

    Attempt to speed up border drawing.

M	src/border.c
M	src/event.c

commit 8c455ecb10b28da6b96c590e7fba171ac3bfe1ad
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Mar 14 03:20:50 2006 +0000

    Optimize some stuff.

M	src/debug.c
M	src/event.c
M	src/event.h
M	src/menu.c
M	src/move.c
M	src/resize.c

commit dad3f77c38c9d90c783672f048ad0d38456d9da6
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Mar 14 01:50:59 2006 +0000

    MotionNotify handling changes.

M	src/client.c
M	src/client.h
M	src/event.c
M	src/jxlib.h
M	src/menu.c
M	src/move.c
M	src/place.c
M	src/resize.c

commit 2353f098c8154f8c9616d6453b1fd9ec624386fe
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Mar 14 01:05:46 2006 +0000

    Fix an ugly bug.

M	src/border.c
M	src/client.c
M	src/client.h
M	src/event.c
M	src/hint.c
M	src/taskbar.c
M	todo.txt

commit 5924abd06f6b9a7f492999f180194ce9f8dedb0b
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Mar 13 05:56:25 2006 +0000

    Remove unneeded shape event stuff.

M	src/event.c

commit bd7ec1aa7354585b29d4def449fa371020ebd38c
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Mar 13 05:47:07 2006 +0000

    Better popup handling.

M	src/event.c
M	src/popup.c
M	src/popup.h

commit d6474ddac44481660cf804c120a5424eb317d133
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 12 22:52:19 2006 +0000

    More configure.in updates.

M	config.h.in
M	configure.in
M	src/Makefile.in

commit 163d86bc176e87000251b0b851614381cfff45c5
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 12 22:43:34 2006 +0000

    configure.in updates

M	config.h.in
M	configure.in

commit e175b68c0d20ee0da6a9e81caf9ca7b68c3b39c7 (tag: v1.5)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 12 09:27:05 2006 +0000

    Updated man page.

M	jwm.1.in

commit c0f481ceb9c203c669253e84024925a6d198efc3
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 12 06:13:42 2006 +0000

    Ignore caps/num lock.

M	src/key.c
M	todo.txt

commit 8f6dcda6db49ff00022ea0f49514d3da681ab3d6
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 12 03:46:22 2006 +0000

    updated todo.

M	todo.txt

commit caf3b030bd2b487db78a929a7918fc5fb34d0a88
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 12 03:45:51 2006 +0000

    Fix a nasty shape extension bug.

M	src/client.c
M	src/event.c

commit 3bac3035fb1cc6b0c78aa42676d3b3c00903264b
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 12 01:25:02 2006 +0000

    Fix XPM configure problem.

M	configure.in

commit d5728de52bf09d64e3e2569b437b52d16651b6ba
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 12 01:18:23 2006 +0000

    more configure.in changes

M	configure.in

commit 861f2837ed7555742a9f62e3aae4576f861c6cc3
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 12 00:42:31 2006 +0000

    Fix configure.

M	configure.in
M	src/Makefile.in
M	src/help.c

commit 9ac7d54d38e3a67cae4864957f6adbbdfb178cf9
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 11 23:12:13 2006 +0000

    Faster popup updates for Clock.

M	src/clock.c

commit 98fc7176ba80f623d6285a5f5c8350684a1db197
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 11 23:03:37 2006 +0000

    Fix popup enabled on restart.

M	src/popup.c

commit fa5397848475a1cb7f035a22be07ad369ba86dea
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 11 23:01:16 2006 +0000

    Add "enabled" and "delay" PopupStyle attributes.

M	jwm.1.in
M	src/clock.c
M	src/parse.c
M	src/popup.c
M	src/popup.h
M	src/taskbar.c
M	src/traybutton.c
M	todo.txt

commit 833f69f15bb4c3547ac5a680d44ef35850ec3e7a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 11 22:28:17 2006 +0000

    Fix autohide issues.

M	src/event.c
M	src/move.c
M	src/place.c
M	src/tray.c
M	src/tray.h
M	todo.txt

commit e0a7296a2190f6d0b2b342df27ab6af173565ef5
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 11 21:59:15 2006 +0000

    Resize the clock as needed.

M	src/clock.c
M	src/tray.c
M	todo.txt

commit e6a2a2a5657ba64607e5f0874f70f99a2aa2deca
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 11 21:22:57 2006 +0000

    Make valgrind stop complaining.

M	src/move.c

commit 90f023e125db5c14e2e2ea73870101a0ab4d2df2
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 11 20:58:10 2006 +0000

    Fix some stuff.

M	src/icon.c
M	src/move.c

commit 66fa3027298d683f0bf7ce50d17a5accc728a692
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 11 20:39:31 2006 +0000

    Popups for TrayButtons.
    Resizing clock that doesn't work.

M	src/clock.c
M	src/clock.h
M	src/event.c
M	src/parse.c
M	src/popup.c
M	src/popup.h
M	src/taskbar.c
M	src/taskbar.h
M	src/timing.h
M	src/tray.c
M	src/traybutton.c
M	src/traybutton.h
M	todo.txt

commit 5ec116d4081da469de7ab3712b051d25bcc766d5
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 11 08:13:13 2006 +0000

    Fix XPM issue.

M	src/image.c
M	todo.txt

commit 766d56ff9a06d2c776a0b57c553fccb034b22996
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 11 07:56:24 2006 +0000

    cleanups.

M	src/color.c
M	src/color.h

commit 27397f6d70a6532385b1ddd4d48edc42847efcd6
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 11 03:45:20 2006 +0000

    Fix a warning.

M	src/font.c

commit 923d859f301d170d1a1a3672224575490af1a1dd
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 11 03:43:18 2006 +0000

    Constrain client-requested resizes.

M	src/event.c
M	src/place.c
M	src/place.h
M	todo.txt

commit 93dbc2cbcada355022da1b5a9fe51b9fa1c21a7a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 11 03:22:47 2006 +0000

    better colormap usage with xpms

M	src/color.c
M	src/color.h
M	src/image.c

commit a3983d96d44de8dce1f53c1ede96c94371919e8b
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Mar 11 01:43:27 2006 +0000

    Use the root colormap if necessary

M	src/color.c

commit c761ac56001d0deba354587ae84a7c078db02529
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Mar 10 05:43:21 2006 +0000

    Fix memory leak and color cell leak.

M	src/color.c

commit 4c12b1455bd976595055888003a174d0c4d34545
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Mar 10 05:33:18 2006 +0000

    A try at colormaps.

M	src/color.c

commit 089667f93f10e559e99e09e4b7819b121379770a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Mar 10 05:07:03 2006 +0000

    Fix a warning.

M	src/color.c

commit 54b59a13c42fee06305db35078075466a4a32e66
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Mar 10 04:08:47 2006 +0000

    Fix a warning.

M	src/font.c

commit 3caa2d43d7b781c2d191e6264c6ef7b602376aef
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Mar 10 03:55:15 2006 +0000

    Fix for 16 bit.

M	src/color.c

commit 73259c36defbe35d6d75fecaa157c38d177c2aa1
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Mar 10 03:42:07 2006 +0000

    New color stuff again.

M	src/color.c
M	src/jxlib.h

commit 1cb16d26dab990ad9968ee994cf2927d2a70a712
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Mar 9 05:16:15 2006 +0000

    Much faster lookups

M	src/color.c

commit c25bc6311f749f42c9ce99bc62e4e0b20ba65972
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Mar 9 04:44:07 2006 +0000

    Try this...

M	src/color.c

commit 077f98cbc1f4d3a4628252186fe867ade5658994
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Mar 9 03:42:08 2006 +0000

    bah..

M	src/event.c

commit 271b695f3254deaf8926ae90461388dd877622cb
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Mar 9 01:44:18 2006 +0000

    Opps, I guess we needed that.

M	src/event.c

commit 7c0247d5750562ca967e04aa5fd5cdf4673265d0
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Mar 8 05:46:32 2006 +0000

    Optimize XPM loading.

M	src/color.c
M	src/color.h
M	src/image.c
M	src/jxlib.h

commit 2af37006024b09a5ff2ddae2592fa093a2c9f455
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Mar 8 05:23:11 2006 +0000

    Fix some swallow stuff.

M	configure.in
M	src/swallow.c

commit 5875395730dbeb9b1b4769f50ee14f60b5e2b7ec
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Mar 8 05:08:59 2006 +0000

    Dont' sync.

M	src/main.c

commit 4730dd9e50eb54b440336d1d0343515affb7ef3e
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Mar 8 04:59:17 2006 +0000

    Remove unused field.

M	src/client.h
M	src/hint.c

commit bdb7d293f996188ba6033b98bca187dc19c72878
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Mar 8 04:58:33 2006 +0000

    Fix X errors from killing clients.

M	src/client.c
M	src/client.h
M	src/event.c
M	src/hint.c

commit c774a052f31ee62e34aac795dde2c2c75eb77924
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Mar 8 04:02:52 2006 +0000

    Fix a bug with fonts and lock the server during the swallow search.

M	src/font.c
M	src/main.c
M	src/place.c
M	src/screen.c
M	src/swallow.c

commit cc23f091f2fd24711e65ca7142d961760afe2af7
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Mar 8 02:25:06 2006 +0000

    Speed up in render and some debug code for Xinerama.

M	src/place.c
M	src/render.c
M	src/screen.c

commit d2ee1c483cedccc4acf86f68b5d70d65fbf35ce9
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Mar 7 04:47:23 2006 +0000

    A hack... but does it work?

M	src/color.c

commit 1a3f338fd828a66100bc4e6c56ae2a28dd901359
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Mar 7 02:28:33 2006 +0000

    Try yet again.

M	src/color.c

commit 31f85655c02cf17736c90dd78cdae50615f47f88
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Mar 7 02:14:58 2006 +0000

    Try again...

M	src/color.c

commit 4f18d88bdd57c9535b5330e16ab1a89d867f0fcf
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Mar 7 02:08:21 2006 +0000

    Updated color hashing.

M	src/color.c

commit 46feb2e9f9fc53a1faadd0703de021c0d9cf76ec
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Mar 6 15:10:35 2006 +0000

    Updated todo.

M	todo.txt

commit df721c0926d2d0d07b1264925d27681568a6fb8d
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Mar 6 04:32:28 2006 +0000

    Fix a UMR.

M	src/taskbar.c

commit d99cdf5c83ffc82decdf9f5cf96390872c1c54dc
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Mar 6 03:53:57 2006 +0000

    First run at supporting right-to-left languages.

M	config.h.in
M	configure.in
M	src/font.c
M	src/jwm.h

commit 0c240d10d0d435922af6386fed0b977d797cc345
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 5 22:39:23 2006 +0000

    ResizeRedirect instead of ConfigureNotify for swallow items.
    DestroyNotify -> 1 pixel swallow item.

M	src/swallow.c
M	todo.txt

commit c75b3794e4b7b5b85cc7340e1d396f726dd2678f
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 5 06:54:00 2006 +0000

    Allow "keycode" instead of "key" to be specified for key bindings.

M	src/key.c
M	src/key.h
M	src/parse.c
M	todo.txt

commit 9d6cd22e7a4071d85e3d37efcf71b0cbb83ee7d1
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 5 06:29:21 2006 +0000

    Don't complain about unhandled ConfigureNotify events.

M	src/event.c

commit 3b3d9a410121748de41063c05f08d1b18530a54a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 5 06:21:12 2006 +0000

    Support for resizing of swallowed clients (lior2b).

M	src/event.c
M	src/swallow.c
M	todo.txt

commit dd1b58111a442d1d35541bca7f6a4e47c9c90ada
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 5 05:58:25 2006 +0000

    UTF-8 support.

M	src/font.c
M	src/jxlib.h
M	todo.txt

commit b748810f89bd1f2f9c5d8e9bf873e4e8ef9c0753
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 5 05:44:41 2006 +0000

    Update man page and add "root" action to TrayButton to be explicit.

M	jwm.1.in
M	src/traybutton.c

commit 5de39f319ce1d67817f960eea4e197d8ac0f3467
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 5 05:37:57 2006 +0000

    Added "showdesktop" to TrayButton.

M	configure.in
M	src/desktop.c
M	src/desktop.h
M	src/traybutton.c
M	todo.txt

commit 4c73d8773ed1952ac4e2e1caf2e9d681583cebc8
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Mar 5 05:22:38 2006 +0000

    Fix an issue with menu includes.
    Slightly faster pager.

M	configure.in
M	src/pager.c
M	src/parse.c

commit 06295f03845f5ab86408fb7c842edec48677e132 (tag: v1.4)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Feb 9 02:11:13 2006 +0000

    Add valign and halign Tray attributes.

M	Makefile.in
M	jwm.1.in
M	src/parse.c
M	src/tray.c
M	src/tray.h
M	todo.txt

commit e0135342ba950a2c3b6404add09a6deebaad3e9b
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Feb 6 01:33:33 2006 +0000

    Don't show X errors in debug mode.

M	src/error.c
M	todo.txt

commit 8709f62ee77efebb571b4ca9cf7992743f3cf0e9
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Feb 4 04:55:49 2006 +0000

    Fix a key binding issue on restart.

M	src/jxlib.h
M	src/key.c
M	todo.txt

commit 6a40b4d8479d721e9c7c6c1674e0e3f7ad7a5c34
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Feb 4 04:39:49 2006 +0000

    Update todo.

M	todo.txt

commit e33335793fb772be97021103b288cfbf05cb2387
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Feb 4 04:39:23 2006 +0000

    Support borderless windows with a titlebar.

M	src/border.c
M	src/client.c
M	src/event.c
M	src/main.c
M	src/main.h
M	src/move.c
M	src/resize.c
M	todo.txt

commit 2ffc0a73891803a3edcfd8353ec6c2ec9cbb7661
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Feb 4 03:45:04 2006 +0000

    Make Swallow more sane when an error is encountered.

M	src/swallow.c
M	todo.txt

commit e6a9d18987d2536e44f273af4a0f8af9f1eb2d3a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Feb 4 03:38:59 2006 +0000

    Fixed swallow items getting more space than requested.

M	src/swallow.c
M	todo.txt

commit 0f894d1b820990bc130ad67dd13014f2e0549e27
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Feb 4 03:36:01 2006 +0000

    Better positioning of task menus for vertical task bars.

M	src/taskbar.c

commit f56e46d864f5664fd04533d3b7fe7dc9b2c8fa96
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Feb 4 03:27:19 2006 +0000

    Automatically detect tray layouts.

M	src/parse.c
M	todo.txt

commit d49a5ca92e2dead340d07a734d9eff99cbc05a26
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Feb 4 03:16:10 2006 +0000

    Make menu sizes specified in terms of the size of icons.

M	src/menu.c
M	todo.txt

commit 65166ac819114f487d0435d87aa47f90664774da
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Feb 4 03:05:01 2006 +0000

    Make tray menus popup in more natural locations.

M	src/root.c
M	src/root.h
M	src/taskbar.c
M	src/traybutton.c
M	src/winmenu.c
M	src/winmenu.h
M	todo.txt

commit dbb88e52af3de9a88220bd72fb5ac14c25a9ac21
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jan 16 03:32:36 2006 +0000

    Version bump to 1.4.

M	configure.in

commit a3865aefb26f9307d4f7bab2d55fb176f3eabd90
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jan 16 03:31:03 2006 +0000

    Update todo again.

M	todo.txt

commit b382b955ce6ed00ef7eabcf6f1f2ba4032e6ee1b
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jan 16 03:09:44 2006 +0000

    Update todo.

M	todo.txt

commit e741a05e3f6bc2a1ef57c2492f2abefdb5f204a6 (tag: v1.3)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 15 02:52:51 2006 +0000

    Add the maximized, minimized, and shaded group options.

M	jwm.1.in
M	src/group.c
M	src/group.h
M	src/parse.c
M	todo.txt

commit a6b45b4b4896fda7459d190b33175c0f7e64aeda
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 14 21:11:03 2006 +0000

    Fix pignore.

M	src/parse.c

commit fd0b6ece1f9d6abe68c1513bd30f6336bef3d3a3
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 14 21:05:00 2006 +0000

    Add "pignore" group option.

M	jwm.1.in
M	src/client.h
M	src/group.c
M	src/group.h
M	src/place.c
M	todo.txt

commit 6eca20d10283cffcd93f2e522258b60efabaa09b
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 14 20:43:59 2006 +0000

    More EWMH support.

M	src/event.c
M	src/hint.c
M	src/hint.h
M	todo.txt

commit 0bc321246cfa40806a3dafaa0b304e6067f31e9d
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 14 18:47:54 2006 +0000

    Make dock work after restart.

M	src/dock.c
M	src/main.c

commit 8f9f895b0e50428561fbf1068e44f1f8c1968fe5
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 14 05:42:49 2006 +0000

    Fix it really.

M	src/confirm.c

commit 633db7c7a2810b97fb59a64fccd657fa0469dee6
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 14 05:39:19 2006 +0000

    Fix some resources not being freed.

M	src/confirm.c
M	src/swallow.c

commit 27848022f7e7a6e462097d47e5364acbb49e0303
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 14 05:25:59 2006 +0000

    Fix a invalid access.

M	src/debug.c

commit 48c154a60ea457c68df605fc79f25160a8b48b8f
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 14 02:51:59 2006 +0000

    Update the man page.

M	jwm.1.in

commit 063220bf358e356c3d9156215e19e94b3e50cc5c
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Jan 14 02:46:22 2006 +0000

    Cut down the size a bit.

M	src/border.c
M	src/parse.c

commit 0912212523495e271c0e03a930132114d3460adb
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Jan 13 03:51:14 2006 +0000

    Remove unused function.

M	src/cursor.c
M	src/cursor.h
M	todo.txt

commit 1adca5745fe9edd0ceaaf5c65a27723dad23afbf
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Jan 11 01:44:31 2006 +0000

    More descriptive configuration parsing error messages.

M	src/dock.c
M	src/lex.c
M	src/lex.h
M	src/parse.c
M	todo.txt

commit afcd4d3e7fbd9dc19f8ebcaf5743973b037c9f4c
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jan 10 06:05:08 2006 +0000

    Center tray button text when no icon is present.

M	src/traybutton.c
M	todo.txt

commit f053ef9892a01ed8d764363ac578e8661fd7ad8a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jan 10 05:58:13 2006 +0000

    Fixed size computation of fixed-size trays.

M	src/clock.c
M	src/tray.c
M	todo.txt

commit 01b11b443b6ccb7c14230c5bf0102057b76a9dfb
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jan 10 05:33:17 2006 +0000

    Make vertical trays size-to-fit.

M	src/taskbar.c
M	src/tray.c
M	todo.txt

commit ee629a0c337715fc8129358bd35bc4c7d4189bf7
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jan 10 04:56:36 2006 +0000

    Make borders of small windows look better.

M	src/border.c

commit ffb207f08537f2bd2d9777891630123360416a8a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jan 10 04:51:18 2006 +0000

    Better handling of really small windows.

M	src/border.c
M	todo.txt

commit 6edcb402a16e4b3fcb77bc7d23e7eba9c2d6579c
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jan 10 04:17:58 2006 +0000

    Updated todo.

M	todo.txt

commit 9f624b2fba56c2f70177cbb5109a0fafecb5a84e
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jan 10 04:14:16 2006 +0000

    Change the version number.

M	configure.in
M	todo.txt

commit 9995a0bc440e80d640af962b71f8f4d94f5b6ec3
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jan 10 04:04:56 2006 +0000

    Fix some stuff.

M	src/client.c
M	src/main.c
M	src/swallow.c

commit a9a5ae6fa5cc20f967f38d3aaddf8cfe4f9a1e44
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jan 10 03:56:18 2006 +0000

    Center dock items.

M	src/dock.c
M	src/dock.h
M	src/event.c

commit 0238371f525c3d109e3c0294eb78a67bff13635f
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jan 10 02:16:57 2006 +0000

    Use TaskListStyle instead of TrayButtonStyle for TaskLists.
    also more dock stuff that doesn't work.

M	src/dock.c
M	src/dock.h
M	src/event.c
M	src/taskbar.c
M	todo.txt

commit 2793dede7835c640c74aa103da8f42a0421194b2
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Jan 10 01:17:52 2006 +0000

    Fix centering of tray button icons.

M	src/traybutton.c
M	todo.txt

commit 304195abfe42c96aa03e28bab1b1b4c88ae9418c
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jan 9 05:35:53 2006 +0000

    Fixes for variable-sized trays.

M	src/tray.c
M	src/tray.h

commit d42273ee8fcd5fed0f520424e99ea6cdbf4d2f60
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jan 9 05:17:15 2006 +0000

    Updates to docking support.

M	src/client.c
M	src/clock.c
M	src/dock.c
M	src/dock.h
M	src/event.c
M	src/parse.c
M	src/swallow.c
M	src/taskbar.c
M	src/tray.c
M	src/tray.h
M	src/traybutton.c

commit ede4e9232e540548dd72a14dfd6ac83288f66c43
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 8 10:06:24 2006 +0000

    Add docking support.

M	src/Makefile.in
A	src/dock.c
A	src/dock.h
M	src/event.c
M	src/hint.c
M	src/hint.h
M	src/jxlib.h
M	src/lex.c
M	src/lex.h
M	src/main.c
M	src/parse.c
M	src/popup.c
M	src/swallow.c
M	todo.txt

commit 0b4f92fb161660fd920067cd5ea0dff045e0cdc8
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 8 06:22:58 2006 +0000

    Add a function for _NET_WM_STATE

M	src/event.c

commit 0217e57f1d20217afcdae885ca2f49ee63353461
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 8 06:00:59 2006 +0000

    Add support for _NET_MOVERESIZE_WINDOW

M	src/event.c
M	src/hint.c
M	src/hint.h
M	src/place.c
M	src/place.h
M	todo.txt

commit 6bc71f255c8b85b3160c15252c1c4760c4050bf6
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 8 01:42:27 2006 +0000

    Add support for _NET_WM_STRUT_PARTIAL, _NET_WM_STRUT,
    _NET_CLIENT_LIST, and _NET_CLIENT_LIST_STACKING

M	src/client.c
M	src/event.c
M	src/hint.c
M	src/hint.h
M	src/place.c
M	src/place.h
M	src/taskbar.c
M	src/taskbar.h
M	todo.txt

commit befded593c11f2d6d248e0e37ec109b5e78b2441 (tag: v1.2)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jan 2 03:05:45 2006 +0000

    Fix a problem with swallowing some programs.

M	src/event.c
M	src/event.h
M	src/swallow.c
M	todo.txt

commit 7e4a7f5ff3b45cffdf5e3e206f50da16c15dd9fc
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jan 2 02:01:36 2006 +0000

    Send WM_DELETE_WINDOW to swallowed clients before exiting.

M	src/client.c
M	src/client.h
M	src/swallow.c
M	todo.txt

commit bade32f36bb4ce5d51cdf4e45a18d3bb2229f680
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Jan 2 00:50:47 2006 +0000

    Fix resize when resizing a window that specifies and aspect ratio.

M	src/resize.c
M	todo.txt

commit 4eb17d806b65a2ed8183a7af177d38eb05dd28e0
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Jan 1 21:36:06 2006 +0000

    Updates to configure.in to check if _XOPEN_SOURCE can safely be used.
    Fix some compiler warnings.
    Grab keys for trays.
    Fix a potential issue with bad PNG icons.
    Improved loading of swallowed clients.
    Don't use alpha blending for icons on color depths less than 24 bits.

M	config.h.in
M	configure.in
M	src/border.c
M	src/client.c
M	src/client.h
M	src/clock.c
M	src/color.c
M	src/confirm.c
M	src/confirm.h
M	src/debug.c
M	src/debug.h
M	src/desktop.c
M	src/desktop.h
M	src/error.c
M	src/event.c
M	src/group.c
M	src/hint.c
M	src/icon.c
M	src/image.c
M	src/key.c
M	src/lex.c
M	src/main.c
M	src/main.h
M	src/match.c
M	src/menu.c
M	src/menu.h
M	src/misc.c
M	src/pager.c
M	src/parse.c
M	src/place.c
M	src/popup.c
M	src/render.c
M	src/swallow.c
M	src/winmenu.c
M	todo.txt

commit 39a9bf4dcd57ec170b1ec1fa15ab5bc623923afb (tag: v1.1)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Nov 21 03:56:28 2005 +0000

    Updated example configuration.

M	example.jwmrc

commit b72dd290ba02d110b9e15e3fe84199e696ee5bfa
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Nov 21 03:54:56 2005 +0000

    Add "nextstacked" key binding.

M	jwm.1.in
M	src/event.c
M	src/key.c
M	src/key.h
M	src/parse.c
M	src/taskbar.c
M	src/taskbar.h
M	todo.txt

commit 92cb5de0cf12a37aa1d93f46206a9399963b42ee
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Mon Nov 21 03:02:04 2005 +0000

    Updated man page.
    Better TrayButton sizing.

M	jwm.1.in
M	src/clock.c
M	src/clock.h
M	src/main.c
M	src/parse.c
M	src/traybutton.c
M	src/traybutton.h

commit 52ad7d176c1a170d0baad4d0a97e70c6343f391d
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Nov 20 02:36:24 2005 +0000

    Fix font inheritance for tray items and clock font/color.

M	src/clock.c
M	src/font.c

commit 5b526ac439947a1cdda918b63ce9dd7771922a49
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Nov 20 02:29:43 2005 +0000

    Sanity check for icon resizing.

M	src/icon.c

commit 8edbe9f8a38b9aac918d97dabb00d1222d8a7aaa
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Nov 20 02:18:15 2005 +0000

    Preserve icon aspect ratios.

M	src/icon.c
M	todo.txt

commit 11d8155d38f7591396852af294581e914e5966c9
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Nov 20 01:59:21 2005 +0000

    Fix memory leaks on jwm -p

M	src/clock.c
M	src/main.c
M	src/pager.c
M	src/swallow.c
M	src/taskbar.c
M	src/tray.c
M	src/traybutton.c

commit f15441bc04a0b2dbeb15de5050ea3541fbac5cb6
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Nov 20 00:08:27 2005 +0000

    More style stuff.

M	src/clock.c
M	src/color.c
M	src/color.h
M	src/cursor.h
M	src/font.h
M	src/lex.c
M	src/lex.h
M	src/misc.c
M	src/misc.h
M	src/parse.c
M	src/taskbar.c
M	src/traybutton.c
M	todo.txt

commit 7db3b81d29d115cf377ea78db1fc54ea3e60ee0d
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Nov 18 03:22:51 2005 +0000

    Trim the time popup string.

M	src/clock.c
M	src/misc.c
M	src/misc.h

commit 89f9151e837514ae3127d7a8283ecc8771eb771e
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Fri Nov 18 02:40:38 2005 +0000

    add sys/select.h include.

M	src/jwm.h

commit 06407196c871c3174cca98ae93b4913abdf0baf5
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Nov 17 02:50:46 2005 +0000

    Added Clock.

M	src/Makefile.in
A	src/clock.c
A	src/clock.h
M	src/event.c
M	src/lex.c
M	src/lex.h
M	src/main.c
M	src/parse.c
M	src/timing.c
M	src/timing.h
M	src/tray.c
M	todo.txt

commit 55f3e0a2b3ac43b643713916e85e50329795653e
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Thu Nov 17 01:33:44 2005 +0000

    Add button border to TrayButtons.

M	src/traybutton.c
M	todo.txt

commit c08cf687be576f2442cefa9aa040fae0812ac13b
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Wed Nov 16 04:35:02 2005 +0000

    Preparations for mouse bindings.

M	src/cursor.h
M	src/lex.c
M	src/lex.h
M	src/parse.c

commit 2b8ebc7fb21f3cf1bf27e87084fbdfe9330a8c16
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Nov 15 04:12:03 2005 +0000

    Update version number.
    Fix make install.

M	Makefile.in
M	configure.in
M	src/Makefile.in

commit 4bee64147273d3a6d2ba8fa262a02c0fab00a39a
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Nov 15 03:49:42 2005 +0000

    Fixed minimization on restart.

M	src/client.c
M	todo.txt

commit 076a3bf8ad339d2a5ec57222ad326af6bb364256
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Tue Nov 15 03:19:33 2005 +0000

    Fix task list overflow.

M	src/taskbar.c
M	todo.txt

commit ebd1575ac43b08df217c3e22cb15a46274f790a4
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Nov 13 20:22:00 2005 +0000

    Updated example configuration.

M	example.jwmrc

commit 3b4904658a8c32a627d7f7aa943d7e04f7af7e94
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Nov 13 20:20:42 2005 +0000

    Chnage RootMenu onroot behaviour.
    Update man page.

M	jwm.1.in
M	src/event.c
M	src/event.h
M	src/parse.c

commit 19eaeff885aa962be60cc03be672d089778ca2e1
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Nov 13 18:41:53 2005 +0000

    man page updates.

M	jwm.1.in

commit 9d37511932968833ac389fce100ca542facd37d8
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Nov 13 18:27:40 2005 +0000

    Fix some configuration stuff.

M	src/color.c
M	src/desktop.c
M	src/font.c
M	src/parse.c
M	src/taskbar.c
M	src/taskbar.h

commit 0db05e1eff561cdded1e8e66f1c5afcc31fb97c3 (tag: v1.0)
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Nov 13 02:43:55 2005 +0000

    Update man page.

M	jwm.1.in

commit d0674fe9cda4b58303eaf76210eb71e1dea72930
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Nov 13 02:17:41 2005 +0000

    Updated example configuration.

M	example.jwmrc

commit 8f0617ee765ed4c2c726af20c6a8686e9a680322
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sun Nov 13 02:01:21 2005 +0000

    Change to v1.0, update man page.
    Fix style issues.

M	configure.in
M	jwm.1.in
M	src/hint.h
M	src/tray.c

commit c49952f2f4f88ba049b540d8c1d5731249f78b6b
Author: joewing <joewing@bf56b5d7-0a00-0410-944b-a2e577eab32f>
Date:   Sat Nov 12 20:20:04 2005 +0000

    Fix frame extents hint.

M	src/hint.c

